// This file is generated using the spec "transportneptune.doc" version 1.24, 11/04/2006
// Modify to RTD289X by Eva. 2016/04/08
#ifndef __RTD289X_TP_REG_H__
#define __RTD289X_TP_REG_H__

#define MAX_TP_COUNT					4
#define MAX_TP_P_COUNT                  3
#define MAX_TP_PID                      96
#define MAX_TP_RING_BUFFER              32
#define MAX_MTP_RING_BUFFER             3
#define MAX_TP_P_RING_BUFFER		    3
#define MAX_TP_P_MTP_RING_BUFFER        3


/* TP CONTROL */
// TP0 register
#define TP_TF0_CNTL                 		0xB8014000
#define TP_TF0_STRM_ID_0                    0xB8014004
#define TP_TF0_STRM_ID_1                    0xB8014008
#define TP_TF0_STRM_ID_2                    0xB801400C
#define TP_TF0_STRM_ID_3                    0xB8014010
#define TP_TF0_STRM_ID_VAL                  0xB8014014
#define TP_TF0_CNT                  		0xB8014018
#define TP_TF0_DRP_CNT              		0xB801401C
#define TP_TF0_ERR_CNT              		0xB8014020
#define TP_TF0_FRMCFG               		0xB8014024
#define TP_TF0_INT                  		0xB8014028
#define TP_TF0_INT_EN               		0xB801402C

// TP1 register
#define TP_TF1_CNTL                 		0xB8014030
#define TP_TF1_STRM_ID_0                    0xB8014034
#define TP_TF1_STRM_ID_1                    0xB8014038
#define TP_TF1_STRM_ID_2                    0xB801403C
#define TP_TF1_STRM_ID_3                    0xB8014040
#define TP_TF1_STRM_ID_VAL                  0xB8014044
#define TP_TF1_CNT                  		0xB8014048
#define TP_TF1_DRP_CNT              		0xB801404C
#define TP_TF1_ERR_CNT              		0xB8014050
#define TP_TF1_FRMCFG               		0xB8014054
#define TP_TF1_INT                  		0xB8014058
#define TP_TF1_INT_EN               		0xB801405C

// TP2 register
#define TP_TF2_CNTL                 		0xB8014060
#define TP_TF2_STRM_ID_0                    0xB8014064
#define TP_TF2_STRM_ID_1                    0xB8014068
#define TP_TF2_STRM_ID_2                    0xB801406C
#define TP_TF2_STRM_ID_3                    0xB8014070
#define TP_TF2_STRM_ID_VAL                  0xB8014074
#define TP_TF2_CNT                  		0xB8014078
#define TP_TF2_DRP_CNT              		0xB801407C
#define TP_TF2_ERR_CNT              		0xB8014080
#define TP_TF2_FRMCFG               		0xB8014084
#define TP_TF2_INT                  		0xB8014088
#define TP_TF2_INT_EN               		0xB801408C

// TP3 register
#define TP_TF3_CNTL                 		0xB8014320
#define TP_TF3_STRM_ID_0                    0xB8014324
#define TP_TF3_STRM_ID_1                    0xB8014328
#define TP_TF3_STRM_ID_2                    0xB801432C
#define TP_TF3_STRM_ID_3                    0xB8014330
#define TP_TF3_STRM_ID_VAL                  0xB8014334
#define TP_TF3_CNT                  		0xB8014338
#define TP_TF3_DRP_CNT              		0xB801434C
#define TP_TF3_ERR_CNT              		0xB8014340
#define TP_TF3_FRMCFG               		0xB8014344
#define TP_TF3_INT                  		0xB8014348
#define TP_TF3_INT_EN               		0xB801434C

// TP_TFx_CNTL register bit
  #define TP_TF_CNTL_DIR_DMA_BIT			(0x00000001 << 23)
  #define TP_TF_CNTL_TWO_BIT_BIT			(0x00000001 << 22)
  #define TP_TF_CNTL_TWO_BIT_ORDER_BIT		(0x00000001 << 21)
  #define TP_TF_CNTL_SRC_SEL_H_BIT			(0x00000001 << 20)
  #define TP_TF_CNTL_SRC_SEL_L_BIT			(0x00000001 << 19)
  #define TP_TF_CNTL_CI_MODE_BIT			(0x00000001 << 18)
  #define TP_TF_CTRL_ERR_FIX_EN_BIT			(0x00000001 << 17)
  #define TP_TF_CNTL_STRM_ID_EN_BIT         (0x00000001 << 16)
  #define TP_TF_CNTL_BUF_RDY_CTL_BIT       	(0x00000001 << 15)
  #define TP_TF_CNTL_PSC_EN_BIT            	(0x00000001 << 14)
  #define TP_TF_CNTL_PES_EN_BIT            	(0x00000001 << 13)
  #define TP_TF_CNTL_TSC_EN_BIT        		(0x00000001 << 12)
  #define TP_TF_CNTL_TB_BIT            		(0x00000001 << 11)
  #define TP_TF_CNTL_BUSY_BIT          		(0x00000001 << 10)
  #define TP_TF_CNTL_MODE_BIT          		(0x00000001 << 9)
  #define TP_TF_CNTL_DU_EN_BIT         		(0x00000001 << 8)
  #define TP_TF_CNTL_DE_EN_BIT         		(0x00000001 << 7)
  #define TP_TF_CNTL_XT_EN_BIT         		(0x00000001 << 6)
  #define TP_TF_CNTL_PID_EN_BIT        		(0x00000001 << 5)
  #define TP_TF_CNTL_NULL_EN_BIT      		(0x00000001 << 4)
  #define TP_TF_CNTL_TRERR_EN_BIT      		(0x00000001 << 3)
  #define TP_TF_CNTL_SYNC_EN_BIT       		(0x00000001 << 2)
  #define TP_TF_CNTL_RST_EN_BIT        		(0x00000001 << 1)
  #define TP_TF_CNTL_WRITE_DATA_BIT   		(0x00000001)

  #define TP_TF_CNTL_TWO_BIT_ORDER(x)       ((x & 0x01) << 21)
  #define TP_TF_CNTL_SRC_SEL_L_EN(x)        ((x & 0x02) << 19)
  #define TP_TF_CNTL_CI_MODE_EN(x)          ((x & 0x01) << 18)
  #define TP_TF_CTRL_ERR_FIX_EN(x)          ((x & 0x01) << 17)
  #define TP_TF_CNTL_STRM_ID_EN(x)          ((x & 0x01) << 16)
  #define TP_TF_CNTL_BUF_RDY_CTL(x)         ((x & 0x01) << 15)
  #define TP_TF_CNTL_PSC_EN(x)              ((x & 0x01) << 14)
  #define TP_TF_CNTL_PES_EN(x)              ((x & 0x01) << 13)
  #define TP_TF_CNTL_TSC_EN(x)        		((x & 0x01) << 12)
  #define TP_TF_CNTL_TB(x)            		((x & 0x01) << 11)
  #define TP_TF_CNTL_BUSY(x)          		((x & 0x01) << 10)
  #define TP_TF_CNTL_MODE(x)          		((x & 0x01) << 9)
  #define TP_TF_CNTL_DU_EN(x)         		((x & 0x01) << 8)
  #define TP_TF_CNTL_DE_EN(x)         		((x & 0x01) << 7)
  #define TP_TF_CNTL_XT_EN(x)         		((x & 0x01) << 6)
  #define TP_TF_CNTL_PID_EN(x)        		((x & 0x01) << 5)
  #define TP_TF_CNTL_NULL_EN(x)       		((x & 0x01) << 4)
  #define TP_TF_CNTL_TRERR_EN(x)      		((x & 0x01) << 3)
  #define TP_TF_CNTL_SYNC_EN(x)       		((x & 0x01) << 2)
  #define TP_TF_CNTL_RST_EN(x)        		((x & 0x01) << 1)
  #define TP_TF_CNTL_WRITE_DATA(x)     		(x & 0x01)

// TP_TFx_FRMCFG register bit
  #define TP_TF_FRMCFG_FRM_EN_BIT     		(0x00000001 << 12)

  #define TP_TF_FRMCFG_SYNC_BYTE(x)   		((x & 0xFF) << 24)
  #define TP_TF_FRMCFG_DROPNO(x)      		((x & 0x0F) << 20)
  #define TP_TF_FRMCFG_LOCKNO(x)      		((x & 0x0F) << 16)
  #define TP_TF_FRMCFG_PACKET_SIZE(x) 		((x & 0x03) << 14)
  #define TP_TF_FRMCFG_DATA_ORDER(x)  		((x & 0x01) << 13)
  #define TP_TF_FRMCFG_FRM_EN(x)      		((x & 0x01) << 12)
  #define TP_TF_FRMCFG_FORCEDROP(x)   		((x & 0x01) << 11)
  #define TP_TF_FRMCFG_SYNCMODE(x)    		((x & 0x1F) << 06)
  #define TP_TF_FRMCFG_SERIAL(x)      		((x & 0x01) << 05)
  #define TP_TF_FRMCFG_DATAPIN(x)     		((x & 0x01) << 04)
  #define TP_TF_FRMCFG_ERR_POL(x)     		((x & 0x01) << 03)
  #define TP_TF_FRMCFG_SYNC_POL(x)    		((x & 0x01) << 02)
  #define TP_TF_FRMCFG_VAL_POL(x)     		((x & 0x01) << 01)
  #define TP_TF_FRMCFG_CLK_POL(x)     		((x & 0x01) << 00)

// TP_TFx_INT register bit
  #define TP_TF_ADF_PCR_IN_BIT 				(0x01 << 4)
  #define TP_TF_INT_OVER_FLOW_BIT     		(0x01 << 3)
  #define TP_TF_INT_DROP_BIT          		(0x01 << 2)
  #define TP_TF_INT_SYNC_BIT          		(0x01 << 1)
  #define TP_TF_INT_NONE              		(0)
  #define TP_TF_INT_ALL               		(TP_TF_ADF_PCR_IN_BIT | TP_TF_INT_OVER_FLOW_BIT | TP_TF_INT_DROP_BIT | TP_TF_INT_SYNC_BIT)

  #define TP_TF_INT_MASK(x)           		(x & 0x1E)
  #define TP_TF_INT_WRITE_DATA(x)     		(x & 0x01)

// TP_TF_OUT register
#define TP_TF_OUT_FRMCFG        0xB8014090
#define TP_TF_OUT_CTRL          0xB8014094

// TP_TF_OUT_FRMCFG register bit
	#define TPOUT_IN_TPP_OUT_EN_BIT 		(0x01 << 20)
    #define TPOUT_EN_BIT            		(0x01 << 19)	
    #define TPOUT_RST_BIT           		(0x01 << 18)
	#define TPOUT_IN_DATA_ORDER_BIT			(0x01 << 14)	
	#define TPOUT_IN_SERIAL_BIT				(0x01 << 13)	
	#define TPOUT_IN_DATAPIN_BIT			(0x01 << 12)
	#define TPOUT_IN_SYNC_POL_BIT			(0x01 << 10)
	#define TPOUT_IN_VAL_POL_BIT			(0x01 << 9)
	#define TPOUT_IN_CLK_POL_BIT			(0x01 << 8)
	#define TPOUT_OUT_DATA_ORDER_BIT		(0x01 << 6)
	#define TPOUT_OUT_SERIAL_BIT			(0x01 << 5)
	#define TPOUT_OUT_SYNC_POL_BIT			(0x01 << 2)
	#define TPOUT_OUT_VAL_POL_BIT			(0x01 << 1)	
	#define TPOUT_OUT_CLK_POL_BIT			(0x01 << 0)
			
	#define TPOUT_IN_TPP_OUT_EN(x)			((x & 0x01) << 20)
	#define TPOUT_EN(x)						((x & 0x01) << 19)
	#define TPOUT_SRC(x)        			((x & 0x3) <<16)
		#define TPOUT_SRC_MEM       			(0)
		#define TPOUT_SRC_TP0      				(1)
		#define TPOUT_SRC_TP1      				(2)
		#define TPOUT_SRC_TP2       			(3)
	#define TPOUT_DATA_ORDER(x)				((x & 0x01) << 14)
	#define TPOIT_IN_SERIAL(x)				((x & 0x01) << 13)
	#define TPOUT_IN_DATAPIN(x)				((x & 0x01) << 12)
	#define TPOUT_IN_SYNC_POL(x)			((x & 0x01) << 10)
	#define TPOUT_IN_VAL_POL(x)				((x & 0x01) << 9)
	#define TPOUT_IN_CLK_POL(x)				((x & 0x01) << 8)
	#define TPOUT_OUT_DATA_ORDER(x)			((x & 0x01) << 6)
	#define TPOUT_OUT_SERIAL(x)				((x & 0x01) << 5)
	#define TPOUT_OUT_SYNC_POL(x)			((x & 0x01) << 2)
	#define TPOUT_OUT_VAL_POL(x)			((x & 0x01) << 1)
	#define TPOUT_OUT_CLK_POL(x)			((x & 0x01) << 0)
	
// TP_OUT_CTRL register bit
	#define TP_OUT_SHARE_MODE_BIT			(0x01 << 24)
	#define TP_OUT_SHARE_EN_BIT				(0x01 << 23)
	#define TP_OUT_STOP_MODE_BIT			(0x01 << 22)
	#define TP_OUT_CTRL_SYNC_DUR_BIT		(0x01 << 19)
	#define TP_OUT_CTRL_CK_GATE_BIT			(0x01 << 18) // don't set this bit to 0
	#define TP_OUT_DATA_SEL_BIT				(0x01 << 4) 
	
	#define TP_OUT_SHARE_MODE(x)			((x & 0x01) << 24)
		#define TPOUT_SHARE_SW_MODE				(0)
		#define TPOUT_SHARE_HW_MODE				(1)
	#define TP_OUT_SHARE_EN(x)				((x & 0x01) << 23)	
	#define TP_OUT_STOP_MODE(x)				((x & 0x01) << 22)
		#define TP_OUT_STOP_RIGHT_AWAY				(0)
		#define TP_OUT_STOP_PACKET					(1)
	#define TP_OUT_SYNC_DUR(x)				((x & 0x01) << 19)
		#define TP_OUT_SYNC_DUR_0				(0)
		#define TP_OUT_SYNC_DUR_8				(1)
	
	/* SW mode - 0:tp, 1:pcmcia addr[4]~[11] */
	#define TP_OUT_CTRL_DATA_SEL(x)				((x & 0x01) << 4)
		#define TP_OUT_CTRL_DATA_SEL_TP				(0)
		#define TP_OUT_CTRL_DATA_SEL_PCMCIA			(1)

/* PID & SECTION FILTER */
#define TP_PID_PART                 			0xB80140d0
#define TP_PID_CTRL                 			0xB80140d4
#define TP_PID_DATA                 			0xB80140d8
#define TP_PID_DATA2                			0xB80140dC
#define TP_PID_DATA3                			0xB80140e0

// TP_PID_PART
  #define TP_PID_PART_PARTITION1(x)				((x & 0x7F) << 7)
  #define TP_PID_PART_PARTITION2(x)				(x & 0x7F)

// TP_PID_CTRL
  #define TP_PID_CTRL_R_W(x)     				((x & 0x01) << 7)
  #define TP_PID_CTRL_IDX(x)     				((x & 0x7F))

// TP_PID_DATA
  #define TP_PID_DATA_SI_EN(x)      			((x & 0x01) << 31)
  #define TP_PID_DATA_PID_INI(x)    	        ((x & 0x01) << 30)
  #define TP_PID_DATA_AI_EN(x)      		    ((x & 0x01) << 29)
  #define TP_PID_DATA_TI_EN(x)      			((x & 0x01) << 28)
  #define TP_PID_DATA_SEC_EN(x)     		    ((x & 0x01) << 21)
  #define TP_PID_DATA_DDR_Q_EN(x)     		    ((x & 0x01) << 20)
  #define TP_PID_DATA_DDR_Q(x)      			((x & 0x1F) << 15)
  #define TP_PID_DATA_CC_EN(x)      			((x & 0x01) << 14)
  #define TP_PID_DATA_V(x)          			((x & 0x01) << 13)
  #define TP_PID_DATA_PID(x)        			((x & 0x1FFF))
  #define TP_PID_DATA_SEC_EN_BIT    		    TP_PID_DATA_SEC_EN(1)

  #define TP_PID_DATA_PARAM_SI_EN(x)      		((x >> 31) & 0x01)
  #define TP_PID_DATA_PARAM_PID_INI(x)    	    ((x >> 30) & 0x01)
  #define TP_PID_DATA_PARAM_AI_EN(x)      		((x >> 29) & 0x01)
  #define TP_PID_DATA_PARAM_TI_EN(x)      		((x >> 28) & 0x01)
//  #define TP_PID_DATA_PARAM_SEC_IDX(x)    		((x >> 22) & 0x3F)
  #define TP_PID_DATA_PARAM_SEC_EN(x)     		((x >> 21) & 0x01)
  #define TP_PID_DATA_PARAM_DDR_Q_EN(x)      	((x >> 20) & 0x01)
  #define TP_PID_DATA_PARAM_DDR_Q(x)      		((x >> 15) & 0x1F)
  #define TP_PID_DATA_PARAM_CC_EN(x)      		((x >> 14) & 0x01)
  #define TP_PID_DATA_PARAM_V(x)          		((x >> 13) & 0x01)
  #define TP_PID_DATA_PARAM_PID(x)        		(x & 0x1FFF)

// TP_PID_DATA2
  #define TP_PID_DATA_SEC_IDX(x)    		    ((x & 0xFF) << 18)	//move from PID_DATA
  #define TP_PID_DATA_SEC_MASK      			TP_PID_DATA_SEC_IDX(0xFF)
  #define TP_PID_DATA_PARAM_SEC_IDX(x)    		((x >> 18) & 0xFF)

  #define TP_PID_DATA_LOCAL_DES_EN(x)    		((x & 0x1) << 17)
  #define TP_PID_DATA_DESCRAMBLE_SEL(x)    		((x & 0x1) << 16)

  #define TP_PID_DATA2_INFO_Q(x)    		    (x & 0x1F)
  #define TP_PID_DATA2_KEY(x)                   ((x & 0x1F)<<7)
  #define TP_PID_DATA2_PRE_DES(x)    		    ((x & 0x1)<< 12)
//	  #define TP_PID_DATA2_INFO_Q_EN(x)    		    ((x & 0x1)<< 13)

// RP_PID_DATA3
 // TO DO HERE

// TP_SEC_CTRL
#define TP_SEC_CTRL                 			0xB80140E4
#define TP_SEC_DATA0                			0xB80140E8
#define TP_SEC_DATA1                			0xB80140EC
#define TP_SEC_DATA2                			0xB80140F0
#define TP_SEC_DATA3                			0xB80140F4
#define TP_SEC_DATA4                			0xB80140F8
#define TP_SEC_DATA5                			0xB80140FC
#define TP_SEC_DATA6                			0xB8014100
#define TP_SEC_DATA7                			0xB8014104
#define TP_SEC_DATA8                			0xB801410C
#define TP_SEC_DATA9                			0xB8014110

  #define TP_SEC_CTRL_R_W(x)            		((x) ? (0x0001 <<8) : 0)
  #define TP_SEC_CTRL_IDX(x)            		((x & 0xFF))

  #define SET_TP_SEC_DATA4_SP_FILTER(x) 		((x & 0x03)<<14)
  #define SET_TP_SEC_DATA4_SP_MASK(x)   		((x & 0x03)<<12)
  #define SET_TP_SEC_DATA4_CRC_EN(x)    		((x & 0x01)<<11)
  #define SET_TP_SEC_DATA4_P_D(x)       		((x & 0x01)<<10)
  #define SET_TP_SEC_DATA4_P_N(x)       		((x & 0x01)<<9)
  #define SET_TP_SEC_DATA4_LAST(x)      		((x & 0x01)<<8)
  #define SET_TP_SEC_DATA4_NEXT_SEC(x)  		((x & 0xFF))

#define TP_TP0_DES_CNTL             			0xB8014114
#define TP_KEY_INFO_H           				0xB8014118
#define TP_KEY_INFO_L          		 			0xB801411C
#define TP_KEY_CTRL             				0xB8014120
#define TP_CTRL_RW(x)      						((x & 1) << 7)
#define TP_CTRL_IDX(x)     						((x & 0x7F))

#define TP_TP1_DES_CNTL             			0xB8014124
#define TP_TP2_DES_CNTL             			0xB8014128

// TP_TPx_DES_CNTL register is defined in JupiterTPReg.h
#if 0
// can not find matched register??
#define TP_TP0_IV_MSB_0             			0xB8014088
#define TP_TP0_IV_MSB_1             			0xB801408C
#define TP_TP0_IV_LSB_0             			0xB8014090
#define TP_TP0_IV_LSB_1             			0xB8014094
///////////////////////////////////

// TP_TPx_DES_CNTL
  #define MAP_11(x)          					((x & 1)<<6)
  #define MAP_10(x)          					((x & 1)<<5)
  #define MAP_01(x)          					((x & 1)<<4)
  #define DES_MODE(x)        					((x & 1)<<3)
    #define CBC          						0
    #define ECB          						1
  #define MODE(x)            					((x & 7))
    #define DES          						0
    #define TDES         						1
    #define CSA          						2
#endif

/* CRC */
#define TP_CRC_INIT                 			0xB801412C

/* DDR RING BUFFER */
#define TP_THRESHOLD                			0xB8014130
#define TP_FULLNESS                 			0xB8014134
#define TP_RING_CTRL                			0xB8014138
#define TP_RING_LIMIT               			0xB801413C
#define TP_RING_BASE                			0xB8014140
#define TP_RING_RP                  			0xB8014144
#define TP_RING_WP                  			0xB8014148

  #define TP_RING_CTRL_WM_LIMIT_BIT   			(0x00000001 << 3)
  #define TP_RING_CTRL_WM_BASE_BIT    			(0x00000001 << 2)
  #define TP_RING_CTRL_WM_RP_BIT      			(0x00000001 << 1)
  #define TP_RING_CTRL_WM_WP_BIT      			(0x00000001 << 0)

  #define TP_RING_CTRL_WM(x)          			((x & 0x0F) << 7)
  #define TP_RING_CTRL_R_W(x)         			((x & 0x01) << 6)
  #define TP_RING_CTRL_IDX(x)         			(x & 0x1F)

#define TP_RING_AVAIL_INT_0         			0xB801414C
#define TP_RING_AVAIL_INT_1         			0xB8014150
#define TP_RING_FULL_INT_0          			0xB8014154
#define TP_RING_FULL_INT_1          			0xB8014158
#define TP_RING_AVAIL_INT_EN_0      		    0xB801415C
#define TP_RING_AVAIL_INT_EN_1      		    0xB8014160
#define TP_RING_FULL_INT_EN_0       		    0xB8014164
#define TP_RING_FULL_INT_EN_1       		    0xB8014168

#define TP0_M2M_RING_LIMIT           			0xB8014400
#define TP0_M2M_RING_BASE            			0xB8014404
#define TP0_M2M_RING_RP              		    0xB8014408
#define TP0_M2M_RING_WP              			0xB801440C
#define TP0_M2M_RING_CTRL            			0xB8014410

#define TP1_M2M_RING_LIMIT           			0xB8014414
#define TP1_M2M_RING_BASE            			0xB8014418
#define TP1_M2M_RING_RP              		    0xB801441C
#define TP1_M2M_RING_WP              			0xB8014420
#define TP1_M2M_RING_CTRL            			0xB8014424

#define TP2_M2M_RING_LIMIT           			0xB8014428
#define TP2_M2M_RING_BASE            			0xB801442C
#define TP2_M2M_RING_RP              		    0xB8014430
#define TP2_M2M_RING_WP              			0xB8014434
#define TP2_M2M_RING_CTRL            			0xB8014438

#define TP3_M2M_RING_LIMIT           			0xB8014478
#define TP3_M2M_RING_BASE            			0xB801447C
#define TP3_M2M_RING_RP              		    0xB8014480
#define TP3_M2M_RING_WP              			0xB8014484
#define TP3_M2M_RING_CTRL            			0xB8014488

#define TP0_P_M2M_RING_LIMIT           			0xB801443C
#define TP0_P_M2M_RING_BASE            			0xB8014440
#define TP0_P_M2M_RING_RP              		    0xB8014444
#define TP0_P_M2M_RING_WP              			0xB8014448
#define TP0_P_M2M_RING_CTRL            			0xB801444C

#define TP1_P_M2M_RING_LIMIT           			0xB8014450
#define TP1_P_M2M_RING_BASE            			0xB8014454
#define TP1_P_M2M_RING_RP              		    0xB8014458
#define TP1_P_M2M_RING_WP              			0xB801445C
#define TP1_P_M2M_RING_CTRL            			0xB8014460

#define TP2_P_M2M_RING_LIMIT           			0xB8014464
#define TP2_P_M2M_RING_BASE            			0xB8014468
#define TP2_P_M2M_RING_RP              		    0xB801446C
#define TP2_P_M2M_RING_WP              			0xB8014470
#define TP2_P_M2M_RING_CTRL            			0xB8014474

#define TP_SYNC_POS            					0xB8014180
#define TP_DMY_A            					0xB8014184
#define TP_DMY_B            					0xB8014188

#define TP_DEBUG                    			0xB8014300


  #define TP_RING_INT_MASK(x)             		(0x00000001 << (x+1))
  #define TP_RING_FULL_INT_WRITE_DATA(x) 		(x & 0x01)

  #define TP_M2M_RING_CTRL_GO_BIT         		(0x00000001<<1)
  #define TP_M2M_RING_CTRL_STOP_BIT      		(0x00000001<<2)
  #define TP_M2M_RING_CTRL_EMPYT_EN_BIT  		(0x00000001<<3)
  #define TP_M2M_RING_CTRL_EMPYT_BIT     		(0x00000001<<4)
  #define TP_M2M_RING_CTRL_WRITE_DATA(x) 		(x & 0x01)

/* PCR */
#define TP_PCR_90K_CNT				 			0xB80140A4
#define TP0_PCR_CTL                             0xB80140AC
#define TP1_PCR_CTL                             0xB80140B0
#define TP2_PCR_CTL                             0xB80140B4
    #define TP_PCR_CTL_STC_CNT_SEL_27M        	2
    #define TP_PCR_CTL_STC_CNT_SEL_MISC_90K   	1
    #define TP_PCR_CTL_STC_CNT_SEL_TP_90K     	0
    #define TP_PCR_CTL_STC_CNT_SEL(x)        	((x & 0x03) << 10)

    #define TP_PCR_CTL_STC_ENABLE_AF1_INFO    	(1<<9)
    #define TP_PCR_CTL_STC_EXTRA_FUNC_ENA     	(1<<8)
    #define TP0_PCR_CTL_PCRA_SRC_SEL_27M   	  	(1<<7)			// time stamp clock select (must use misc_90k)
    #define TP0_PCR_CTL_PCRA_SRC_SEL_MISC_90K 	0				// time stamp clock select (must use misc_90k)
    #define TP_PCR_CTL_STC_EXTRA_PID_ADDR(x)  	(x & 0x7F)

#define TP_PCR_LATCH                           	0xB80140B8
    #define TP_PCR_LATCH_LATCH_ENABLE          	(1<<8)
    #define TP_PCR_LATCH_LATCH_SEL_TP0          0
    #define TP_PCR_LATCH_LATCH_SEL_TP1          1
    #define TP_PCR_LATCH_LATCH_SEL_TP2          2

#define TP_PCR_BASE                            0xB80140BC
#define TP_PCR_EXT                             0xB80140C0
  #define TP_PCR_EXT_PCR_BASE_HIGH(x)          ((x >> 16) & 0x1)

#define TP_PCR_SYSTEM_L                        0xB80140C4
#define TP_PCR_SYSTEM_H                        0xB80140C8

/* Replace TS sync byte to this setting*/
#define TP_SYNC_RPLACE						   0xB80140CC
#define TP_P_SYNC_RPLACE					   0xB80146B8
#define TP_SYNC_RPLACE_TP2(val,sync)          ((val & ~(0xFF<<16)) | ((sync & 0xFF) << 16))
#define TP_SYNC_RPLACE_TP1(val,sync)          ((val & ~(0xFF<<8)) | (((sync & 0xFF) << 8)))
#define TP_SYNC_RPLACE_TP0(val,sync)          ((val & ~(0xFF)) | ((sync & 0xFF)))
#define TP_SYNC_RPLACE_TP(tp_id,val,sync)     ((val & ~(0xFF<<(tp_id<<3))) | (((sync & 0xFF)<<(tp_id<<3))))


/* TP0' register*/
#define TP_TF0_P_CNTL					       0xB8014500
#define TP_TF0_P_CNT					       0xB8014518
#define TP_TF0_P_DRP_CNT				       0xB801451C
#define TP_TF0_P_FRMCFG					       0xB8014524
#define TP_TF0_P_INT					       0xB8014528
#define TP_TF0_P_INT_EN					       0xB801452C

/* TP1' register*/
#define TP_TF1_P_CNTL					       0xB8014530
#define TP_TF1_P_CNT					       0xB8014548
#define TP_TF1_P_DRP_CNT				       0xB801454C
#define TP_TF1_P_FRMCFG					       0xB8014554
#define TP_TF1_P_INT					       0xB8014558
#define TP_TF1_P_INT_EN					       0xB801455C

/* TP2' register*/
#define TP_TF2_P_CNTL					       0xB8014560
#define TP_TF2_P_CNT					       0xB8014578
#define TP_TF2_P_DRP_CNT				       0xB801457C
#define TP_TF2_P_FRMCFG					       0xB8014584
#define TP_TF2_P_INT					       0xB8014588
#define TP_TF2_P_INT_EN					       0xB801458C

/* DDR ring buffer for TP0'/TP1'/TP2' */
#define TP_P_THRESHOLD			               0xB8014590
#define TP_P_FULLNESS	                       0xB8014594
#define TP_P_RING_CTRL	                       0xB8014598

#define TP_P_RING_CTRL_IDX(x)	 	(x & 0x3)


#define TP_P_RING_LIMIT			               0xB801459C
#define TP_P_RING_BASE	                       0xB80145A0
#define TP_P_RING_RP	                       0xB80145A4
#define TP_P_RING_WP	                       0xB80145A8
#define TP_P_RING_AVAIL_INT	                   0xB80145AC
#define TP_P_RING_FULL_INT	                   0xB80145B0
#define TP_P_RING_INT(x)					   (1<<(x&0x3))
#define TP_P_RING_INT_WRITE(x)                 (x&0x1)

#define TP_P_RING_AVAIL_INT_EN	               0xB80145B4
#define TP_P_RING_FULL_INT_EN	               0xB80145B8
#define TP_P_RING_AVAIL_INT_EN_2				 (1<<3)
#define TP_P_RING_AVAIL_INT_EN_1				 (1<<2)
#define TP_P_RING_AVAIL_INT_EN_0				 (1<<1)
#define TP_P_RING_AVAIL_INT_EN_WRITE(x) 		 (x&0x1)

#define TP_P_RING_FULL_INT_EN_2 				(1<<3)
#define TP_P_RING_FULL_INT_EN_1 				(1<<2)
#define TP_P_RING_FULL_INT_EN_0 				(1<<1)
#define TP_P_RING_FULL_INT_EN_WRITE(x)			(x&0x1)


/* MTP for TP0'/TP1'/TP2' */

#define TP_P_M2M_RING_LIMIT	                   0xB80145BC
#define TP_P_M2M_RING_BASE	                   0xB80145C0
#define TP_P_M2M_RING_RP	                   0xB80145C4
#define TP_P_M2M_RING_WP	                   0xB80145C8
#define TP_P_M2M_RING_CTRL	                   0xB80145CC

#define TP_P_M2M_RING_CTRL_GO_BIT           (0x00000001<<1) // to start external TS source
#define TP_P_M2M_RING_CTRL_IN_GO_BIT        (0x00000001<<2) // to start memory TS source
#define TP_P_M2M_RING_CTRL_EMPYT_EN_BIT     (0x00000001<<3)
#define TP_P_M2M_RING_CTRL_EMPYT_BIT        (0x00000001<<4)
#define TP_P_M2M_RING_CTRL_WRITE_DATA(x)    (x & 0x01)

#define TP_P_SYNC_POS	                       0xB80145D0
#define TP_P_M2M_CNT	                       0xB80145D4

/* padding mata data */
#define TP_PREFIX_CTRL 	                       0xB8014700

    #define TP_PREFIX_CTRL_DEBUG_1              0x0
    #define TP_PREFIX_CTRL_DEBUG_2              0x1
    #define TP_PREFIX_CTRL_META_DATA            0x2
    #define TP_PREFIX_CTRL_NONE                 0x3

#define TP_PREFIX_DATA1	                       0xB8014704	// padding misc_90k (must select this one)
#define TP_PREFIX_DATA2	                       0xB8014708	// padding misc_90k/local_90k/27M depends on stc_sel
#define TP_PREFIX_DATA3	                       0xB801470C

/* enable read padding data to control stream for MTP */
#define TP_FR_CTRL		                       0xB8014710

#endif  //__RTD289X_TP_REG_H___TP_REG_H__

