#ifndef __PCB_H__
#define __PCB_H__

#include <platform_lib/board/pcb_mgr.h>

/* TV001 */
#if defined(Config_Board_FPGA)
	#include "pcb/pcb_rtd287o_tv001_bga.h"
#elif defined(Config_Board_Demo)
	#if defined(Config_Boot_Flash_Type_is_NAND)
		#include "pcb/pcb_rtd287o_tv001_bga_nand.h"
	#else
		#include "pcb/pcb_rtd287o_tv001_bga.h"
	#endif
#elif defined(Config_Board_Demo_19x19)
	#if defined(Config_Boot_Flash_Type_is_NAND)
		#include "pcb/pcb_rtd287o_tv001_bga_19x19_nand.h"
	#else
		#include "pcb/pcb_rtd287o_tv001_bga_19x19.h"
	#endif
#elif defined(Config_Board_Demo_MT)
	#include "pcb/pcb_rtd287o_tv001_bga_mt.h"
#elif defined(Config_Board_Demo_19x19_MT)
	#include "pcb/pcb_rtd287o_tv001_bga_19x19_mt.h"
/* TV030 */
#elif defined(Config_Board_TV030)
	#include "pcb/pcb_rtd287o_tv030_bga.h"
/* TV035 */
#elif defined(Config_Board_TV035_19x19)
	#include "pcb/pcb_rtd287o_tv035_bga_19x19.h"
#elif defined(Config_Board_TV043_RENO_V001)
	#include "pcb/pcb_rtd287o_tv043_bga_nand_V001.h"
#elif defined(Config_Board_TV043_RENO_V002)
	#include "pcb/pcb_rtd287o_tv043_bga_nand_V002.h"
#elif defined(Config_Board_TV002_V001)
	#include "pcb/pcb_rtd287o_tv002_bga.h"
#else
	#error "pcbMgr no support this board."
#endif

#endif	// __PCB_H__
