
#if 0
v_jump.S
/* Register */
#define REG_HW_SEMAPHORE                0xb801a000
#define REG_UART0_BASE                  0xb8062300
#define REG_UART1_BASE                  0xb801b100
#define DEFAULT_UART                    REG_UART0_BASE

#define s0      $16
#define s1      $17

/* Value */
#define AUDIO_FW_ENTRY_PTR_A1   0xa00000e0
#define AudioFW_Read_Test_Addr  0xa00000d0

#define VIDEO_FW_ENTRY_PTR_A1   0xa00000e4
#define VideoFW_Read_Test_Addr  0xa00000d4

#define ACPU_RW_Share_Status_Addr       0xa00000e8
#define VCPU_RW_Share_Status_Addr       0xa00000ec

#define FLAG_READ 1
#define FLAG_WRITE 2

.section ".text", "ax"
.globl  a_entry
.ent    a_entry
a_entry:
.set noreorder

li $17,VIDEO_FW_ENTRY_PTR_A1
nop
sw $0,0($17)
nop

1:
li $17,VIDEO_FW_ENTRY_PTR_A1
nop
li $19,VCPU_RW_Share_Status_Addr
nop
#get access address
lw $16, 0($17)
nop
#get rw flag
lw $18, 0($19)
nop

#only when access address and rw_flag are vaild,then skip loop
beq     $16,$0,1b
nop
beq     $18,$0,1b
nop

#clear access address in AUDIO_FW_ENTRY_PTR_A1
sw $0,0($17)
nop
#clear rw flag in FW_RW_Share_Status_Addr
sw $0,0($19)
nop

#let acpu1 access spcified address according to rw_flag
#if 0
li      $9, DEFAULT_UART
li              $8, 'A'
sw              $8, 0($9)
li              $8, 'C'
sw              $8, 0($9)
li              $8, 'P'
sw              $8, 0($9)
li              $8, 'U'
sw              $8, 0($9)
li              $8, '1'
sw              $8, 0($9)
li              $8, ' '
sw              $8, 0($9)
#endif

li $20,FLAG_READ
nop
beq $18,$20,ACPU1_READ

li $20,FLAG_WRITE
nop
beq $18,$20,ACPU1_WRITE
nop

#rw_flag not match read/write, then print err info
li              $8, 'r'
sw              $8, 0($9)
li              $8, 'w'
sw              $8, 0($9)
li              $8, '_'
sw              $8, 0($9)
li              $8, 'f'
sw              $8, 0($9)
li              $8, 'l'
sw              $8, 0($9)
li              $8, 'a'
sw              $8, 0($9)
li              $8, 'g'
sw              $8, 0($9)
li              $8, ' '
sw              $8, 0($9)
li              $8, 'E'
sw              $8, 0($9)
li              $8, 'r'
sw              $8, 0($9)
li              $8, 'r'
sw              $8, 0($9)
nop

b 1b
nop

ACPU1_WRITE:
li $17,0x78563412
nop
sw $17,0($16)
nop

mfc0 $17,$20
nop
ori $17,$17,0x1
nop
mtc0 $17,$20
nop
li $19,-2
nop
and $17,$19,$17
nop
mtc0 $17,$20
nop

#if 0
li              $8, 'W'
sw              $8, 0($9)
nop
li              $8, 'r'
sw              $8, 0($9)
nop
li              $8, 'i'
sw              $8, 0($9)
nop
li              $8, 't'
sw              $8, 0($9)
nop
li              $8, 'e'
sw              $8, 0($9)
nop
#endif

b 1b
nop

ACPU1_READ:
li $19,VideoFW_Read_Test_Addr
nop
lw $17,0($16)
nop
sw $17,0($19)
nop

#if 0
li              $8, 'R'
sw              $8, 0($9)
nop
li              $8, 'e'
sw              $8, 0($9)
nop
li              $8, 'a'
sw              $8, 0($9)
nop
li              $8, 'd'
sw              $8, 0($9)
nop
#endif

b 1b
nop

/*END(a_entry)  */
.set reorder
.end a_entry

#endif

#if 0
a_jump.S
/* Register */
#define REG_HW_SEMAPHORE                0xb801a000
#define REG_UART0_BASE                  0xb8062300
#define REG_UART1_BASE                  0xb801b100
#define DEFAULT_UART                    REG_UART0_BASE

#define s0      $16
#define s1      $17

/* Value */
#define AUDIO_FW_ENTRY_PTR_A1   0xa00000e0
#define AudioFW_Read_Test_Addr  0xa00000d0

#define FW_RW_Share_Status_Addr 0xa00000e8

#define FLAG_READ 1
#define FLAG_WRITE 2

.section ".text", "ax"
.globl  a_entry
.ent    a_entry
a_entry:
.set noreorder

li $17,AUDIO_FW_ENTRY_PTR_A1
nop
sw $0,0($17)
nop

1:
mtc0 $0,$20
nop
li $17,0x200
nop
mtc0 $17,$20
nop

li $17,AUDIO_FW_ENTRY_PTR_A1
nop
li $19,FW_RW_Share_Status_Addr
nop
#get access address
lw $16, 0($17)
nop
#get rw flag
lw $18, 0($19)
nop

#only when access address and rw_flag are vaild,then skip loop
beq     $16,$0,1b
nop
beq     $18,$0,1b
nop

#clear access address in AUDIO_FW_ENTRY_PTR_A1
sw $0,0($17)
nop
#clear rw flag in FW_RW_Share_Status_Addr
sw $0,0($19)
nop

#let acpu1 access spcified address according to rw_flag
#if 0
li      $9, DEFAULT_UART
li              $8, 'A'
sw              $8, 0($9)
li              $8, 'C'
sw              $8, 0($9)
li              $8, 'P'
sw              $8, 0($9)
li              $8, 'U'
sw              $8, 0($9)
li              $8, '1'
sw              $8, 0($9)
li              $8, ' '
sw              $8, 0($9)
#endif

li $20,FLAG_READ
nop
beq $18,$20,ACPU1_READ

li $20,FLAG_WRITE
nop
beq $18,$20,ACPU1_WRITE
nop

#rw_flag not match read/write, then print err info
li              $8, 'r'
sw              $8, 0($9)
li              $8, 'w'
sw              $8, 0($9)
li              $8, '_'
sw              $8, 0($9)
li              $8, 'f'
sw              $8, 0($9)
li              $8, 'l'
sw              $8, 0($9)
li              $8, 'a'
sw              $8, 0($9)
li              $8, 'g'
sw              $8, 0($9)
li              $8, ' '
sw              $8, 0($9)
li              $8, 'E'
sw              $8, 0($9)
li              $8, 'r'
sw              $8, 0($9)
li              $8, 'r'
sw              $8, 0($9)
nop

b 1b
nop

ACPU1_WRITE:
li $17,0x78563412
nop
sw $17,0($16)
nop

#if 0
li              $8, 'W'
sw              $8, 0($9)
nop
li              $8, 'r'
sw              $8, 0($9)
nop
li              $8, 'i'
sw              $8, 0($9)
nop
li              $8, 't'
sw              $8, 0($9)
nop
li              $8, 'e'
sw              $8, 0($9)
nop
#endif

b 1b
nop

ACPU1_READ:
li $19,AudioFW_Read_Test_Addr
nop
lw $17,0($16)
nop
sw $17,0($19)
nop

#if 0
li              $8, 'R'
sw              $8, 0($9)
nop
li              $8, 'e'
sw              $8, 0($9)
nop
li              $8, 'a'
sw              $8, 0($9)
nop
li              $8, 'd'
sw              $8, 0($9)
nop
#endif

b 1b
nop

/*END(a_entry)  */
.set reorder
.end a_entry

#endif

#if !defined(BIT)
#define BIT(x)               (1 <<x)
#endif


#include <common.h>
#include <command.h>
#include <io.h>

//SB2 RBUS timeout
#define  SB2_INV_INTEN_reg  0x1801A004


#define  SB2_DBG_START_0_reg  0x1801A458
#define  SB2_DBG_END_0_reg  0x1801A478
#define  SB2_DBG_CTRL_0_reg   0x1801A498

#define  SB2_DBG_INT_reg  0x1801A4E0

#define  SB2_DBG_ADDR_0_reg 0x1801A4B8

#define  SB2_DBG_ADDR1_reg 0x1801A4CC
#define  SB2_DBG_CTRL2_reg 0x1801A4D0


// the new 8 sets
#define  SB2_DBG_START2_0 0x1801AA80
#define  SB2_DBG_END2_0 0x1801AAA0
#define  SB2_DBG_CTRL3_0 0x1801AAC0
#define  SB2_DBG_START2_0_reg  SB2_DBG_START2_0
#define  SB2_DBG_END2_0_reg  SB2_DBG_END2_0
#define  SB2_DBG_CTRL3_0_reg  SB2_DBG_CTRL3_0

#define ACPU_CHECK_ENABLE (BIT(13)|BIT(12))
#define VCPU_CHECK_ENABLE (BIT(11)|BIT(10))
#define SCPU_CHECK_ENABLE (BIT(9)|BIT(8))
#define CHECK_ENABLE (BIT(1)|BIT(0))

#define CHECK_DISABLE (BIT(1))

#define MONITOR_READ    (BIT(7)|BIT(5))
#define MONITOR_WRITE (BIT(7)|BIT(6))
#define MONITOR_READ_WRITE_1 (BIT(7))
#define MONITOR_READ_WRITE_2 (BIT(7)|BIT(6)|BIT(5))

#define MONITOR_DATA (BIT(4)|BIT(2))
#define MONITOR_INSTRUCTION (BIT(4)|BIT(3))
#define MONITOR_DATA_INSTRUCTION_1 (BIT(4))
#define MONITOR_DATA_INSTRUCTION_2 (BIT(4)|BIT(3)|BIT(2))

#define SB2_DEBUG_SET_NUM 16

enum
{
    READ=0,
    WRITE=1,
    READ_WRITE_1=2,
    READ_WRITE_2=3
};

enum
{
    DATA=0,
    INSTRUCTION=1,
    DATA_INSTRUCTION_1=2,
    DATA_INSTRUCTION_2=3
};

enum
{
    SCPU=0,
    ACPU=1,
    VCPU=2,
};

#define BYTE(d,n)       (((d) >> ((n) << 3)) & 0xFF)
#define SWAPEND32(d)    ((BYTE(d,0) << 24) | (BYTE(d,1) << 16) | (BYTE(d,2) << 8) | (BYTE(d,3) << 0))

//static int flag_acpu1 = 1;
//static int flag_vcpu1 = 1;
extern uint *AudioFW_entry_ptr_A1;//0x000000e0
extern uint *VideoFW_entry_ptr_V1;//0x000000e4

#define MIPS_KSEG0BASE  0x80000000
#define MIPS_KSEG1BASE  0xa0000000

#define  SB2_HD_SEM   0x1801A000

#define RW_FLAG_RO      1
#define RW_FLAG_WO      2

#define AudioFW_Read_Test_Addr ((volatile uint*)0xd0)
#define VideoFW_Read_Test_Addr ((volatile uint*)0xd4)

#define ACPU_RW_Share_Status_Addr *((volatile uint*)0xe8)
#define VCPU_RW_Share_Status_Addr *((volatile uint*)0xec)

//acpu1 test code related binary, acpu can access specified address according to SCPU cmd
#if 1
static unsigned char A1_ENTRY_IMAGE_ENTRY[] =
{
    0x3c, 0x11, 0xa0, 0x00, 0x36, 0x31, 0x00, 0xe0, 0x00, 0x00, 0x00, 0x00,
    0xae, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3c, 0x11, 0xa0, 0x00,
    0x36, 0x31, 0x00, 0xe0, 0x00, 0x00, 0x00, 0x00, 0x3c, 0x13, 0xa0, 0x00,
    0x36, 0x73, 0x00, 0xe8, 0x00, 0x00, 0x00, 0x00, 0x8e, 0x30, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x8e, 0x72, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x12, 0x00, 0xff, 0xf5, 0x00, 0x00, 0x00, 0x00, 0x12, 0x40, 0xff, 0xf3,
    0x00, 0x00, 0x00, 0x00, 0xae, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xae, 0x60, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x24, 0x14, 0x00, 0x01,
    0x00, 0x00, 0x00, 0x00, 0x12, 0x54, 0x00, 0x24, 0x24, 0x14, 0x00, 0x02,
    0x00, 0x00, 0x00, 0x00, 0x12, 0x54, 0x00, 0x1a, 0x00, 0x00, 0x00, 0x00,
    0x24, 0x08, 0x00, 0x72, 0xad, 0x28, 0x00, 0x00, 0x24, 0x08, 0x00, 0x77,
    0xad, 0x28, 0x00, 0x00, 0x24, 0x08, 0x00, 0x5f, 0xad, 0x28, 0x00, 0x00,
    0x24, 0x08, 0x00, 0x66, 0xad, 0x28, 0x00, 0x00, 0x24, 0x08, 0x00, 0x6c,
    0xad, 0x28, 0x00, 0x00, 0x24, 0x08, 0x00, 0x61, 0xad, 0x28, 0x00, 0x00,
    0x24, 0x08, 0x00, 0x67, 0xad, 0x28, 0x00, 0x00, 0x24, 0x08, 0x00, 0x20,
    0xad, 0x28, 0x00, 0x00, 0x24, 0x08, 0x00, 0x45, 0xad, 0x28, 0x00, 0x00,
    0x24, 0x08, 0x00, 0x72, 0xad, 0x28, 0x00, 0x00, 0x24, 0x08, 0x00, 0x72,
    0xad, 0x28, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x00, 0xff, 0xcf,
    0x00, 0x00, 0x00, 0x00, 0x3c, 0x11, 0x78, 0x56, 0x36, 0x31, 0x34, 0x12,
    0x00, 0x00, 0x00, 0x00, 0xae, 0x11, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x10, 0x00, 0xff, 0xc8, 0x00, 0x00, 0x00, 0x00, 0x3c, 0x13, 0xa0, 0x00,
    0x36, 0x73, 0x00, 0xd0, 0x00, 0x00, 0x00, 0x00, 0x8e, 0x11, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xae, 0x71, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x10, 0x00, 0xff, 0xbf, 0x00, 0x00, 0x00, 0x00
};
#else
static unsigned char A1_ENTRY_IMAGE_ENTRY[] =
{
    0x3c, 0x11, 0xa0, 0x00, 0x36, 0x31, 0x00, 0xe0, 0x00, 0x00, 0x00, 0x00,
    0xae, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3c, 0x11, 0xa0, 0x00,
    0x36, 0x31, 0x00, 0xe0, 0x00, 0x00, 0x00, 0x00, 0x3c, 0x13, 0xa0, 0x00,
    0x36, 0x73, 0x00, 0xe8, 0x00, 0x00, 0x00, 0x00, 0x8e, 0x30, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x8e, 0x72, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x12, 0x00, 0xff, 0xf5, 0x00, 0x00, 0x00, 0x00, 0x12, 0x40, 0xff, 0xf3,
    0x00, 0x00, 0x00, 0x00, 0xae, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xae, 0x60, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x24, 0x14, 0x00, 0x01,
    0x00, 0x00, 0x00, 0x00, 0x12, 0x54, 0x00, 0x28, 0x24, 0x14, 0x00, 0x02,
    0x00, 0x00, 0x00, 0x00, 0x12, 0x54, 0x00, 0x1a, 0x00, 0x00, 0x00, 0x00,
    0x24, 0x08, 0x00, 0x72, 0xad, 0x28, 0x00, 0x00, 0x24, 0x08, 0x00, 0x77,
    0xad, 0x28, 0x00, 0x00, 0x24, 0x08, 0x00, 0x5f, 0xad, 0x28, 0x00, 0x00,
    0x24, 0x08, 0x00, 0x66, 0xad, 0x28, 0x00, 0x00, 0x24, 0x08, 0x00, 0x6c,
    0xad, 0x28, 0x00, 0x00, 0x24, 0x08, 0x00, 0x61, 0xad, 0x28, 0x00, 0x00,
    0x24, 0x08, 0x00, 0x67, 0xad, 0x28, 0x00, 0x00, 0x24, 0x08, 0x00, 0x20,
    0xad, 0x28, 0x00, 0x00, 0x24, 0x08, 0x00, 0x45, 0xad, 0x28, 0x00, 0x00,
    0x24, 0x08, 0x00, 0x72, 0xad, 0x28, 0x00, 0x00, 0x24, 0x08, 0x00, 0x72,
    0xad, 0x28, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x00, 0xff, 0xcf,
    0x00, 0x00, 0x00, 0x00, 0x3c, 0x11, 0x78, 0x56, 0x36, 0x31, 0x34, 0x12,
    0x00, 0x00, 0x00, 0x00, 0xae, 0x11, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x40, 0x80, 0xa0, 0x00, 0x24, 0x11, 0x02, 0x00, 0x40, 0x91, 0xa0, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x10, 0x00, 0xff, 0xc4, 0x00, 0x00, 0x00, 0x00,
    0x3c, 0x13, 0xa0, 0x00, 0x36, 0x73, 0x00, 0xd0, 0x00, 0x00, 0x00, 0x00,
    0x8e, 0x11, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xae, 0x71, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x10, 0x00, 0xff, 0xbb, 0x00, 0x00, 0x00, 0x00
};;
#endif

//vcpu1 test code related binary, vcpu can access specified address according to SCPU cmd
//static unsigned char V1_ENTRY_IMAGE_ENTRY[] =
#if 0
unsigned char V1_ENTRY_IMAGE_ENTRY[] =
{
    0x3c, 0x11, 0xa0, 0x00, 0x36, 0x31, 0x00, 0xe4, 0x00, 0x00, 0x00, 0x00,
    0xae, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3c, 0x11, 0xa0, 0x00,
    0x36, 0x31, 0x00, 0xe4, 0x00, 0x00, 0x00, 0x00, 0x3c, 0x13, 0xa0, 0x00,
    0x36, 0x73, 0x00, 0xec, 0x00, 0x00, 0x00, 0x00, 0x8e, 0x30, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x8e, 0x72, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x12, 0x00, 0xff, 0xf5, 0x00, 0x00, 0x00, 0x00, 0x12, 0x40, 0xff, 0xf3,
    0x00, 0x00, 0x00, 0x00, 0xae, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xae, 0x60, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x24, 0x14, 0x00, 0x01,
    0x00, 0x00, 0x00, 0x00, 0x12, 0x54, 0x00, 0x24, 0x24, 0x14, 0x00, 0x02,
    0x00, 0x00, 0x00, 0x00, 0x12, 0x54, 0x00, 0x1a, 0x00, 0x00, 0x00, 0x00,
    0x24, 0x08, 0x00, 0x72, 0xad, 0x28, 0x00, 0x00, 0x24, 0x08, 0x00, 0x77,
    0xad, 0x28, 0x00, 0x00, 0x24, 0x08, 0x00, 0x5f, 0xad, 0x28, 0x00, 0x00,
    0x24, 0x08, 0x00, 0x66, 0xad, 0x28, 0x00, 0x00, 0x24, 0x08, 0x00, 0x6c,
    0xad, 0x28, 0x00, 0x00, 0x24, 0x08, 0x00, 0x61, 0xad, 0x28, 0x00, 0x00,
    0x24, 0x08, 0x00, 0x67, 0xad, 0x28, 0x00, 0x00, 0x24, 0x08, 0x00, 0x20,
    0xad, 0x28, 0x00, 0x00, 0x24, 0x08, 0x00, 0x45, 0xad, 0x28, 0x00, 0x00,
    0x24, 0x08, 0x00, 0x72, 0xad, 0x28, 0x00, 0x00, 0x24, 0x08, 0x00, 0x72,
    0xad, 0x28, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x00, 0xff, 0xcf,
    0x00, 0x00, 0x00, 0x00, 0x3c, 0x11, 0x78, 0x56, 0x36, 0x31, 0x34, 0x12,
    0x00, 0x00, 0x00, 0x00, 0xae, 0x11, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x10, 0x00, 0xff, 0xc8, 0x00, 0x00, 0x00, 0x00, 0x3c, 0x13, 0xa0, 0x00,
    0x36, 0x73, 0x00, 0xd4, 0x00, 0x00, 0x00, 0x00, 0x8e, 0x11, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xae, 0x71, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x10, 0x00, 0xff, 0xbf, 0x00, 0x00, 0x00, 0x00
};
#else
unsigned char V1_ENTRY_IMAGE_ENTRY[] =
{
    0x3c, 0x11, 0xa0, 0x00, 0x36, 0x31, 0x00, 0xe4, 0x00, 0x00, 0x00, 0x00,
    0xae, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3c, 0x11, 0xa0, 0x00,
    0x36, 0x31, 0x00, 0xe4, 0x00, 0x00, 0x00, 0x00, 0x3c, 0x13, 0xa0, 0x00,
    0x36, 0x73, 0x00, 0xec, 0x00, 0x00, 0x00, 0x00, 0x8e, 0x30, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x8e, 0x72, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x12, 0x00, 0xff, 0xf5, 0x00, 0x00, 0x00, 0x00, 0x12, 0x40, 0xff, 0xf3,
    0x00, 0x00, 0x00, 0x00, 0xae, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xae, 0x60, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x24, 0x14, 0x00, 0x01,
    0x00, 0x00, 0x00, 0x00, 0x12, 0x54, 0x00, 0x30, 0x24, 0x14, 0x00, 0x02,
    0x00, 0x00, 0x00, 0x00, 0x12, 0x54, 0x00, 0x1a, 0x00, 0x00, 0x00, 0x00,
    0x24, 0x08, 0x00, 0x72, 0xad, 0x28, 0x00, 0x00, 0x24, 0x08, 0x00, 0x77,
    0xad, 0x28, 0x00, 0x00, 0x24, 0x08, 0x00, 0x5f, 0xad, 0x28, 0x00, 0x00,
    0x24, 0x08, 0x00, 0x66, 0xad, 0x28, 0x00, 0x00, 0x24, 0x08, 0x00, 0x6c,
    0xad, 0x28, 0x00, 0x00, 0x24, 0x08, 0x00, 0x61, 0xad, 0x28, 0x00, 0x00,
    0x24, 0x08, 0x00, 0x67, 0xad, 0x28, 0x00, 0x00, 0x24, 0x08, 0x00, 0x20,
    0xad, 0x28, 0x00, 0x00, 0x24, 0x08, 0x00, 0x45, 0xad, 0x28, 0x00, 0x00,
    0x24, 0x08, 0x00, 0x72, 0xad, 0x28, 0x00, 0x00, 0x24, 0x08, 0x00, 0x72,
    0xad, 0x28, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x00, 0xff, 0xcf,
    0x00, 0x00, 0x00, 0x00, 0x3c, 0x11, 0x78, 0x56, 0x36, 0x31, 0x34, 0x12,
    0x00, 0x00, 0x00, 0x00, 0xae, 0x11, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x40, 0x11, 0xa0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x36, 0x31, 0x00, 0x01,
    0x00, 0x00, 0x00, 0x00, 0x40, 0x91, 0xa0, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x24, 0x13, 0xff, 0xfe, 0x00, 0x00, 0x00, 0x00, 0x02, 0x71, 0x88, 0x24,
    0x00, 0x00, 0x00, 0x00, 0x40, 0x91, 0xa0, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x10, 0x00, 0xff, 0xbc, 0x00, 0x00, 0x00, 0x00, 0x3c, 0x13, 0xa0, 0x00,
    0x36, 0x73, 0x00, 0xd4, 0x00, 0x00, 0x00, 0x00, 0x8e, 0x11, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xae, 0x71, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x10, 0x00, 0xff, 0xb3, 0x00, 0x00, 0x00, 0x00
};
#endif


static void release_hw_semaphore(void)
{
    rtd_outl(SB2_HD_SEM, 0x0);
}

static void hold_hw_semaphore(void)
{
    //printf("## Hold HW semaphore\n");
    while(!(rtd_inl(SB2_HD_SEM)))
    {
        udelay(100);
    }
}


void enable_audio_clock(void);
extern int do_acpu_bisr(unsigned int acpuid);

void enable_acpu (void)
{
    static int flag_acpu=1;

    if (flag_acpu)
    {
        *AudioFW_entry_ptr_A1 = SWAPEND32((uint)A1_ENTRY_IMAGE_ENTRY | MIPS_KSEG1BASE);
        flush_dcache_all();
        mdelay(100);

        enable_audio_clock();
        //do_vcpu_bisr(BIT(0));

        //let acpu run the test flow
        //*AudioFW_entry_ptr_A1 = SWAPEND32((uint)A1_ENTRY_IMAGE_ENTRY | MIPS_KSEG1BASE);
        //flush_dcache_all();

        //rtd_outl(SB2_HD_SEM, 0x1);//hold_hw_semaphore
        rtd_outl(SB2_HD_SEM, 0x0);//release_hw_semaphore

        flush_dcache_all();
        mdelay(1000);

        flag_acpu=0;
    }

    //flag_vcpu1 = 0;
    //printf("\n");
}

void enable_vcpu (void)
{
    static int flag_acpu=1;

    if(flag_acpu)
    {
        *VideoFW_entry_ptr_V1 = SWAPEND32((uint)V1_ENTRY_IMAGE_ENTRY | MIPS_KSEG0BASE);
        flush_dcache_all();
        mdelay(100);

        enable_video_clock();
        //do_vcpu_bisr(BIT(0));

        //let vcpu run the test flow
        //*VideoFW_entry_ptr_V1 = SWAPEND32((uint)V1_ENTRY_IMAGE_ENTRY | MIPS_KSEG1BASE);
        //*VideoFW_entry_ptr_V1 = SWAPEND32((uint)V1_ENTRY_IMAGE_ENTRY | MIPS_KSEG0BASE);
        //flush_dcache_all();
        //mdelay(100);

        //rtd_outl(SB2_HD_SEM, 0x1);//hold_hw_semaphore
        rtd_outl(SB2_HD_SEM, 0x0);//release_hw_semaphore

        flush_dcache_all();
        mdelay(1000);

        flag_acpu=0;
    }
    //flag_vcpu1 = 0;
    //printf("\n");
}

static int dump_flag=0;

//read address value is saved at AudioFW_Read_Test_Addr
//acpu read is 1, write is 2
int acpu_rw (unsigned int addr, int rw,unsigned int negative)
{
    int acpu_rw_bit = rw+1;

    ACPU_RW_Share_Status_Addr = SWAPEND32(acpu_rw_bit);
    //*AudioFW_entry_ptr_A1 = SWAPEND32(addr);

#if 1
    if (negative)
    {
        *AudioFW_entry_ptr_A1 = SWAPEND32(addr | MIPS_KSEG1BASE);
    }
    else
    {
        *AudioFW_entry_ptr_A1 = SWAPEND32(addr);

        if(dump_flag)
        {
            printf("%s %d  trap address %x|%x,  rw %x\n",__func__,__LINE__,addr,SWAPEND32(addr),SWAPEND32(acpu_rw_bit));
        }
    }
#endif

#if 0
    printf(" address is 0x%08x \n", addr);
    if(rw == RW_FLAG_RO)
    {
        return SWAPEND32(*AudioFW_Read_Test_Addr);
    }
#endif
    return 0;

}

void enable_video_clock(void);
extern int do_vcpu_bisr(unsigned int vcpuid);

int vcpu_rw1 (unsigned int addr, int rw)
{
    //int vcpu_rw_bit = rw+1;
    //if (flag_vcpu1)
    {
        hold_hw_semaphore();
        enable_video_clock();
        do_vcpu_bisr(BIT(0));
        release_hw_semaphore();

        //let vcpu run the test flow
        *VideoFW_entry_ptr_V1 = SWAPEND32((uint)V1_ENTRY_IMAGE_ENTRY | MIPS_KSEG1BASE);
        //flush_dcache_all();

        //rtd_outl(SB2_HD_SEM, 0x1);//hold_hw_semaphore
        //rtd_outl(SB2_HD_SEM, 0x0);//release_hw_semaphore

        flush_dcache_all();
        mdelay(100);
        //flag_vcpu1 = 0;
        printf("\n");

    }

    //FW_RW_Share_Status_Addr = SWAPEND32(vcpu_rw_bit);
    *VideoFW_entry_ptr_V1 = SWAPEND32(addr | MIPS_KSEG1BASE);
    //*VideoFW_entry_ptr_V1 = SWAPEND32(addr);        // for DBUS range access
    flush_dcache_all();
    mdelay(50);

#if 0
    printf(" address is 0x%08x \n", addr);
    if(rw == RW_FLAG_RO)
    {
        return SWAPEND32(*VideoFW_Read_Test_Addr);
    }
#endif

    return 0;
}

//read address value is saved at VideoFW_Read_Test_Addr
int vcpu_rw (unsigned int addr, int rw,unsigned int negative)
{
    int vcpu_rw_bit = rw+1;

    VCPU_RW_Share_Status_Addr = SWAPEND32(vcpu_rw_bit);
    //*VideoFW_entry_ptr_V1 = SWAPEND32(addr);

#if 1
    if (negative)
    {
        *VideoFW_entry_ptr_V1 = SWAPEND32(addr | MIPS_KSEG1BASE);
    }
    else
    {
        *VideoFW_entry_ptr_V1 = SWAPEND32(addr);
    }
#endif

#if 0
    printf(" address is 0x%08x \n", addr);
    if(rw == RW_FLAG_RO)
    {
        return SWAPEND32(*VideoFW_Read_Test_Addr);
    }
#endif

    return 0;
}


int scpu_rw (unsigned int addr, int rw)
{
    int result=0;

    if (rw==READ)
    {
        result=rtd_inl(addr);
    }
    else if (rw==WRITE)
    {
#if 0
        printf("START %x, END %x, CTRL %x, INT %x, ADDR1 %x, CTRL2 %x\n",
               rtd_inl(SB2_DBG_START_0_reg+set_id*4),rtd_inl(SB2_DBG_START_0_reg+set_id*4),rtd_inl(SB2_DBG_CTRL_0_reg+set_id*4),
               rtd_inl(SB2_DBG_INT_reg),rtd_inl(SB2_DBG_ADDR1_reg),rtd_inl(SB2_DBG_CTRL2_reg));
#endif
        rtd_outl(addr, 0x01);
    }
    else
    {
        printf("%s %d  invalid param  rw=%d\n",__func__,__LINE__,rw);
        while(1);
    }

    return result;
}

void cpu_rw (unsigned int cpu, unsigned int addr, int rw,unsigned int negative)
{
    if (cpu==SCPU)
    {
        scpu_rw(addr,rw);
    }
    else if (cpu==ACPU)
    {
        acpu_rw(addr,rw,negative);
    }
    else if (cpu==VCPU)
    {
        vcpu_rw(addr,rw,negative);
    }
    else
    {
        printf("%s %d  invalid param   cpu=%d\n",__func__,__LINE__,cpu);
        while(1);
    }

    flush_dcache_all();
    mdelay(30);
}

int check_read_write (unsigned int read_write, unsigned int test_read_write)
{
    if (read_write==READ_WRITE_1 ||read_write==READ_WRITE_2)
    {
        return 1;
    }

#if 0
    if (test_read_write==READ_WRITE_1 ||test_read_write==READ_WRITE_2)
    {
        return 1;
    }
#endif

    if(read_write==test_read_write)
    {
        return 1;
    }

    return 0;
}


int check_data_instruction (unsigned int data_instruction,unsigned int test_data_instruction)
{
    if (data_instruction==DATA_INSTRUCTION_1 ||data_instruction==DATA_INSTRUCTION_1)
    {
        return 1;
    }

#if 0
    if (test_data_instruction==DATA_INSTRUCTION_1 ||test_data_instruction==DATA_INSTRUCTION_1)
    {
        return 1;
    }
#endif

    if(data_instruction==test_data_instruction)
    {
        return 1;
    }

    return 0;
}

int check_scpu_interrupt ( unsigned int trap_address, unsigned int negative )
{
    if (rtd_inl(SB2_DBG_ADDR_0_reg+8) != trap_address)
    {
        return 0;
    }

    if (negative)
    {
        //SCPU interrupt NOT happen   (BIT 10 also indicate exception ? )
        if ( (rtd_inl(SB2_DBG_INT_reg) & BIT(4)) ==0)
        {
            return 0;
        }

        //ACPU interrupt exclude!
        if (rtd_inl(SB2_DBG_INT_reg)& (BIT(12)|BIT(11) |BIT(10)|BIT(6)|BIT(5)))
        {
            return 0;
        }
    }
    else
    {
        //SCPU interrupt NOT happen   (BIT 10 also indicate exception ? )
        if ( (rtd_inl(SB2_DBG_INT_reg) & BIT(10)) ==0)
        {
            return 0;
        }

        //ACPU interrupt exclude!
        if (rtd_inl(SB2_DBG_INT_reg)& (BIT(12)|BIT(11)|BIT(6)|BIT(5)|BIT(4)))
        {
            return 0;
        }
    }
    return 1;
}

int check_acpu_interrupt ( unsigned int trap_address, unsigned int negative )
{
    if (rtd_inl(SB2_DBG_ADDR_0_reg) != trap_address)
    {
        return 0;
    }

    if (negative)
    {
        //SCPU interrupt NOT happen   (BIT 10 also indicate exception ? )
        if ( (rtd_inl(SB2_DBG_INT_reg) & BIT(6)) ==0)
        {
            return 0;
        }

        //ACPU interrupt exclude!
        if (rtd_inl(SB2_DBG_INT_reg)& (BIT(12)|BIT(11) |BIT(10)|BIT(4)|BIT(5)))
        {
            return 0;
        }
    }
    else
    {
        //SCPU interrupt NOT happen   (BIT 10 also indicate exception ? )
        if ( (rtd_inl(SB2_DBG_INT_reg) & BIT(12)) ==0)
        {
            return 0;
        }

        //ACPU interrupt exclude!
        if (rtd_inl(SB2_DBG_INT_reg)& (BIT(10)|BIT(11)|BIT(6)|BIT(5)|BIT(4)))
        {
            return 0;
        }
    }
    return 1;
}

int check_vcpu_interrupt ( unsigned int trap_address, unsigned int negative )
{
    if (rtd_inl(SB2_DBG_ADDR_0_reg+4) != trap_address)
    {
        return 0;
    }

    if (negative)
    {
        //SCPU interrupt NOT happen   (BIT 10 also indicate exception ? )
        if ( (rtd_inl(SB2_DBG_INT_reg) & BIT(5)) ==0)
        {
            return 0;
        }

        //ACPU interrupt exclude!
        if (rtd_inl(SB2_DBG_INT_reg)& (BIT(12)|BIT(11) |BIT(10)|BIT(6)|BIT(4)) )
        {
            return 0;
        }
    }
    else
    {
        //SCPU interrupt NOT happen   (BIT 10 also indicate exception ? )
        if ( (rtd_inl(SB2_DBG_INT_reg) & BIT(11)) ==0)
        {
            return 0;
        }

        //ACPU interrupt exclude!
        if (rtd_inl(SB2_DBG_INT_reg)& (BIT(12)|BIT(10)|BIT(6)|BIT(5)|BIT(4)))
        {
            return 0;
        }
    }

    return 1;
}


int check_cpu_interrupt (unsigned int cpu, unsigned int trap_address, unsigned int negative )
{
    if (cpu==SCPU)
    {
        return check_scpu_interrupt(trap_address,negative);
    }
    else if (cpu==ACPU)
    {
        return check_acpu_interrupt(trap_address,negative);
    }
    else if (cpu==VCPU)
    {
        return check_vcpu_interrupt(trap_address,negative);
    }

    return 0;
}


int check_scpu_negative_interrupt (void)
{
    //SCPU interrupt NOT happen   (BIT 10 also indicate exception ? )
    if ( (rtd_inl(SB2_DBG_INT_reg) & BIT(4)) ==0)
    {
        return 0;
    }

    //exclude ACPU interrupt,VCPU interrupt,SCPU interrupt,ACPU negative interrupt,VCPU negative interrupt
    if (rtd_inl(SB2_DBG_INT_reg)& (BIT(12) | BIT(11) | BIT(10) | BIT(6) | BIT(5)) )
    {
        return 0;
    }

    return 1;
}

int check_interrupt_rw (unsigned int cpu, unsigned int read_write, unsigned int test_read_write)
{
    int cpu_dbg_write;;// 1 is write, 0 is read

    if (cpu==SCPU)
    {
        cpu_dbg_write=rtd_inl(SB2_DBG_ADDR1_reg) & BIT(3);
    }
    else if (cpu==ACPU)
    {
        cpu_dbg_write=rtd_inl(SB2_DBG_ADDR1_reg) & BIT(5);
    }
    else if (cpu==VCPU)
    {
        cpu_dbg_write=rtd_inl(SB2_DBG_ADDR1_reg) & BIT(7);
    }
    else
    {
        return 0;
    }

    if ( cpu_dbg_write && (test_read_write==WRITE) &&
            (read_write ==WRITE ||read_write ==  READ_WRITE_1 || read_write ==  READ_WRITE_2 )  )
    {
        return 1;
    }
    else if ( !cpu_dbg_write && (test_read_write==READ) &&
              (read_write ==READ ||read_write ==  READ_WRITE_1 || read_write ==  READ_WRITE_2 ) )
    {
        return 1;
    }

    return 0;
}

const char * cpu_type[]= {"SCPU","ACPU","VCPU"};
const char * cpu_negative_type[]= {"\e[1;33mSCPU\e[0m","\e[1;33mACPU\e[0m","\e[1;33mVCPU\e[0m"};

const char * str_rw[]= {"read      ","write     ","read&write","read&write"};
unsigned int array_read_write[]=         {MONITOR_READ,MONITOR_WRITE,MONITOR_READ_WRITE_1,MONITOR_READ_WRITE_2};
unsigned int array_data_instruction[]= {MONITOR_DATA,MONITOR_INSTRUCTION,MONITOR_DATA_INSTRUCTION_1,MONITOR_DATA_INSTRUCTION_2};

unsigned int int_value[3]= {BIT(7)|BIT(0),  BIT(9)|BIT(0),  BIT(8)|BIT(0)};
unsigned int ctrl_value[3]= {SCPU_CHECK_ENABLE, ACPU_CHECK_ENABLE,  VCPU_CHECK_ENABLE};
unsigned int negative_int_value[3]= {BIT(1)|BIT(0),  BIT(3)|BIT(0),  BIT(2)|BIT(0)};

void sb2_dbg_interrupt_set (
    unsigned int cpu,unsigned int set_id,
    unsigned int start_address,unsigned int end_address,
    unsigned int read_write, unsigned int data_instruction,
    unsigned int negative)
{
#if 0
    unsigned int i;

    for(i=0; i>SB2_DEBUG_SET_NUM/2; i++)
    {
        rtd_outl(SB2_DBG_START_0_reg+set_id*4, 0);
        rtd_outl(SB2_DBG_END_0_reg+set_id*4, 0);
        rtd_outl(SB2_DBG_CTRL_0_reg+set_id*4, CHECK_DISABLE | BIT(13) | BIT(11) | BIT(9));
    }
    for(i=0; i>SB2_DEBUG_SET_NUM/2; i++)
    {
        rtd_outl(SB2_DBG_START2_0+set_id*4, 0);
        rtd_outl(SB2_DBG_END2_0+set_id*4, 0);
        rtd_outl(SB2_DBG_CTRL3_0+set_id*4, CHECK_DISABLE | BIT(13) | BIT(11) | BIT(9));//0x2a92
    }
#endif

    if (set_id>=8)
    {
        set_id=set_id%8;
        rtd_outl(SB2_DBG_START2_0+set_id*4,  start_address);
        rtd_outl(SB2_DBG_END2_0 +set_id*4,    end_address);
        rtd_outl(SB2_DBG_CTRL3_0+set_id*4,   ctrl_value[cpu]|array_read_write[read_write]|MONITOR_DATA_INSTRUCTION_2 |CHECK_ENABLE);
    }
    else
    {
        rtd_outl(SB2_DBG_START_0_reg+set_id*4,  start_address);
        rtd_outl(SB2_DBG_END_0_reg +set_id*4,    end_address);
        rtd_outl(SB2_DBG_CTRL_0_reg+set_id*4,   ctrl_value[cpu]|array_read_write[read_write]|MONITOR_DATA_INSTRUCTION_2 |CHECK_ENABLE);

        if(dump_flag)
        {
            printf("%s %d.  start %x, end %x, ctrl %x\n",__func__,__LINE__,start_address,end_address,ctrl_value[cpu]|array_read_write[read_write]|MONITOR_DATA_INSTRUCTION_2 |CHECK_ENABLE);
        }
    }

    if (negative)
    {
        //printf("%x %x %x\n",rtd_inl(SB2_DBG_START_0_reg+set_id*4),rtd_inl(SB2_DBG_END_0_reg+set_id*4),rtd_inl(SB2_DBG_CTRL_0_reg+set_id*4));
        rtd_outl(SB2_DBG_INT_reg, negative_int_value[cpu]);
    }
    else
    {
        //printf("%x %x %x\n",rtd_inl(SB2_DBG_START_0_reg+set_id*4),rtd_inl(SB2_DBG_END_0_reg+set_id*4),rtd_inl(SB2_DBG_CTRL_0_reg+set_id*4));
        rtd_outl(SB2_DBG_INT_reg, int_value[cpu]);

        if(dump_flag)
        {
            printf("%s %d.  INT %x\n",__func__,__LINE__,int_value[cpu]);
        }
    }
}

//int sb2_dbg_interrupt_clear (unsigned int cpu, unsigned int negative)
void sb2_dbg_interrupt_clear (unsigned int set_id)
{
    rtd_outl(SB2_DBG_INT_reg,  BIT(25) |  BIT(12) |  BIT(11) |  BIT(10) |
             BIT(9) |  BIT(8) |  BIT(7) |
             BIT(6) |  BIT(5) | BIT(4) |BIT(3) | BIT(2) | BIT(1));
    //printf("%s %d %x\n",__func__,__LINE__,rtd_inl(SB2_DBG_INT_reg));

#if 0
    if (set_id>=8)
    {
        rtd_outl(SB2_DBG_CTRL3_0+(set_id%8)*4,   CHECK_DISABLE | BIT(13) | BIT(11) | BIT(9));
    }
    else
    {
        rtd_outl(SB2_DBG_CTRL_0_reg+(set_id%8)*4,   CHECK_DISABLE | BIT(13) | BIT(11) | BIT(9));
    }
#else
    for (set_id=0; set_id<8; set_id++)
    {
        rtd_outl(SB2_DBG_CTRL_0_reg+set_id*4,   CHECK_DISABLE | BIT(13) | BIT(11) | BIT(9));
        rtd_outl(SB2_DBG_START_0_reg+set_id*4,  0);
        rtd_outl(SB2_DBG_CTRL_0_reg+ set_id*4,   0);

        rtd_outl(SB2_DBG_CTRL3_0+set_id*4,   CHECK_DISABLE | BIT(13) | BIT(11) | BIT(9));
        rtd_outl(SB2_DBG_START2_0+set_id*4,   0);
        rtd_outl(SB2_DBG_END2_0+set_id*4,   0);
    }
#endif

    //rtd_outl(SB2_DBG_INT_reg, BIT(25)|BIT(9)|BIT(8)|BIT(7) | BIT(3) | BIT(2)|BIT(1));

#if 0
    if (negative)
    {
        // clear interrupt pending status
        rtd_outl(SB2_DBG_INT_reg, BIT(4) | BIT(1));
        //printf("SB2_DBG_INT_reg =%x\n",rtd_inl(SB2_DBG_INT_reg));
    }
    else
    {
        // clear interrupt pending status
        rtd_outl(SB2_DBG_INT_reg, BIT(10) | BIT(7));
        //printf("SB2_DBG_INT_reg =%x\n",rtd_inl(SB2_DBG_INT_reg));
    }
#endif
}

int check_condition (
    unsigned int start_address,unsigned int end_address,
    unsigned int trap_address ,
    unsigned int read_write, unsigned int test_read_write,
    unsigned int data_instruction,unsigned int test_data_instruction,
    unsigned int negative )
{
    if ( !check_read_write(read_write,test_read_write) ||
            !check_data_instruction(data_instruction,test_data_instruction) )
    {
        return 0;
    }

    if (negative)
    {
        if( (trap_address< start_address) ||(trap_address> end_address) )
        {
            return 1;
        }
        else
        {
            return 0;
        }
    }
    else
    {
        if( (trap_address>=start_address) && (trap_address<=end_address) )  //spec pseudo code is wrong!
        {
            return 1;
        }
        else
        {
            return 0;
        }
    }

    return 0;
}

void sb2_dbg_interrupt_result_check (
    unsigned int set_id,unsigned int cpu,
    unsigned int start_address,unsigned int end_address,
    unsigned int trap_address ,
    unsigned int read_write, unsigned int test_read_write,
    unsigned int data_instruction, unsigned int test_data_instruction,
    unsigned int negative )
{
    if(check_condition(start_address,end_address,trap_address,read_write,test_read_write,data_instruction,test_data_instruction,negative))
    {
        if ( (check_cpu_interrupt(cpu,trap_address,negative)) && check_interrupt_rw(cpu, read_write, test_read_write) )
        {
            printf("%s sb2_dbg \e[1;34m%s\e[0m enable (set %d  0x%x-0x%x), %s %x test \e[1;32mok\e[0m\n",
                   negative?cpu_negative_type[cpu]: cpu_type[cpu],str_rw[read_write],set_id,start_address,end_address,str_rw[test_read_write],trap_address);
        }
        else
        {
            printf("%s sb2_dbg \e[1;34m%s\e[0m enable (set %d  0x%x-0x%x), %s %x test \e[1;31mfail\e[0m   (INT %x, DBG_ADDR1 %x, ACCESS %x TRAP %x  CTRL2 %x)\n",
                   negative?cpu_negative_type[cpu]: cpu_type[cpu],str_rw[read_write],set_id,start_address,end_address,str_rw[test_read_write],trap_address,
                   rtd_inl(SB2_DBG_INT_reg),rtd_inl(SB2_DBG_ADDR1_reg),trap_address,rtd_inl(SB2_DBG_ADDR_0_reg+8),rtd_inl(SB2_DBG_CTRL2_reg));

            //while(1);
        }
    }
    else
    {
        if (rtd_inl(SB2_DBG_INT_reg)& (BIT(12)|BIT(11) |BIT(10)|BIT(6)|BIT(5) |BIT(4)))
        {
            if (set_id>=8)
            {
                printf("%s sb2_dbg \e[1;34m%s\e[0m enable (set %d  0x%x-0x%x), %s %x test \e[1;31mfail\e[0m   (interrupt happen, trap_addr %x)\n",
                       negative?cpu_negative_type[cpu]: cpu_type[cpu],str_rw[read_write],set_id,start_address,end_address,str_rw[test_read_write],trap_address,rtd_inl(SB2_DBG_ADDR_0_reg+8) );
                printf("DBG_START %x, DBG_END %x, DBG_CTRL %x, DBG_INT %x, DBG_ADDR1 %x, DBG_CTRL2 %x\n",
                       rtd_inl(SB2_DBG_START2_0+(set_id%8)*4),rtd_inl(SB2_DBG_END2_0+(set_id%8)*4),rtd_inl(SB2_DBG_CTRL3_0+(set_id%8)*4),
                       rtd_inl(SB2_DBG_INT_reg),rtd_inl(SB2_DBG_ADDR1_reg),rtd_inl(SB2_DBG_CTRL2_reg));
                //while(1);
            }
            else
            {
                printf("%s sb2_dbg \e[1;34m%s\e[0m enable (set %d  0x%x-0x%x), %s %x test \e[1;31mfail\e[0m   (interrupt happen, trap_addr %x)\n",
                       negative?cpu_negative_type[cpu]: cpu_type[cpu],str_rw[read_write],set_id,start_address,end_address,str_rw[test_read_write],trap_address,rtd_inl(SB2_DBG_ADDR_0_reg+8) );
                printf("DBG_START %x, DBG_END %x, DBG_CTRL %x, DBG_INT %x, DBG_ADDR1 %x, DBG_CTRL2 %x\n",
                       rtd_inl(SB2_DBG_START_0_reg+set_id*4),rtd_inl(SB2_DBG_END_0_reg+set_id*4),rtd_inl(SB2_DBG_CTRL_0_reg+set_id*4),
                       rtd_inl(SB2_DBG_INT_reg),rtd_inl(SB2_DBG_ADDR1_reg),rtd_inl(SB2_DBG_CTRL2_reg));
                //while(1);
            }
        }
#if 0
        else if (check_acpu_interrupt() ||check_vcpu_interrupt())
        {
            //printf("scpu sb2 debug monitor \e[1;34m%s\e[0m enable (set %d ), %s test \e[1;32mok\e[0m\n",str_rw[read_write],set_id,str_rw[test_read_write]);
            printf("scpu sb2 debug monitor \e[1;34m%s\e[0m enable (set %d  0x%x-0x%x), %s %x test \e[1;31mfail\e[0m   (ACPU OR VCPU interrupt happen, trap_addr %x)\n",
                   str_rw[read_write],set_id,test_start_address,test_end_address,str_rw[test_read_write],trap_address,rtd_inl(SB2_DBG_ADDR_0_reg+8) );
        }
#endif
        else
        {
            printf("%s sb2_dbg \e[1;34m%s\e[0m enable (set %d  0x%x-0x%x), %s %x test \e[1;32mok\e[0m    (NOT MONITOR)\n",
                   negative?cpu_negative_type[cpu]: cpu_type[cpu],str_rw[read_write],set_id, start_address, end_address,str_rw[test_read_write],trap_address);
        }
    }
}

void sb2_dbg_interrupt_test_ (
    unsigned int set_id,unsigned int cpu,
    unsigned int start_address,unsigned int end_address,
    unsigned int trap_address ,
    unsigned int read_write, unsigned int test_read_write,
    unsigned int data_instruction,unsigned int test_data_instruction,
    unsigned int negative )
{
    unsigned int trap_address_orig=trap_address;
    sb2_dbg_interrupt_clear(set_id);

    if ( negative==0 && (cpu==VCPU || cpu==ACPU) )
    {
        if(trap_address>=0 && trap_address <=0x7FFFFFFF)
        {
            trap_address=trap_address+0x40000000;
            start_address=start_address+0x40000000;
            end_address =  end_address+0x40000000;
        }
        else if (trap_address>=0x80000000 && trap_address <=0x9FFFFFFF)
        {
            trap_address=trap_address&0x1FFFFFFF;
            start_address=start_address&0x1FFFFFFF;
            end_address =  end_address&0x1FFFFFFF;
            //printf("%s %d  %x %x  %x\n",__func__,__LINE__,start_address,end_address,trap_address);
        }
        else if (trap_address>=0xa0000000 && trap_address <=0xbFFFFFFF)
        {
            trap_address=trap_address&0x1FFFFFFF;
            start_address=start_address&0x1FFFFFFF;
            end_address =  end_address&0x1FFFFFFF;
        }
        else if (trap_address>=0xc0000000 && trap_address <=0xFFFFFFFF)
        {
            //trap_address=trap_address+0x40000000;
        }
        else
        {
        }
    }

    sb2_dbg_interrupt_set(cpu,set_id,start_address,end_address,read_write,data_instruction,negative);
    cpu_rw(cpu,trap_address_orig,test_read_write,negative);

    sb2_dbg_interrupt_result_check(set_id,cpu,start_address,end_address,trap_address,read_write,test_read_write,data_instruction,test_data_instruction,negative);
    sb2_dbg_interrupt_clear(set_id);
}

void sb2_dbg_interrupt_cpu_test (
    unsigned int cpu,
    unsigned int start_address,unsigned int end_address,
    unsigned int negative)
{
    int set_id;
    for(set_id=0; set_id<SB2_DEBUG_SET_NUM; set_id++)
    {
        if (negative)
        {
            //warning! negative only test monitor both case:
            //because monitor read, any write will trigger negative interrupt, and monitor write, any read will trigger negative interrupt
            //for negative case, only negative interrupt bit pending can use DBG_ADDR as trapping address
            sb2_dbg_interrupt_test_(set_id,cpu,start_address,end_address, start_address, READ_WRITE_1,READ,DATA,DATA,negative);
            sb2_dbg_interrupt_test_(set_id,cpu,start_address,end_address, start_address-4, READ_WRITE_1,READ,DATA,DATA,negative);

            sb2_dbg_interrupt_test_(set_id,cpu,start_address,end_address, start_address, READ_WRITE_1,WRITE,DATA,DATA,negative);
            sb2_dbg_interrupt_test_(set_id,cpu,start_address,end_address, start_address-4, READ_WRITE_1,WRITE,DATA,DATA,negative);

            sb2_dbg_interrupt_test_(set_id,cpu,start_address,end_address, start_address, READ_WRITE_2,READ,DATA,DATA,negative);
            sb2_dbg_interrupt_test_(set_id,cpu,start_address,end_address, start_address-4, READ_WRITE_2,READ,DATA,DATA,negative);

            sb2_dbg_interrupt_test_(set_id,cpu,start_address,end_address, start_address, READ_WRITE_2,WRITE,DATA,DATA,negative);
            sb2_dbg_interrupt_test_(set_id,cpu,start_address,end_address, start_address-4, READ_WRITE_2,WRITE,DATA,DATA,negative);
        }
        else
        {
            sb2_dbg_interrupt_test_(set_id,cpu,start_address,end_address, start_address, READ,READ,DATA,DATA,negative);
            sb2_dbg_interrupt_test_(set_id,cpu,start_address,end_address, end_address,   READ,READ,DATA,DATA,negative);
            sb2_dbg_interrupt_test_(set_id,cpu,start_address,end_address, start_address-4,READ,READ,DATA,DATA,negative);
            sb2_dbg_interrupt_test_(set_id,cpu,start_address,end_address, end_address+4,READ,READ,DATA,DATA,negative);

            sb2_dbg_interrupt_test_(set_id,cpu,start_address,end_address, start_address, WRITE,WRITE,DATA,DATA,negative);
            sb2_dbg_interrupt_test_(set_id,cpu,start_address,end_address, end_address,   WRITE,WRITE,DATA,DATA,negative);
            sb2_dbg_interrupt_test_(set_id,cpu,start_address,end_address, start_address-4,WRITE,WRITE,DATA,DATA,negative);
            sb2_dbg_interrupt_test_(set_id,cpu,start_address,end_address, end_address+4,WRITE,WRITE,DATA,DATA,negative);


            sb2_dbg_interrupt_test_(set_id,cpu,start_address,end_address, start_address, READ_WRITE_1,READ,DATA,DATA,negative);
            sb2_dbg_interrupt_test_(set_id,cpu,start_address,end_address, start_address-4, READ_WRITE_1,READ,DATA,DATA,negative);

            sb2_dbg_interrupt_test_(set_id,cpu,start_address,end_address, start_address, READ_WRITE_1,WRITE,DATA,DATA,negative);
            sb2_dbg_interrupt_test_(set_id,cpu,start_address,end_address, start_address-4, READ_WRITE_1,WRITE,DATA,DATA,negative);

            sb2_dbg_interrupt_test_(set_id,cpu,start_address,end_address, start_address, READ_WRITE_2,READ,DATA,DATA,negative);
            sb2_dbg_interrupt_test_(set_id,cpu,start_address,end_address, start_address-4, READ_WRITE_2,READ,DATA,DATA,negative);

            sb2_dbg_interrupt_test_(set_id,cpu,start_address,end_address, start_address, READ_WRITE_2,WRITE,DATA,DATA,negative);
            sb2_dbg_interrupt_test_(set_id,cpu,start_address,end_address, start_address-4, READ_WRITE_2,WRITE,DATA,DATA,negative);
        }
    }
}

//Histogram register area
#define RBUS_TEST_RANGE_ADDR_START 0xb8023204
#define RBUS_TEST_RANGE_ADDR_END     0xb80233fc

#define RBUS_TEST_RANGE_ADDR_PHY_START 0x18023204
#define RBUS_TEST_RANGE_ADDR_PHY_END     0x180233fc


#define RBUS_SCPU_TEST_RANGE_ADDR_START 0x18023204
#define RBUS_SCPU_TEST_RANGE_ADDR_END     0x180233fc


//rbus start and rbus end
#define RBUS_NEGATIVE_TEST_RANGE_ADDR_START 0x1801a004
#define RBUS_NEGATIVE_TEST_RANGE_ADDR_END     0x180623f0


void sb2_dbg_interrupt_test (void)
{
    //unsigned int test_start_address=0x1801a004, test_end_address=0x180623f0;
    //unsigned int test_start_address, test_end_address;

#if 0
    sb2_dbg_interrupt_test_(0,VCPU,8,0x180623f0, 4, READ_WRITE_1,READ,DATA,DATA,1);
    sb2_dbg_interrupt_test_(0,VCPU,8,0x180623f0, 8, READ_WRITE_1,READ,DATA,DATA,1);

    sb2_dbg_interrupt_test_(0,VCPU,0x1801a008,0x180623f0, 0x1801a008-4, READ_WRITE_1,READ,DATA,DATA,1);
    sb2_dbg_interrupt_test_(0,VCPU,0x1801a008,0x180623f0, 0x1801a008, READ_WRITE_1,READ,DATA,DATA,1);
    //sb2_dbg_interrupt_cpu_test(VCPU,0x1801a008,0x180623f0,1);//rbus start and rbus end
#endif

#if 0
    for(i=0; i<SB2_DEBUG_SET_NUM; i++)
    {
        sb2_access_scpu_interrupt_rbus_test(test_start_address,test_end_address,i,test_start_address,READ,WRITE,DATA,DATA);
    }
    for(i=0; i<SB2_DEBUG_SET_NUM; i++)
    {
        sb2_access_scpu_interrupt_rbus_test(test_start_address,test_end_address,i,test_start_address,READ,WRITE,DATA,DATA);
    }
#endif

#if 1
    printf("\n\e[1;33mSCPU\e[0m sb2_dbg interrupt test:\n");//scpu interrupt test
    sb2_dbg_interrupt_cpu_test(SCPU, RBUS_SCPU_TEST_RANGE_ADDR_START, RBUS_SCPU_TEST_RANGE_ADDR_END, 0);//Histogram register area

    printf("\n\e[1;33mSCPU\e[0m sb2_dbg \e[1;33mnegative\e[0m interrupt test:\n");//scpu negative interrupt test
    sb2_dbg_interrupt_cpu_test(SCPU, RBUS_NEGATIVE_TEST_RANGE_ADDR_START, RBUS_NEGATIVE_TEST_RANGE_ADDR_END, 1);
#endif

    printf("\n\e[1;33mACPU\e[0m sb2_dbg interrupt test (RBUS):\n");//acpu interrupt RBUS test
    sb2_dbg_interrupt_cpu_test(ACPU, RBUS_TEST_RANGE_ADDR_START, RBUS_TEST_RANGE_ADDR_END, 0);
    printf("\n\e[1;33mVCPU\e[0m sb2_dbg interrupt test (RBUS):\n");//acpu interrupt RBUS test
    sb2_dbg_interrupt_cpu_test(VCPU, RBUS_TEST_RANGE_ADDR_START, RBUS_TEST_RANGE_ADDR_END, 0);

    //acpu negative interrupt test
    printf("\n\e[1;33mACPU\e[0m sb2_dbg \e[1;33mnegative\e[0m interrupt test:\n");
    sb2_dbg_interrupt_cpu_test(ACPU,0x0000000C,0x1ffffff8,1);//not use 0x1801a004 - 0x180623f0

    //vcpu negative interrupt test
    printf("\n\e[1;33mVCPU\e[0m sb2_dbg \e[1;33mnegative\e[0m interrupt test: \n");
    //sb2_dbg_interrupt_cpu_test(VCPU,0x1801a004,0x180623f0,1);
    sb2_dbg_interrupt_cpu_test(VCPU,0x0000000C,0x1ffffff8,1);//rbus start and rbus end
    //sb2_dbg_interrupt_cpu_test(VCPU,0x1801a008,0x180623f0,1);//rbus start and rbus end

    //acpu interrupt DBUS test
    //printf("\n\e[1;33macpu\e[0m sb2_dbg interrupt test (\e[1;33mDBUS\e[0m):\n");
    //sb2_dbg_interrupt_cpu_test(ACPU,0x200004,0x210004,0);
    //sb2_dbg_interrupt_cpu_test(ACPU,0x200004,0x210004,1);

#if 0
    //acpu negative interrupt test
    test_start_address=0x1801a004, test_end_address=0x180623f0;//rbus start and rbus end
    printf("\n\e[1;33macpu\e[0m sb2_dbg negative interrupt test: (DBUS)\n");
    for(i=0; i<SB2_DEBUG_SET_NUM; i++)
    {
        sb2_dbg_interrupt_cpu_test(i,ACPU,0x200004,0x210004,1);
    }
#endif

    //vcpu interrupt test
    //printf("\n\e[1;33mVCPU\e[0m sb2_dbg interrupt test: (RBUS)\n");
    //sb2_dbg_interrupt_cpu_test(VCPU,0x18023204,0x180233fc,0);//Histogram register area

    //printf("\n\e[1;33mVCPU\e[0m sb2_dbg interrupt test (\e[1;33mDBUS\e[0m):\n");
    //sb2_dbg_interrupt_cpu_test(VCPU,0x00200004,0x00210004,0);

#if 1
    printf("\n\e[1;33mVCPU\e[0m sb2_dbg interrupt test (\e[1;33mSMMU mapping test\e[0m):  0x00000000 ~ --> 0x4 ~ \n");
    sb2_dbg_interrupt_cpu_test(VCPU,0x00200004,0x00210004,0);

    printf("\n\e[1;33mVCPU\e[0m sb2_dbg interrupt test (\e[1;33mSMMU mapping test\e[0m):  0x10000000 ~ --> 0x5 ~ \n");
    sb2_dbg_interrupt_cpu_test(VCPU,0x10200004,0x10210004,0);

    printf("\n\e[1;33mVCPU\e[0m sb2_dbg interrupt test (\e[1;33mSMMU mapping test\e[0m):  0x20000000 ~ --> 0x6 ~ \n");
    sb2_dbg_interrupt_cpu_test(VCPU,0x20200004,0x20210004,0);

    printf("\n\e[1;33mVCPU\e[0m sb2_dbg interrupt test (\e[1;33mSMMU mapping test\e[0m):  0x30000000 ~ --> 0x7 ~ \n");
    sb2_dbg_interrupt_cpu_test(VCPU,0x30200004,0x30210004,0);

    printf("\n\e[1;33mVCPU\e[0m sb2_dbg interrupt test (\e[1;33mSMMU mapping test\e[0m):  0x40000000 ~ --> 0x8 ~ \n");
    sb2_dbg_interrupt_cpu_test(VCPU,0x40200004,0x40210004,0);

    printf("\n\e[1;33mVCPU\e[0m sb2_dbg interrupt test (\e[1;33mSMMU mapping test\e[0m):  0x50000000 ~ --> 0x9 ~ \n");
    sb2_dbg_interrupt_cpu_test(VCPU,0x50200004,0x50210004,0);

    printf("\n\e[1;33mVCPU\e[0m sb2_dbg interrupt test (\e[1;33mSMMU mapping test\e[0m):  0x60000000 ~ --> 0xa ~ \n");
    sb2_dbg_interrupt_cpu_test(VCPU,0x60200004,0x60210004,0);

    printf("\n\e[1;33mVCPU\e[0m sb2_dbg interrupt test (\e[1;33mSMMU mapping test\e[0m):  0x70000000 ~ --> 0xb ~ \n");
    sb2_dbg_interrupt_cpu_test(VCPU,0x70200004,0x70210004,0);

    printf("\n\e[1;33mVCPU\e[0m sb2_dbg interrupt test (\e[1;33mSMMU mapping test\e[0m):  0x80000000 ~ --> 0x0 ~ \n");
    sb2_dbg_interrupt_cpu_test(VCPU,0x80200004,0x80210004,0);

    printf("\n\e[1;33mVCPU\e[0m sb2_dbg interrupt test (\e[1;33mSMMU mapping test\e[0m):  0x90000000 ~ --> 0x1 ~ \n");
    sb2_dbg_interrupt_cpu_test(VCPU,0x90200004,0x90210004,0);
#endif

    printf("\n\e[1;33mVCPU\e[0m sb2_dbg interrupt test (\e[1;33mSMMU mapping test\e[0m):  0xa0000000 ~ --> 0x0 ~ \n");
    sb2_dbg_interrupt_cpu_test(VCPU,0xa0200004,0xa0210004,0);

    printf("\n\e[1;33mVCPU\e[0m sb2_dbg interrupt test (\e[1;33mSMMU mapping test\e[0m):  0xb0000000 ~ --> 0x1 ~ \n");
    sb2_dbg_interrupt_cpu_test(VCPU,0xb0200004,0xb0210004,0);

#if 1
    printf("\n\e[1;33mVCPU\e[0m sb2_dbg interrupt test (\e[1;33mSMMU mapping test\e[0m):  0xc0000000 ~ --> 0xc ~ \n");
    sb2_dbg_interrupt_cpu_test(VCPU,0xc0200004,0xc0210004,0);

    printf("\n\e[1;33mVCPU\e[0m sb2_dbg interrupt test (\e[1;33mSMMU mapping test\e[0m):  0xd0000000 ~ --> 0xd ~ \n");
    sb2_dbg_interrupt_cpu_test(VCPU,0xd0200004,0xd0210004,0);

    printf("\n\e[1;33mVCPU\e[0m sb2_dbg interrupt test (\e[1;33mSMMU mapping test\e[0m):  0xe0000000 ~ --> 0xe ~ \n");
    sb2_dbg_interrupt_cpu_test(VCPU,0xe0200004,0xe0210004,0);

    printf("\n\e[1;33mVCPU\e[0m sb2_dbg interrupt test (\e[1;33mSMMU mapping test\e[0m):  0xf0000000 ~ --> 0xf ~ \n");
    sb2_dbg_interrupt_cpu_test(VCPU,0xf0200004,0xf0210004,0);
#endif

    printf("\n\e[1;33mACPU\e[0m sb2_dbg interrupt test (\e[1;33mSMMU mapping test\e[0m):\n");
    sb2_dbg_interrupt_test_(0,ACPU,0x00200004,0x00210004, 0x00200008, READ,READ,DATA,DATA,0);
    //sb2_dbg_interrupt_test_(0,ACPU,0x00200004,0x00210004, 0x00201008, WRITE,WRITE,DATA,DATA,0);
    sb2_dbg_interrupt_test_(0,ACPU,0x00200004,0x00210004, 0x00202008, READ_WRITE_1,READ,DATA,DATA,0);
    sb2_dbg_interrupt_test_(0,ACPU,0x00200004,0x00210004, 0x00203008, READ_WRITE_2,READ,DATA,DATA,0);
    //sb2_dbg_interrupt_test_(0,ACPU,0x00200004,0x00210004, 0x00204008, READ_WRITE_1,WRITE,DATA,DATA,0);
    //sb2_dbg_interrupt_test_(0,ACPU,0x00200004,0x00210004, 0x00205008, READ_WRITE_2,WRITE,DATA,DATA,0);

    sb2_dbg_interrupt_test_(0,ACPU,0x10200004,0x10210004, 0x10200008, READ,READ,DATA,DATA,0);
    sb2_dbg_interrupt_test_(0,ACPU,0x20200004,0x20210004, 0x20200008, READ,READ,DATA,DATA,0);
    sb2_dbg_interrupt_test_(0,ACPU,0x30200004,0x30210004, 0x30200008, READ,READ,DATA,DATA,0);
    sb2_dbg_interrupt_test_(0,ACPU,0x40200004,0x40210004, 0x40200008, READ,READ,DATA,DATA,0);
    sb2_dbg_interrupt_test_(0,ACPU,0x50200004,0x50210004, 0x50200008, READ,READ,DATA,DATA,0);
    sb2_dbg_interrupt_test_(0,ACPU,0x60200004,0x60210004, 0x60200008, READ,READ,DATA,DATA,0);
    sb2_dbg_interrupt_test_(0,ACPU,0x70200004,0x70210004, 0x70200008, READ,READ,DATA,DATA,0);

    sb2_dbg_interrupt_test_(0,ACPU,0xc0200004,0xc0210004, 0xc0200008, READ,READ,DATA,DATA,0);
    sb2_dbg_interrupt_test_(0,ACPU,0xd0200004,0xd0210004, 0xd0200008, READ,READ,DATA,DATA,0);
    sb2_dbg_interrupt_test_(0,ACPU,0xe0200004,0xe0210004, 0xe0200008, READ,READ,DATA,DATA,0);
    sb2_dbg_interrupt_test_(0,ACPU,0xf0200004,0xf0210004,   0xf0200008, READ,READ,DATA,DATA,0);

#if 0
    dump_flag=0;
    sb2_dbg_interrupt_test_(0,ACPU,0x00200004,0x00210004, 0x00200008, READ,READ,DATA,DATA,0);
    sb2_dbg_interrupt_test_(0,ACPU,0x00200004,0x00210004, 0x00200008, READ_WRITE_1,READ,DATA,DATA,0);
    sb2_dbg_interrupt_test_(0,ACPU,0x00200004,0x00210004, 0x00200008, READ_WRITE_2,READ,DATA,DATA,0);

    sb2_dbg_interrupt_test_(0,ACPU,0x40001000-0x40000000,0x40210004-0x40000000, 0x10000, READ_WRITE_2,READ,DATA,DATA,0);
    sb2_dbg_interrupt_test_(0,ACPU,0x40001000-0x40000000,0x40210004-0x40000000, 0x10000, READ_WRITE_2,READ,DATA,DATA,0);

    sb2_dbg_interrupt_test_(0,ACPU,0x40001000-0x40000000,0xbfffff00-0x40000000, 0x10000, READ,READ,DATA,DATA,0);
    sb2_dbg_interrupt_test_(0,ACPU,0x40001000-0x40000000,0xbfffff00-0x40000000, 0x10000, READ_WRITE_1,READ,DATA,DATA,0);
    sb2_dbg_interrupt_test_(0,ACPU,0x40001000-0x40000000,0xbfffff00-0x40000000, 0x10000, READ_WRITE_2,READ,DATA,DATA,0);
    dump_flag=0;
#endif

#if 0
    sb2_dbg_interrupt_cpu_test(ACPU,0x00200004,0x00210004,0);//0x4~
    sb2_dbg_interrupt_cpu_test(ACPU,0x10200004,0x10210004,0);//0x5~
    sb2_dbg_interrupt_cpu_test(ACPU,0x20200004,0x20210004,0);//0x6~
    sb2_dbg_interrupt_cpu_test(ACPU,0x30200004,0x30210004,0);//0x7~
    sb2_dbg_interrupt_cpu_test(ACPU,0x40200004,0x40210004,0);//0x8~
    sb2_dbg_interrupt_cpu_test(ACPU,0x50200004,0x50210004,0);//0x9~
    sb2_dbg_interrupt_cpu_test(ACPU,0x60200004,0x60210004,0);//0xa~
    sb2_dbg_interrupt_cpu_test(ACPU,0x70200004,0x70210004,0);//0xb~
#endif

#if 0
    sb2_dbg_interrupt_cpu_test(ACPU,0x80200004,0x80210004,0);//0x0~
    sb2_dbg_interrupt_cpu_test(ACPU,0x90200004,0x90210004,0);//0x1~
#endif
    sb2_dbg_interrupt_cpu_test(ACPU,0xa0200004,0xa0210004,0);//0x0~
    sb2_dbg_interrupt_cpu_test(ACPU,0xb0200004,0xb0210004,0);//0x1~
#if 0
    sb2_dbg_interrupt_cpu_test(ACPU,0xc0200004,0xc0210004,0);//0xc~
    sb2_dbg_interrupt_cpu_test(ACPU,0xd0200004,0xd0210004,0);//0xd~
    sb2_dbg_interrupt_cpu_test(ACPU,0xe0200004,0xe0210004,0);//0xe~
    sb2_dbg_interrupt_cpu_test(ACPU,0xf0200004,0xf0210004,0);//0xf~
#endif
}

static int flag_scpu_exception =-1;
void sb2_timeout_test (void);

void sb2_dbg_exception_set (
    unsigned int set_id,
    unsigned int start_address,unsigned int end_address,
    unsigned int read_write, unsigned int data_instruction,
    unsigned int negative)
{
    unsigned int i;
    for(i=0; i>SB2_DEBUG_SET_NUM/2; i++)
    {
        rtd_outl(SB2_DBG_START_0_reg+set_id*4, 0);
        rtd_outl(SB2_DBG_END_0_reg+set_id*4, 0);
        rtd_outl(SB2_DBG_CTRL_0_reg+set_id*4, CHECK_DISABLE | BIT(13) | BIT(11) | BIT(9));
    }
    for(i=0; i>SB2_DEBUG_SET_NUM/2; i++)
    {
        rtd_outl(SB2_DBG_START2_0+set_id*4, 0);
        rtd_outl(SB2_DBG_END2_0+set_id*4, 0);
        rtd_outl(SB2_DBG_CTRL3_0+set_id*4, CHECK_DISABLE | BIT(13) | BIT(11) | BIT(9));//0x2a92
    }

    rtd_outl(SB2_DBG_INT_reg, BIT(25)|BIT(9)|BIT(8)|BIT(7) | BIT(3) | BIT(2)|BIT(1));

    //rtd_outl(SB2_DBG_START_0_reg+set_id*4, 0);
    //rtd_outl(SB2_DBG_START_0_reg+set_id*4, 0);

    rtd_outl(SB2_DBG_START_0_reg+set_id*4,  start_address);
    rtd_outl(SB2_DBG_END_0_reg +set_id*4,    end_address);
    rtd_outl(SB2_DBG_CTRL_0_reg+set_id*4,   SCPU_CHECK_ENABLE|array_read_write[read_write]|MONITOR_DATA_INSTRUCTION_2 |CHECK_ENABLE);

    if (negative)
    {
        rtd_outl(SB2_DBG_INT_reg, BIT(25) | BIT(1)|BIT(0));
    }
    else
    {
        rtd_outl(SB2_DBG_INT_reg,BIT(25)|BIT(7)|BIT(0));//BIT 7 must enable
    }
}

void sb2_dbg_scpu_exception_test_ (
    unsigned int set_id,
    unsigned int addr_start, unsigned int addr_end,
    unsigned int addr_trap,
    unsigned int read_write, unsigned int test_read_write,
    unsigned int negative)
{
    int cpu=SCPU;
    //printf("%s %d\n",__func__,__LINE__);
    sb2_dbg_exception_set(set_id,addr_start,addr_end,read_write,DATA_INSTRUCTION_1,negative);
    scpu_rw(addr_trap,test_read_write);

    //negative
    if(check_condition(addr_start,addr_end,addr_trap,read_write,test_read_write,DATA_INSTRUCTION_1,DATA,negative))
    {
        printf("%s sb2_dbg \e[1;34m%s\e[0m enable (set %d  0x%x-0x%x), %s %x test \e[1;31mfail\e[0m   (INT %x, ACCESS %x TRAP %x  CTRL2 %x)\n",
               negative?cpu_negative_type[cpu]: cpu_type[cpu],str_rw[read_write],set_id,addr_start,addr_end,
               str_rw[test_read_write],addr_trap,
               rtd_inl(SB2_DBG_INT_reg),addr_trap,rtd_inl(SB2_DBG_ADDR_0_reg+8),rtd_inl(SB2_DBG_CTRL2_reg));
    }
    else
    {
        if (rtd_inl(SB2_DBG_INT_reg)& (BIT(12)|BIT(11) |BIT(10)|BIT(6)|BIT(5) |BIT(4)))
        {
            printf("%s sb2_dbg \e[1;34m%s\e[0m enable (set %d  0x%x-0x%x), %s %x test \e[1;31mfail\e[0m   (interrupt happen, trap_addr %x)\n",
                   negative?cpu_negative_type[cpu]: cpu_type[cpu],str_rw[read_write],set_id,addr_start,addr_end,str_rw[test_read_write],addr_trap,rtd_inl(SB2_DBG_ADDR_0_reg+8) );
            printf("DBG_START %x, DBG_END %x, DBG_CTRL %x, DBG_INT %x, DBG_ADDR1 %x, DBG_CTRL2 %x\n",
                   rtd_inl(SB2_DBG_START_0_reg+set_id*4),rtd_inl(SB2_DBG_END_0_reg+set_id*4),rtd_inl(SB2_DBG_CTRL_0_reg+set_id*4),
                   rtd_inl(SB2_DBG_INT_reg),rtd_inl(SB2_DBG_ADDR1_reg),rtd_inl(SB2_DBG_CTRL2_reg));
        }
        else
        {
            printf("%s sb2_dbg \e[1;34m%s\e[0m enable (set %d  0x%x-0x%x), %s %x test \e[1;32mok\e[0m    (NOT MONITOR)\n",
                   negative?cpu_negative_type[cpu]: cpu_type[cpu],str_rw[read_write],set_id, addr_start, addr_end,str_rw[test_read_write],addr_trap);
        }
    }
}
void sb2_dbg_scpu_exception_test (void)
{
    //static int i=-1;
    //static int j=-1;

    unsigned int addr_start=0x18023204,addr_end=0x180233fc;//Histogram register area
    unsigned int addr_negative_start=0x1801a004,addr_negative_end=0x180623f0;//Histogram register area

    static unsigned int addr_trap;
    static unsigned int read_write, test_read_write;

    static unsigned int set_id=-1;
    static unsigned int negative=0;

    if (addr_trap)
    {
        //printf("%s %d\n",__func__,__LINE__);

        if (negative)
        {
            sb2_dbg_interrupt_result_check(set_id%8,SCPU,addr_negative_start,addr_negative_end,addr_trap,read_write,test_read_write,DATA_INSTRUCTION_1,DATA,negative);
        }
        else
        {
            sb2_dbg_interrupt_result_check(set_id%8,SCPU,addr_start,addr_end,addr_trap,read_write,test_read_write,DATA_INSTRUCTION_1,DATA,negative);
        }
        sb2_dbg_interrupt_clear(set_id%8);
    }

    for(; ++set_id<8;)
    {
        read_write=READ;
        test_read_write=READ;
        addr_trap=addr_start;
        negative=0;
        sb2_dbg_scpu_exception_test_(set_id,addr_start,addr_end,addr_trap,read_write,test_read_write,0);
    }

#if 0
    set_id=-1;
    for(; ++set_id<8;)
    {
        read_write=READ;
        test_read_write=READ;
        sb2_dbg_scpu_exception_test_(set_id,addr_start,addr_end,addr_start-4,read_write,test_read_write,0);
    }
#endif

    //printf("%s %d set_id=%d\n",__func__,__LINE__,set_id);
    set_id--;
    for(; ++set_id<8*2;)
    {
        read_write=WRITE;
        test_read_write=WRITE;
        addr_trap=addr_start;
        negative=0;
        sb2_dbg_scpu_exception_test_(set_id%8,addr_start,addr_end,addr_trap,read_write,test_read_write,0);
    }

#if 0
    set_id=-1;
    for(; ++set_id<8;)
    {
        read_write=WRITE;
        test_read_write=WRITE;
        sb2_dbg_scpu_exception_test_(set_id,addr_start,addr_end,addr_start,read_write,test_read_write,0);
    }
#endif

    set_id--;
    for(; ++set_id<8*3;)
    {
        read_write=READ_WRITE_1;
        test_read_write=READ;
        addr_trap=addr_start;
        negative=0;
        sb2_dbg_scpu_exception_test_(set_id%8,addr_start,addr_end,addr_trap,read_write,test_read_write,0);
    }

    set_id--;
    for(; ++set_id<8*4;)
    {
        read_write=READ_WRITE_1;
        test_read_write=WRITE;
        addr_trap=addr_start;
        negative=0;
        sb2_dbg_scpu_exception_test_(set_id%8,addr_start,addr_end,addr_trap,read_write,test_read_write,0);
    }

    set_id--;
    for(; ++set_id<8*5;)
    {
        read_write=READ_WRITE_2;
        test_read_write=READ;
        addr_trap=addr_start;
        negative=0;
        sb2_dbg_scpu_exception_test_(set_id%8,addr_start,addr_end,addr_trap,read_write,test_read_write,0);
    }

    set_id--;
    for(; ++set_id<8*6;)
    {
        read_write=READ_WRITE_2;
        test_read_write=WRITE;
        addr_trap=addr_start;
        negative=0;
        sb2_dbg_scpu_exception_test_(set_id%8,addr_start,addr_end,addr_trap,read_write,test_read_write,0);
    }

    //negative test
    set_id--;
    for(; ++set_id<8*7;)
    {
        read_write=READ_WRITE_1;
        test_read_write=READ;
        addr_trap=addr_negative_start-4;
        negative=1;
        sb2_dbg_scpu_exception_test_(set_id%8,addr_negative_start,addr_negative_end,addr_trap,read_write,test_read_write,1);
    }

    set_id--;
    for(; ++set_id<8*8;)
    {
        read_write=READ_WRITE_1;
        test_read_write=WRITE;
        addr_trap=addr_negative_start-4;
        negative=1;
        sb2_dbg_scpu_exception_test_(set_id%8,addr_negative_start,addr_negative_end,addr_trap,read_write,test_read_write,1);
    }

    set_id--;
    for(; ++set_id<8*9;)
    {
        read_write=READ_WRITE_1;
        test_read_write=READ;
        addr_trap=addr_negative_end+4;
        negative=1;
        sb2_dbg_scpu_exception_test_(set_id%8,addr_negative_start,addr_negative_end,addr_trap,read_write,test_read_write,1);
    }

    set_id--;
    for(; ++set_id<8*10;)
    {
        read_write=READ_WRITE_1;
        test_read_write=WRITE;
        addr_trap=addr_negative_end+4;
        negative=1;
        sb2_dbg_scpu_exception_test_(set_id%8,addr_negative_start,addr_negative_end,addr_trap,read_write,test_read_write,1);
    }

    set_id--;
    for(; ++set_id<8*11;)
    {
        read_write=READ_WRITE_1;
        test_read_write=READ;
        addr_trap=addr_negative_end;
        negative=1;
        sb2_dbg_scpu_exception_test_(set_id%8,addr_negative_start,addr_negative_end,addr_trap,read_write,test_read_write,1);
    }

    set_id--;
    for(; ++set_id<8*12;)
    {
        read_write=READ_WRITE_1;
        test_read_write=WRITE;
        addr_trap=addr_negative_end;
        negative=1;
        sb2_dbg_scpu_exception_test_(set_id%8,addr_negative_start,addr_negative_end,addr_trap,read_write,test_read_write,1);
    }


    set_id--;
    for(; ++set_id<8*13;)
    {
        read_write=READ_WRITE_2;
        test_read_write=READ;
        addr_trap=addr_negative_start-4;
        negative=1;
        sb2_dbg_scpu_exception_test_(set_id%8,addr_negative_start,addr_negative_end,addr_trap,read_write,test_read_write,1);
    }

    set_id--;
    for(; ++set_id<8*14;)
    {
        read_write=READ_WRITE_2;
        test_read_write=WRITE;
        addr_trap=addr_negative_start-4;
        negative=1;
        sb2_dbg_scpu_exception_test_(set_id%8,addr_negative_start,addr_negative_end,addr_trap,read_write,test_read_write,1);
    }

    flag_scpu_exception=0;
    sb2_timeout_test();
}

void sb2_dbg_exception_test (void)
{
    printf("\n\e[1;33mscpu\e[0m sb2_dbg exception test (\e[1;33mRBUS\e[0m):\n");
    //trigger data abort
    flag_scpu_exception=1;
    rtd_outl(0x10000001,0x12345678);
    while(1);
}

/////////////////////////////////////////////////////////////////////////////////////////////////////////////
static void InitTimer7 (void)
{
    //Disable Timer
    rtd_outl(0xB801B67C, 0x0);//BIT31 0 is disable, BIT30 0 is counter mode

    //Set The Initial Value
    rtd_outl(0xB801B61C, 0xffffffff);//TC7TVR target, timer counts from 0 to target.

    //Enable Timer Mode
    rtd_outl(0xB801B67C, 0x80000000);//BIT31 1 is enable, BIT30 1 is timer mode
}


static unsigned int one_dataabort_value;
static unsigned int tmp_value,tmp_rbus_type,tmp_cycle;

enum
{
    RBUS=0,
    RBUS1=1,
    RBUSD=2,
    RBUS_TYPE_TOTAL=3
};

static unsigned int one_dataabort_value;
int flag_rbus_timeout_time =-1;
static char* rbus_str[]= {"RBUS ","RBUS1","RBUSD"};

static unsigned int rbus_cycle[]= {0,1, 2,3,4,5, 6, 7};

static unsigned int current_value[RBUS_TYPE_TOTAL][sizeof(rbus_cycle)/sizeof(unsigned int)];
static unsigned int timeout_value[RBUS_TYPE_TOTAL][sizeof(rbus_cycle)/sizeof(unsigned int)];
static unsigned int count_value[RBUS_TYPE_TOTAL][sizeof(rbus_cycle)/sizeof(unsigned int)];

static unsigned int cycles[]= {512,1024,2048,4096,8192,16384,32678,65536};

static unsigned int tmp_value,tmp_rbus_type,tmp_cycle;


void RBUS_Timeout_Trigger ( unsigned int rbus_type, unsigned int timeout_threshold_cycle)
{
    static unsigned int non_exist_rbus_addr[]= {0x1803e000,0x18015000,0x18028000};
    static unsigned int cycle_shift[]= {0,3,6};

    rtd_outl(0xB801A010, timeout_threshold_cycle<<(cycle_shift[rbus_type]));

    tmp_rbus_type=rbus_type;
    tmp_cycle=timeout_threshold_cycle;

    current_value[rbus_type][timeout_threshold_cycle]=rtd_inl(0xB801B64C);
    rtd_inl(non_exist_rbus_addr[rbus_type]);

    while(1);
}

void RBUS_Timeout_Time_Test (void)
{
    static int i=-1;
    static int j=-1;
    static unsigned int loop=(sizeof(rbus_cycle)/sizeof(unsigned int));

    flag_rbus_timeout_time=1;

    for(; ++j<(0x200*loop*RBUS_TYPE_TOTAL);)
    {
        for (; ++i<loop;)
        {
            RBUS_Timeout_Trigger(RBUS,rbus_cycle[i%loop]);
        }

        i--;
        for (; ++i<loop*2;)
        {
            RBUS_Timeout_Trigger(RBUS1,rbus_cycle[i%loop]);
        }

        i--;
        for (; ++i<loop*3;)
        {
            RBUS_Timeout_Trigger(RBUSD,rbus_cycle[i%loop]);
        }

        i=-1;
    }

    for(i=-1; ++i<RBUS_TYPE_TOTAL;)
    {
        for(j=-1; ++j<loop;)
        {
            printf("trigger %s %5d cycle timeout: expected timeout time is %6dns, actual is %6dns  (the average of %d times test)\n",
                   rbus_str[i],cycles[j],cycles[j]*2,timeout_value[i][j]/count_value[tmp_rbus_type][tmp_cycle],count_value[tmp_rbus_type][tmp_cycle]);
        }
    }

    printf("RBUS timeout threshold test finished\n");
    while(1);
}

void RBUS_Timeout_Time_Check (void)
{

    if(1== flag_scpu_exception)
    {
        sb2_dbg_scpu_exception_test();
        return;
    }
    else if (-1==flag_rbus_timeout_time)
    {
        return;
    }

    if (flag_rbus_timeout_time == 0 )
    {
        one_dataabort_value=rtd_inl(0x1801B64C);//rtd_inl(TIMER_TC7CVR_reg);
        tmp_value=(unsigned int)(one_dataabort_value*(1000000000.0/27000000));//(one_dataabort_value*(1000000000.0/TIMER_CLOCK));
        printf("the one time data abort time is %d ns    (%d)\n",tmp_value,one_dataabort_value);
    }
    else
    {
        //tmp_value=rtd_inl(TIMER_TC7CVR_reg)-current_value[tmp_rbus_type][tmp_cycle]-one_dataabort_value;
        tmp_value=rtd_inl(0x1801B64C)-current_value[tmp_rbus_type][tmp_cycle]-one_dataabort_value;

        tmp_value=(unsigned int)(tmp_value*(1000000000.0/27000000));
        //tmp_value=(unsigned int)(tmp_value*(1000000000.0/TIMER_CLOCK));

        timeout_value[tmp_rbus_type][tmp_cycle]+=tmp_value;
        count_value[tmp_rbus_type][tmp_cycle]++;

        //printf("%6dns\n",tmp_value);
    }

    RBUS_Timeout_Time_Test();
}


void sb2_timeout_test (void)
{
    //enable acpu/vcpu/scpu invalid access interrupt enable
    //enable rbusd/rbus1/rbus time-out enable
    //rtd_outl(SB2_INV_INTEN_reg, _BIT8 | _BIT5 | _BIT4 | _BIT3 | _BIT2 | _BIT1 | _BIT0 );
    rtd_outl(SB2_INV_INTEN_reg, BIT(8) | BIT(5) | BIT(4) | BIT(0) );

    printf("\nsb2 rbus timeout threshold test begin: the current bus pll is 500MHZ, so one cycle is 2ns\n");

    //CLKEN_SE  5   R/W 0x0 Clock enable bit for Streaming Engine      0x1803e000
    //CLKEN_CP  7   R/W 0x0 Clock enable bit for CP                             0x18015000
    //CLKEN_DISPD   9   R/W 0x0 Clock enable bit for D Domain            0x18028000
    rtd_outl(0x18000114,BIT(7) | BIT(9) | BIT(5));

    flag_rbus_timeout_time=0;
    InitTimer7();

    //trigger data abort to get one time data abort time
    rtd_outl(0x10000001,0x12345678);

    while(1);
}

void sb2_dbg_interrupt_multi_cpu_RBUS_test (void)
{
    //round 1
    sb2_dbg_interrupt_set(ACPU,0,RBUS_TEST_RANGE_ADDR_PHY_START,RBUS_TEST_RANGE_ADDR_PHY_END,READ_WRITE_1,DATA_INSTRUCTION_1,0);
    cpu_rw(VCPU,RBUS_TEST_RANGE_ADDR_PHY_START,READ,0);

    if(rtd_inl(SB2_DBG_INT_reg) & BIT(12))
    {
        printf("%s \e[1;31mfail\e[0m.  set acpu monitor, let vcpu access, interrupt happen\n",__func__);
    }
    else
    {
        printf("%s \e[1;32mOK\e[0m.  set acpu monitor, let vcpu access, NO interrupt happen\n",__func__);
    }
    sb2_dbg_interrupt_clear(0);

    //round 2
    sb2_dbg_interrupt_set(VCPU,1,RBUS_TEST_RANGE_ADDR_PHY_START,RBUS_TEST_RANGE_ADDR_PHY_END,READ_WRITE_1,DATA_INSTRUCTION_1,0);
    cpu_rw(ACPU,RBUS_TEST_RANGE_ADDR_PHY_START,READ,0);

    if(rtd_inl(SB2_DBG_INT_reg) & BIT(11))
    {
        printf("%s \e[1;31mfail\e[0m.  set vcpu monitor, let acpu access, interrupt happen\n",__func__);
    }
    else
    {
        printf("%s \e[1;32mOK\e[0m.  set vcpu monitor, let acpu access, NO interrupt happen\n",__func__);
    }
    sb2_dbg_interrupt_clear(0);

    //round 3
    //sb2_dbg_interrupt_set(VCPU,1,RBUS_TEST_RANGE_ADDR_PHY_START,RBUS_TEST_RANGE_ADDR_PHY_END,READ_WRITE_1,DATA_INSTRUCTION_1,0);
    rtd_outl(SB2_DBG_START_0_reg+0*4,  RBUS_TEST_RANGE_ADDR_PHY_START);
    rtd_outl(SB2_DBG_END_0_reg +0*4,    RBUS_TEST_RANGE_ADDR_PHY_END);
    rtd_outl(SB2_DBG_CTRL_0_reg+0*4,   ctrl_value[ACPU]|ctrl_value[VCPU]|array_read_write[READ_WRITE_2]|MONITOR_DATA_INSTRUCTION_2 |CHECK_ENABLE);
    rtd_outl(SB2_DBG_INT_reg,                  int_value[ACPU]|int_value[VCPU]);

    cpu_rw(ACPU,RBUS_TEST_RANGE_ADDR_PHY_START,READ,1);

    if(rtd_inl(SB2_DBG_INT_reg) & BIT(12))
    {
        printf("%s \e[1;32mOK\e[0m.  set acpu+vcpu monitor, let acpu access, interrupt happen\n",__func__);
    }
    else
    {
        printf("%s \e[1;31mfail\e[0m.  set acpu+vcpu monitor, let acpu access, NO interrupt happen   INT is %x\n",__func__,rtd_inl(SB2_DBG_INT_reg) );
    }
    sb2_dbg_interrupt_clear(0);

    //round 4
    //sb2_dbg_interrupt_set(VCPU,1,RBUS_TEST_RANGE_ADDR_PHY_START,RBUS_TEST_RANGE_ADDR_PHY_END,READ_WRITE_1,DATA_INSTRUCTION_1,0);
    rtd_outl(SB2_DBG_START_0_reg+0*4,  RBUS_TEST_RANGE_ADDR_PHY_START);
    rtd_outl(SB2_DBG_END_0_reg +0*4,    RBUS_TEST_RANGE_ADDR_PHY_END);
    rtd_outl(SB2_DBG_CTRL_0_reg+0*4,   ctrl_value[ACPU]|ctrl_value[VCPU]|array_read_write[READ_WRITE_2]|MONITOR_DATA_INSTRUCTION_2 |CHECK_ENABLE);
    rtd_outl(SB2_DBG_INT_reg,                  int_value[ACPU]|int_value[VCPU]);

    cpu_rw(VCPU,RBUS_TEST_RANGE_ADDR_PHY_START,READ,1);

    if(rtd_inl(SB2_DBG_INT_reg) & BIT(11))
    {
        printf("%s \e[1;32mOK\e[0m.  set acpu+vcpu monitor, let vcpu access, interrupt happen\n",__func__);
    }
    else
    {
        printf("%s \e[1;31mfail\e[0m.  set acpu+vcpu monitor, let vcpu access, NO interrupt happen  INT is %x\n",__func__,rtd_inl(SB2_DBG_INT_reg) );
    }
    sb2_dbg_interrupt_clear(0);
}


void dump_sb2_reg(int set_id)
{
	int i = set_id;
	printf("\n\nsb2 dbg dump start\n");
	printf("%08x=%08x SB2_INV_INTEN\n", SB2_INV_INTEN_reg, rtd_inl(SB2_INV_INTEN_reg));
        //printf("%08x=%08x SB2_INV_INTSTAT\n", SB2_INV_INTSTAT_reg, rtd_inl(SB2_INV_INTSTAT_reg));
        //printf("%08x=%08x SB2_DEBUG_REG\n", SB2_DEBUG_REG_reg, rtd_inl(SB2_DEBUG_REG_reg));
	printf("%08x=%08x SB2_DBG_INT\n", SB2_DBG_INT_reg, rtd_inl(SB2_DBG_INT_reg));
	printf("%08x=%08x SB2_DBG_CTRL2\n", SB2_DBG_CTRL2_reg, rtd_inl(SB2_DBG_CTRL2_reg));
	printf("%08x=%08x SB2_DBG_ADDR(ACPU)\n", SB2_DBG_ADDR_0_reg, rtd_inl(SB2_DBG_ADDR_0_reg));
	printf("%08x=%08x SB2_DBG_ADDR(VCPU)\n", SB2_DBG_ADDR_0_reg+4, rtd_inl(SB2_DBG_ADDR_0_reg+4));
	printf("%08x=%08x SB2_DBG_ADDR(SCPU)\n", SB2_DBG_ADDR_0_reg+8, rtd_inl(SB2_DBG_ADDR_0_reg+8));

	if(i < 8)
	{
		printf("------set%02d------\n", set_id);
	        printf("[set%02d]%08x=%08x SB2_DBG_START\n", i + 1, SB2_DBG_START_0_reg + i * 4, rtd_inl(SB2_DBG_START_0_reg + i * 4));
	        printf("[set%02d]%08x=%08x SB2_DBG_END\n", i + 1, SB2_DBG_END_0_reg + i * 4, rtd_inl(SB2_DBG_END_0_reg + i * 4));
	        printf("[set%02d]%08x=%08x SB2_DBG_CTRL\n", i + 1, SB2_DBG_CTRL_0_reg + i * 4, rtd_inl(SB2_DBG_CTRL_0_reg + i * 4));
	}
	else
	{
		i = set_id -8;
		printf("------set%02d------\n", set_id);
                printf("[set%02d]%08x=%08x SB2_DBG_START2\n", i + 1, SB2_DBG_START2_0_reg + (i - 8) * 4, rtd_inl(SB2_DBG_START2_0_reg + (i - 8) * 4));
                printf("[set%02d]%08x=%08x SB2_DBG_END2\n", i + 1, SB2_DBG_END2_0_reg + (i - 8) * 4, rtd_inl(SB2_DBG_END_0_reg + (i - 8) * 4));
                printf("[set%02d]%08x=%08x SB2_DBG_CTRL3\n", i + 1, SB2_DBG_CTRL3_0_reg + (i - 8) * 4, rtd_inl(SB2_DBG_CTRL3_0_reg + (i - 8) * 4));
	}

	printf("sb2 dbg dump end\n\n");
}


int sb2_dcmt_test_init(void)
{
	enable_acpu();
	enable_vcpu();

	return 0;
}

int sb2_dcmt_acpu_test(unsigned int addr,unsigned int read_write)
{
	unsigned int dbus_start_addr=addr;
	unsigned int dbus_end_addr=addr+64;
	int ret = 0;

	sb2_dbg_interrupt_set(ACPU,0,dbus_start_addr,dbus_end_addr,read_write,DATA_INSTRUCTION_1,0);
	dump_sb2_reg(0);
	cpu_rw(ACPU,dbus_start_addr|0xa0000000,read_write,0);
	dump_sb2_reg(0);
	sb2_dbg_interrupt_result_check(0,ACPU,dbus_start_addr,dbus_end_addr,dbus_start_addr,read_write,read_write,DATA_INSTRUCTION_1,DATA,0);
	if(rtd_inl(SB2_DBG_INT_reg) & BIT(12))
	{
		ret = 1;
	}

	sb2_dbg_interrupt_clear(0);

	return ret;
}

void sb2_dbg_interrupt_multi_cpu_DBUS_test (void)
{
    unsigned int dbus_start_addr=0x00200004,dbus_end_addr=0x00210004;
    //round 1
    sb2_dbg_interrupt_set(ACPU,0,dbus_start_addr,dbus_end_addr,READ_WRITE_1,DATA_INSTRUCTION_1,0);
    cpu_rw(VCPU,dbus_start_addr,READ,1);

    if(rtd_inl(SB2_DBG_INT_reg) & BIT(12))
    {
        printf("%s \e[1;31mfail\e[0m.  set acpu monitor, let vcpu access, interrupt happen\n",__func__);
    }
    else
    {
        printf("%s \e[1;32mOK\e[0m.  set acpu monitor, let vcpu access, NO interrupt happen\n",__func__);
    }
    sb2_dbg_interrupt_clear(0);

    //round 2
    sb2_dbg_interrupt_set(VCPU,1,dbus_start_addr,dbus_end_addr,READ_WRITE_1,DATA_INSTRUCTION_1,0);
    cpu_rw(ACPU,dbus_start_addr,READ,1);

    if(rtd_inl(SB2_DBG_INT_reg) & BIT(11))
    {
        printf("%s \e[1;31mfail\e[0m.  set vcpu monitor, let acpu access, interrupt happen\n",__func__);
    }
    else
    {
        printf("%s \e[1;32mOK\e[0m.  set vcpu monitor, let acpu access, NO interrupt happen\n",__func__);
    }
    sb2_dbg_interrupt_clear(0);

    //round 3
    //sb2_dbg_interrupt_set(VCPU,1,RBUS_TEST_RANGE_ADDR_PHY_START,RBUS_TEST_RANGE_ADDR_PHY_END,READ_WRITE_1,DATA_INSTRUCTION_1,0);
    rtd_outl(SB2_DBG_START_0_reg+0*4,  dbus_start_addr);
    rtd_outl(SB2_DBG_END_0_reg +0*4,    dbus_end_addr);
    rtd_outl(SB2_DBG_CTRL_0_reg+0*4,   ctrl_value[ACPU]|ctrl_value[VCPU]|array_read_write[READ_WRITE_2]|MONITOR_DATA_INSTRUCTION_2 |CHECK_ENABLE);
    rtd_outl(SB2_DBG_INT_reg,                  int_value[ACPU]|int_value[VCPU]);

    cpu_rw(ACPU,dbus_start_addr,READ,1);

    if(rtd_inl(SB2_DBG_INT_reg) & BIT(12))
    {
        printf("%s \e[1;32mOK\e[0m.  set acpu+vcpu monitor, let acpu access, interrupt happen\n",__func__);
    }
    else
    {
        printf("%s \e[1;31mfail\e[0m.  set acpu+vcpu monitor, let acpu access, NO interrupt happen   INT is %x\n",__func__,rtd_inl(SB2_DBG_INT_reg) );
    }
    sb2_dbg_interrupt_clear(0);

    //round 4
    //sb2_dbg_interrupt_set(VCPU,1,RBUS_TEST_RANGE_ADDR_PHY_START,RBUS_TEST_RANGE_ADDR_PHY_END,READ_WRITE_1,DATA_INSTRUCTION_1,0);
    rtd_outl(SB2_DBG_START_0_reg+0*4,  dbus_start_addr);
    rtd_outl(SB2_DBG_END_0_reg +0*4,    dbus_end_addr);
    rtd_outl(SB2_DBG_CTRL_0_reg+0*4,   ctrl_value[ACPU]|ctrl_value[VCPU]|array_read_write[READ_WRITE_2]|MONITOR_DATA_INSTRUCTION_2 |CHECK_ENABLE);
    rtd_outl(SB2_DBG_INT_reg,                  int_value[ACPU]|int_value[VCPU]);

    cpu_rw(VCPU,dbus_start_addr,READ,1);

    if(rtd_inl(SB2_DBG_INT_reg) & BIT(11))
    {
        printf("%s \e[1;32mOK\e[0m.  set acpu+vcpu monitor, let vcpu access, interrupt happen\n",__func__);
    }
    else
    {
        printf("%s \e[1;31mfail\e[0m.  set acpu+vcpu monitor, let vcpu access, NO interrupt happen  INT is %x\n",__func__,rtd_inl(SB2_DBG_INT_reg) );
    }
    sb2_dbg_interrupt_clear(0);
}


void sb2_dbg_interrupt_multi_cpu_test (void)
{
    sb2_dbg_interrupt_multi_cpu_RBUS_test();
    sb2_dbg_interrupt_multi_cpu_DBUS_test();
}

void sb2_dbg_interrupt_latch_cpu_test (int cpu)
{
    //unsigned int latch_bit[]={BIT(2),BIT(0),BIT(1)};
    unsigned int int_bit[]={BIT(10),BIT(12),BIT(11)};
    unsigned int dbg_addr[]={SB2_DBG_ADDR_0_reg+8,SB2_DBG_ADDR_0_reg,SB2_DBG_ADDR_0_reg+4};

    unsigned int dbus_start_addr=0x00200004,dbus_end_addr=0x00210004;
    unsigned int dbus_access_addr;

    sb2_dbg_interrupt_clear(0);

    rtd_outl(SB2_DBG_START_0_reg+0*4,  dbus_start_addr);
    rtd_outl(SB2_DBG_END_0_reg +0*4,    dbus_end_addr);
    rtd_outl(SB2_DBG_CTRL_0_reg+0*4,   ctrl_value[cpu] |array_read_write[READ_WRITE_2]|MONITOR_DATA_INSTRUCTION_2 |CHECK_ENABLE);
    rtd_outl(SB2_DBG_INT_reg,                  int_value[cpu]);
    //rtd_outl(SB2_DBG_CTRL2_reg,             latch_bit[cpu]);
    rtd_outl(SB2_DBG_CTRL2_reg,             BIT(2));

    dbus_access_addr=dbus_start_addr+cpu*4;
    cpu_rw(cpu,dbus_access_addr,READ,1);
    if( (rtd_inl(SB2_DBG_INT_reg) & int_bit[cpu]) && (rtd_inl(dbg_addr[cpu]) == dbus_access_addr ))
    {
        printf("%s \e[1;32mOK\e[0m. %s access %x, latch %x, DBG_CTRL2=%x\n",__func__,cpu_type[cpu],
            dbus_access_addr,rtd_inl(dbg_addr[cpu]),rtd_inl(SB2_DBG_CTRL2_reg));
    }
    else
    {
        printf("%s \e[1;31mfail\e[0m. %s acpu access %x, latch %x, DBG_CTRL2=%x     INT=%x\n",__func__,cpu_type[cpu],
            dbus_access_addr,rtd_inl(dbg_addr[cpu]),rtd_inl(SB2_DBG_CTRL2_reg),rtd_inl(SB2_DBG_INT_reg));
    }

    dbus_access_addr=dbus_start_addr+cpu*8;
    cpu_rw(cpu,dbus_access_addr,READ,1);
    if( (rtd_inl(SB2_DBG_INT_reg) &  int_bit[cpu] ) && (rtd_inl(dbg_addr[cpu]) != dbus_access_addr ))
    {
        printf("%s \e[1;32mOK\e[0m. %s access %x, still latch %x, DBG_CTRL2=%x\n",__func__,cpu_type[cpu],
            dbus_access_addr,rtd_inl(dbg_addr[cpu]),rtd_inl(SB2_DBG_CTRL2_reg));
    }
    else
    {
        printf("%s \e[1;31mfail\e[0m. %s access %x, latch %x, DBG_CTRL2=%x     INT=%x\n",__func__,cpu_type[cpu],
            dbus_access_addr,rtd_inl(dbg_addr[cpu]),rtd_inl(SB2_DBG_CTRL2_reg),rtd_inl(SB2_DBG_INT_reg));
    }

    #if 1
    sb2_dbg_interrupt_clear(0);
    rtd_outl(SB2_DBG_START_0_reg+0*4,  dbus_start_addr);
    rtd_outl(SB2_DBG_END_0_reg +0*4,    dbus_end_addr);
    rtd_outl(SB2_DBG_CTRL_0_reg+0*4,   ctrl_value[cpu] |array_read_write[READ_WRITE_2]|MONITOR_DATA_INSTRUCTION_2 |CHECK_ENABLE);
    rtd_outl(SB2_DBG_INT_reg,                  int_value[cpu]);
    #endif

    rtd_outl(SB2_DBG_CTRL2_reg,            0);
    dbus_access_addr=dbus_start_addr+cpu*12;
    cpu_rw(cpu,dbus_access_addr,READ,1);
    if( (rtd_inl(SB2_DBG_INT_reg) &  int_bit[cpu]) && (rtd_inl(dbg_addr[cpu]) == dbus_access_addr ))
    {
        printf("%s \e[1;32mOK\e[0m. %s access %x, latch %x, DBG_CTRL2=%x\n",__func__,cpu_type[cpu],
            dbus_access_addr,rtd_inl(dbg_addr[cpu]),rtd_inl(SB2_DBG_CTRL2_reg));
    }
    else
    {
        printf("%s \e[1;31mfail\e[0m. %s access %x, latch %x, DBG_CTRL2=%x     INT=%x\n",__func__,cpu_type[cpu],
            dbus_access_addr,rtd_inl(dbg_addr[cpu]),rtd_inl(SB2_DBG_CTRL2_reg),rtd_inl(SB2_DBG_INT_reg));
    }

    sb2_dbg_interrupt_clear(0);
}

void sb2_dbg_interrupt_latch_test (void)
{
    sb2_dbg_interrupt_latch_cpu_test(ACPU);
    sb2_dbg_interrupt_latch_cpu_test(VCPU);
    //sb2_dbg_interrupt_latch_cpu_test(ACPU);
}

int sb2_test (cmd_tbl_t *cmdtp, int flag, int argc, char * const argv[])
{
    enable_acpu();
    enable_vcpu();

    sb2_dbg_interrupt_multi_cpu_test();
    sb2_dbg_interrupt_latch_test();

    sb2_dbg_interrupt_test();
    sb2_dbg_exception_test();

    sb2_timeout_test();
    return 0;
}


U_BOOT_CMD(
    sb2_test,      4,      0,      sb2_test,
    "sb2 test",
    ""
);

int sb2_av_test (cmd_tbl_t *cmdtp, int flag, int argc, char * const argv[])
{
    enable_acpu();
    enable_vcpu();
    return 0;
}

U_BOOT_CMD(
    sb2_av_test,      4,      0,      sb2_av_test,
    "enable av clock",
    ""
);

int check_rbustimeout(unsigned int * pAddr)
{
        volatile unsigned int data = rtd_inl(0x1801a008);
        int i;
        char * cpu_str[] =
        {
                "NULL",
                "SCPU",
                "VCPU1",
                "ACPU1",
                "VCPU2",
                "ACPU2"
        };

        for(i = 1;i < 5;++i)
        {
                if((data>>i)&0x1)
                {
                        *pAddr = rtd_inl(0x1801A00C);
                        printf("\ncache %s access reg:0x%08x timeout!\n",cpu_str[i],*pAddr);
                }
        }

        return data;
}

void clear_rbustimeout(void)
{
        volatile unsigned int data = 0;

        data = //BIT(0) write bit
               BIT(1) | //clear SCPU invalid access
               BIT(2) | //clear VCPU invalid access
               BIT(3);  //clear ACPU invalid access
        rtd_outl(0x1801A008,data);
}

int sb2_invalid_test(cmd_tbl_t *cmdtp, int flag, int argc, char * const argv[])
{
        volatile unsigned int data = 0;
        unsigned int addr = 0;
        unsigned int non_exist_rbus_addr[] = {0x1803e000,0x18015000,0x18028000};
        //unsigned int non_exist_rbus_addr[] = {0x1801a014,0x1801a01c,0x1801a014};
        //unsigned int non_exist_rbus_addr[] = {0x1801f500,0x1801f504,0x1801f508};

        enable_acpu();
        enable_vcpu();

        //CLKEN_SE  5   R/W 0x0 Clock enable bit for Streaming Engine      0x1803e000
        //CLKEN_CP  7   R/W 0x0 Clock enable bit for CP                             0x18015000
        //CLKEN_DISPD   9   R/W 0x0 Clock enable bit for D Domain            0x18028000
        rtd_outl(0x18000114,BIT(9) | BIT(7) | BIT(5));

        data = BIT(0) | //write bit
               BIT(1) | //scpu timeout intr enable
               BIT(2) | //vcpu timeout intr enable
               BIT(3) | //acpu timeout intr enable
               BIT(4) | //rbus timeout enable
               BIT(5) | //rbus1 timeout enable
               BIT(8);  //rbusd timeout enable
        rtd_outl(0x1801a004,data); //INV_INTEN : enable timeout and intr

        cpu_rw(ACPU,non_exist_rbus_addr[RBUS] | MIPS_KSEG1BASE,READ,0);
        data = check_rbustimeout(&addr);
        clear_rbustimeout();

        cpu_rw(ACPU,non_exist_rbus_addr[RBUS1] | MIPS_KSEG1BASE,READ,0);
        data = check_rbustimeout(&addr);
        clear_rbustimeout();

        cpu_rw(ACPU,non_exist_rbus_addr[RBUSD] | MIPS_KSEG1BASE,READ,0);
        data = check_rbustimeout(&addr);
        clear_rbustimeout();

        cpu_rw(VCPU,non_exist_rbus_addr[RBUS] | MIPS_KSEG1BASE,READ,0);
        data = check_rbustimeout(&addr);
        clear_rbustimeout();

        cpu_rw(VCPU,non_exist_rbus_addr[RBUS1] | MIPS_KSEG1BASE,READ,0);
        data = check_rbustimeout(&addr);
        clear_rbustimeout();

        cpu_rw(VCPU,non_exist_rbus_addr[RBUSD] | MIPS_KSEG1BASE,READ,0);
        data = check_rbustimeout(&addr);
        clear_rbustimeout();

        return 0;

}

U_BOOT_CMD(
    sb2_invalid,      4,      0,      sb2_invalid_test,
    "enable av clock",
    ""
);


#if 0 //acpu access debug code
int sb2_ago(cmd_tbl_t *cmdtp, int flag, int argc, char * const argv[])
{
        unsigned int addr;

        if(argc < 1)
                return -1;

        addr = simple_strtoul(argv[1], NULL, 16);
        printf("\naddr = 0x%x\n",addr);
        cpu_rw(ACPU,addr | MIPS_KSEG1BASE,WRITE,0);

        return 0;
}


U_BOOT_CMD(
        ago, 4, 0, sb2_ago,
        "acpu write",
        ""
);


int sb2_dump_acpu_status(cmd_tbl_t *cmdtp, int flag, int argc, char * const argv[])
{
        unsigned int check_sum = 0,i;
        unsigned char * p = A1_ENTRY_IMAGE_ENTRY;

        for(i = 0;i < sizeof(A1_ENTRY_IMAGE_ENTRY);++i,++p)
        {
                check_sum += *p;
        }

        printf("\nacpu status:\n AudioFW_entry_ptr_A1 : 0x%08x\n",(unsigned int)AudioFW_entry_ptr_A1);
        printf("*AudioFW_entry_ptr_A1 : 0x%08x (swaped)\n",*AudioFW_entry_ptr_A1);
        printf("A1_ENTRY_IMAGE_ENTRY check sum:%x, golden is (0x2C7D)\n",check_sum);
        return 0;
}


U_BOOT_CMD(
        asta, 4, 0, sb2_dump_acpu_status,
        "dump acpu status",
        ""
);
#endif

