/*
 * MIPS exception redirect option.
 */

	.section ".text", "ax"
	.globl	ros_exc_redirect_opt
	.ent	ros_exc_redirect_opt
ros_exc_redirect_opt:
	.set 	noreorder

	// Notes: Audio firmware 2 will overwrite instructions from 0x54 to 0x60.
	//        We need to reserve 4 instructions for each of them.

a2_exec_0x54:
	b		a2_exec_0x54	/* reserve for audio fw at 0xa000_0054 */
	nop						/* reserve for audio fw at 0xa000_0058 */
	nop						/* reserve for audio fw at 0xa000_005c */
	nop						/* reserve for audio fw at 0xa000_0060 */

	.set	reorder
	.end	ros_exc_redirect_opt

