/*
 * CreatePinmuxDriver
 * Total setting number: 231

 * Date: Mar 30 2018 16:50:54
 */
#include <common.h>
#include <asm/arch/io.h>
#include <platform_lib/board/pcb.h>

void PinMuxInit(void) {
	// PAD_NAME: pad_gpio_03_io 8
	rtd_maskl(0xB8000800, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_E12 << 4) | (RTD287O_BGA_22x22_PIN_E12_UP << 3) | (RTD287O_BGA_22x22_PIN_E12_PD << 2) |(RTD287O_BGA_22x22_PIN_E12_DS << 1) | (RTD287O_BGA_22x22_PIN_E12_SR)) << 0));
	if (RTD287O_BGA_22x22_PIN_E12 == 0x2) { rtd_maskl(0xb80008e4, ~((0x3)<<24), ((0x1&0x3)<<24)); }; // 2: SPI_WP_src1,<I/O>,<HS>
	if (RTD287O_BGA_22x22_PIN_E12 == 0xB) { rtd_maskl(0xb80008d4, ~((0x3)<<8), ((0x1&0x3)<<8)); }; // B: I2C1_SDA_src1,<I/O>
	// PAD_NAME: pad_gpio_04_io 9
	rtd_maskl(0xB8000804, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_F12 << 4) | (RTD287O_BGA_22x22_PIN_F12_UP << 3) | (RTD287O_BGA_22x22_PIN_F12_PD << 2) |(RTD287O_BGA_22x22_PIN_F12_DS << 1) | (RTD287O_BGA_22x22_PIN_F12_SR)) << 24));
	if (RTD287O_BGA_22x22_PIN_F12 == 0x2) { rtd_maskl(0xb80008e4, ~((0x3)<<24), ((0x1&0x3)<<24)); }; // 2: SPI_DI_src1,<I/O>,<HS>
	if (RTD287O_BGA_22x22_PIN_F12 == 0x3) { rtd_maskl(0xb80008dc, ~((0x3)<<24), ((0x0&0x3)<<24)); }; // 3: ld_spi0_p2_sck_src0,<I/O>
	if (RTD287O_BGA_22x22_PIN_F12 == 0xA) { rtd_maskl(0xb80008d8, ~((0x3)<<12), ((0x3&0x3)<<12)); }; // A: I2S_IN_Data0_src3,<I>
	if (RTD287O_BGA_22x22_PIN_F12 == 0xB) { rtd_maskl(0xb80008d4, ~((0x3)<<12), ((0x1&0x3)<<12)); }; // B: I2C1_SCL_src1,<I/O>
	// PAD_NAME: pad_gpio_05_io 10
	rtd_maskl(0xB8000804, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_G12 << 4) | (RTD287O_BGA_22x22_PIN_G12_UP << 3) | (RTD287O_BGA_22x22_PIN_G12_PD << 2) |(RTD287O_BGA_22x22_PIN_G12_DS << 1) | (RTD287O_BGA_22x22_PIN_G12_SR)) << 16));
	if (RTD287O_BGA_22x22_PIN_G12 == 0x0) { rtd_maskl(0xb80008e4, ~((0x3)<<28), ((0x0&0x3)<<28)); }; // 0: SPI_FCIC_DO_src0,<I/O>
	if (RTD287O_BGA_22x22_PIN_G12 == 0x3) { rtd_maskl(0xb80008dc, ~((0x3)<<20), ((0x0&0x3)<<20)); }; // 3: ld_spi0_p3_sdo_src0,<I/O>
	if (RTD287O_BGA_22x22_PIN_G12 == 0xB) { rtd_maskl(0xb80008d8, ~((0x3)<<16), ((0x1&0x3)<<16)); }; // B: I2C4_SDA_src1,<I/O>
	// PAD_NAME: pad_gpio_06_io 11
	rtd_maskl(0xB8000804, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_E11 << 4) | (RTD287O_BGA_22x22_PIN_E11_UP << 3) | (RTD287O_BGA_22x22_PIN_E11_PD << 2) |(RTD287O_BGA_22x22_PIN_E11_DS << 1) | (RTD287O_BGA_22x22_PIN_E11_SR)) << 8));
	if (RTD287O_BGA_22x22_PIN_E11 == 0x0) { rtd_maskl(0xb80008e4, ~((0x3)<<28), ((0x0&0x3)<<28)); }; // 0: SPI_FCIC_DI_src0,<I/O>
	if (RTD287O_BGA_22x22_PIN_E11 == 0x2) { rtd_maskl(0xb80008e4, ~((0x3)<<24), ((0x1&0x3)<<24)); }; // 2: SPI_HOLD_src1,<I/O>,<HS>
	if (RTD287O_BGA_22x22_PIN_E11 == 0x3) { rtd_maskl(0xb80008dc, ~((0x3)<<16), ((0x0&0x3)<<16)); }; // 3: ld_spi0_p4_sdi_src0,<I>
	if (RTD287O_BGA_22x22_PIN_E11 == 0xB) { rtd_maskl(0xb80008d8, ~((0x3)<<20), ((0x1&0x3)<<20)); }; // B: I2C4_SCL_src1,<I/O>
	// PAD_NAME: pad_gpio_07_io 14
	rtd_maskl(0xB8000804, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_F11 << 4) | (RTD287O_BGA_22x22_PIN_F11_UP << 3) | (RTD287O_BGA_22x22_PIN_F11_PD << 2) |(RTD287O_BGA_22x22_PIN_F11_DS << 1) | (RTD287O_BGA_22x22_PIN_F11_SR)) << 0));
	// PAD_NAME: pad_gpio_08_io 15
	rtd_maskl(0xB8000808, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_G11 << 4) | (RTD287O_BGA_22x22_PIN_G11_UP << 3) | (RTD287O_BGA_22x22_PIN_G11_PD << 2) |(RTD287O_BGA_22x22_PIN_G11_DS << 1) | (RTD287O_BGA_22x22_PIN_G11_SR)) << 24));
	if (RTD287O_BGA_22x22_PIN_G11 == 0xB) { rtd_maskl(0xb80008d8, ~((0x3)<<24), ((0x0&0x3)<<24)); }; // B: I2C3_SDA_src0,<I/O>
	// PAD_NAME: pad_gpio_09_io 16
	rtd_maskl(0xB8000808, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_E10 << 4) | (RTD287O_BGA_22x22_PIN_E10_UP << 3) | (RTD287O_BGA_22x22_PIN_E10_PD << 2) |(RTD287O_BGA_22x22_PIN_E10_DS << 1) | (RTD287O_BGA_22x22_PIN_E10_SR)) << 16));
	if (RTD287O_BGA_22x22_PIN_E10 == 0xB) { rtd_maskl(0xb80008d8, ~((0x3)<<28), ((0x0&0x3)<<28)); }; // B: I2C3_SCL_src0,<I/O>
	// PAD_NAME: pad_gpio_10_io 17
	rtd_maskl(0xB8000808, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_F10 << 4) | (RTD287O_BGA_22x22_PIN_F10_UP << 3) | (RTD287O_BGA_22x22_PIN_F10_PD << 2) |(RTD287O_BGA_22x22_PIN_F10_DS << 1) | (RTD287O_BGA_22x22_PIN_F10_SR)) << 8));
	// PAD_NAME: pad_gpio_11_io 18
	rtd_maskl(0xB8000808, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_G10 << 4) | (RTD287O_BGA_22x22_PIN_G10_UP << 3) | (RTD287O_BGA_22x22_PIN_G10_PD << 2) |(RTD287O_BGA_22x22_PIN_G10_DS << 1) | (RTD287O_BGA_22x22_PIN_G10_SR)) << 0));
	// PAD_NAME: pad_gpio_12_io 19
	rtd_maskl(0xB800080C, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_E9 << 4) | (RTD287O_BGA_22x22_PIN_E9_UP << 3) | (RTD287O_BGA_22x22_PIN_E9_PD << 2) |(RTD287O_BGA_22x22_PIN_E9_DS << 1) | (RTD287O_BGA_22x22_PIN_E9_SR)) << 24));
	// PAD_NAME: pad_gpio_13_io 20
	rtd_maskl(0xB800080C, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_F9 << 4) | (RTD287O_BGA_22x22_PIN_F9_UP << 3) | (RTD287O_BGA_22x22_PIN_F9_PD << 2) |(RTD287O_BGA_22x22_PIN_F9_DS << 1) | (RTD287O_BGA_22x22_PIN_F9_SR)) << 16));
	if (RTD287O_BGA_22x22_PIN_F9 == 0x2) { rtd_maskl(0xb8000cbc, ~((0x3)<<4), ((0x1&0x3)<<4)); }; // 2: VBY1_HTPD_src1,<I>
	// PAD_NAME: pad_gpio_14_io 21
	rtd_maskl(0xB800080C, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_G9 << 4) | (RTD287O_BGA_22x22_PIN_G9_UP << 3) | (RTD287O_BGA_22x22_PIN_G9_PD << 2) |(RTD287O_BGA_22x22_PIN_G9_DS << 1) | (RTD287O_BGA_22x22_PIN_G9_SR)) << 8));
	if (RTD287O_BGA_22x22_PIN_G9 == 0x2) { rtd_maskl(0xb8000cbc, ~((0x3)<<4), ((0x0&0x3)<<4)); }; // 2: VBY1_HTPD_src0,<I>
	if (RTD287O_BGA_22x22_PIN_G9 == 0xA) { rtd_maskl(0xb8000cbc, ~((0x3)<<8), ((0x1&0x3)<<8)); }; // A: iSP_SDLOCK_src1,<I>
	// PAD_NAME: pad_gpio_16_io 23
	rtd_maskl(0xB8000810, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_E8 << 4) | (RTD287O_BGA_22x22_PIN_E8_UP << 3) | (RTD287O_BGA_22x22_PIN_E8_PD << 2) |(RTD287O_BGA_22x22_PIN_E8_DS << 1) | (RTD287O_BGA_22x22_PIN_E8_SR)) << 24));
	if (RTD287O_BGA_22x22_PIN_E8 == 0x1) { rtd_maskl(0xb8000cbc, ~((0x3)<<2), ((0x0&0x3)<<2)); }; // 1: VBY1_LOCK_src0,<I>
	if (RTD287O_BGA_22x22_PIN_E8 == 0x7) { rtd_maskl(0xb8000cbc, ~((0x3)<<0), ((0x1&0x3)<<0)); }; // 7: EPI_LOCK_src1,<I>
	if (RTD287O_BGA_22x22_PIN_E8 == 0x8) { rtd_maskl(0xb8000cbc, ~((0x3)<<6), ((0x1&0x3)<<6)); }; // 8: BOE_BCC_src1,<I/ODH>
	if (RTD287O_BGA_22x22_PIN_E8 == 0xA) { rtd_maskl(0xb8000cbc, ~((0x3)<<8), ((0x2&0x3)<<8)); }; // A: iSP_SDLOCK_src2,<I>
	// PAD_NAME: pad_gpio_17_io 24
	rtd_maskl(0xB8000810, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_F8 << 4) | (RTD287O_BGA_22x22_PIN_F8_UP << 3) | (RTD287O_BGA_22x22_PIN_F8_PD << 2) |(RTD287O_BGA_22x22_PIN_F8_DS << 1) | (RTD287O_BGA_22x22_PIN_F8_SR)) << 16));
	// PAD_NAME: pad_gpio_18_io 25
	rtd_maskl(0xB8000810, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_G8 << 4) | (RTD287O_BGA_22x22_PIN_G8_UP << 3) | (RTD287O_BGA_22x22_PIN_G8_PD << 2) |(RTD287O_BGA_22x22_PIN_G8_DS << 1) | (RTD287O_BGA_22x22_PIN_G8_SR)) << 8));
	// PAD_NAME: pad_gpio_19_io 26
	rtd_maskl(0xB8000810, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_E7 << 4) | (RTD287O_BGA_22x22_PIN_E7_UP << 3) | (RTD287O_BGA_22x22_PIN_E7_PD << 2) |(RTD287O_BGA_22x22_PIN_E7_DS << 1) | (RTD287O_BGA_22x22_PIN_E7_SR)) << 0));
	if (RTD287O_BGA_22x22_PIN_E7 == 0x3) { rtd_maskl(0xb80008dc, ~((0x7)<<4), ((0x4&0x7)<<4)); }; // 3: ld_spi1_p4_sdi_src4,<I>
	// PAD_NAME: pad_gpio_20_io 27
	rtd_maskl(0xB8000814, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_F7 << 4) | (RTD287O_BGA_22x22_PIN_F7_UP << 3) | (RTD287O_BGA_22x22_PIN_F7_PD << 2) |(RTD287O_BGA_22x22_PIN_F7_DS << 1) | (RTD287O_BGA_22x22_PIN_F7_SR)) << 24));
	// PAD_NAME: pad_gpio_21_io 28
	rtd_maskl(0xB8000814, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_G7 << 4) | (RTD287O_BGA_22x22_PIN_G7_UP << 3) | (RTD287O_BGA_22x22_PIN_G7_PD << 2) |(RTD287O_BGA_22x22_PIN_G7_DS << 1) | (RTD287O_BGA_22x22_PIN_G7_SR)) << 16));
	if (RTD287O_BGA_22x22_PIN_G7 == 0x3) { rtd_maskl(0xb80008dc, ~((0x7)<<12), ((0x4&0x7)<<12)); }; // 3: ld_spi1_p2_sck_src4,<I/O>
	// PAD_NAME: pad_gpio_22_io 29
	rtd_maskl(0xB8000814, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_E6 << 4) | (RTD287O_BGA_22x22_PIN_E6_UP << 3) | (RTD287O_BGA_22x22_PIN_E6_PD << 2) |(RTD287O_BGA_22x22_PIN_E6_DS << 1) | (RTD287O_BGA_22x22_PIN_E6_SR)) << 8));
	if (RTD287O_BGA_22x22_PIN_E6 == 0x3) { rtd_maskl(0xb80008dc, ~((0x7)<<8), ((0x4&0x7)<<8)); }; // 3: ld_spi1_p3_sdo_src4,<I/O>
	// PAD_NAME: pad_gpio_23_io 34
	rtd_maskl(0xB8000814, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_F6 << 4) | (RTD287O_BGA_22x22_PIN_F6_UP << 3) | (RTD287O_BGA_22x22_PIN_F6_PD << 2) |(RTD287O_BGA_22x22_PIN_F6_DS << 1) | (RTD287O_BGA_22x22_PIN_F6_SR)) << 0));
	// PAD_NAME: pad_gpio_24_io 35
	rtd_maskl(0xB8000818, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_G6 << 4) | (RTD287O_BGA_22x22_PIN_G6_UP << 3) | (RTD287O_BGA_22x22_PIN_G6_PD << 2) |(RTD287O_BGA_22x22_PIN_G6_DS << 1) | (RTD287O_BGA_22x22_PIN_G6_SR)) << 24));
	// PAD_NAME: pad_gpio_25_io 36
	rtd_maskl(0xB8000818, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_E5 << 4) | (RTD287O_BGA_22x22_PIN_E5_UP << 3) | (RTD287O_BGA_22x22_PIN_E5_PD << 2) |(RTD287O_BGA_22x22_PIN_E5_DS << 1) | (RTD287O_BGA_22x22_PIN_E5_SR)) << 16));
	// PAD_NAME: pad_gpio_26_io 37
	rtd_maskl(0xB8000818, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_F5 << 4) | (RTD287O_BGA_22x22_PIN_F5_UP << 3) | (RTD287O_BGA_22x22_PIN_F5_PD << 2) |(RTD287O_BGA_22x22_PIN_F5_DS << 1) | (RTD287O_BGA_22x22_PIN_F5_SR)) << 8));
	// PAD_NAME: pad_gpio_27_io 38
	rtd_maskl(0xB8000818, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_G5 << 4) | (RTD287O_BGA_22x22_PIN_G5_UP << 3) | (RTD287O_BGA_22x22_PIN_G5_PD << 2) |(RTD287O_BGA_22x22_PIN_G5_DS << 1) | (RTD287O_BGA_22x22_PIN_G5_SR)) << 0));
	// PAD_NAME: pad_gpio_28_io 39
	rtd_maskl(0xB800081C, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_E4 << 4) | (RTD287O_BGA_22x22_PIN_E4_UP << 3) | (RTD287O_BGA_22x22_PIN_E4_PD << 2) |(RTD287O_BGA_22x22_PIN_E4_DS << 1) | (RTD287O_BGA_22x22_PIN_E4_SR)) << 24));
	// PAD_NAME: pad_gpio_29_io 40
	rtd_maskl(0xB800081C, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_F4 << 4) | (RTD287O_BGA_22x22_PIN_F4_UP << 3) | (RTD287O_BGA_22x22_PIN_F4_PD << 2) |(RTD287O_BGA_22x22_PIN_F4_DS << 1) | (RTD287O_BGA_22x22_PIN_F4_SR)) << 16));
	// PAD_NAME: pad_gpio_30_io 41
	rtd_maskl(0xB800081C, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_G4 << 4) | (RTD287O_BGA_22x22_PIN_G4_UP << 3) | (RTD287O_BGA_22x22_PIN_G4_PD << 2) |(RTD287O_BGA_22x22_PIN_G4_DS << 1) | (RTD287O_BGA_22x22_PIN_G4_SR)) << 8));
	if (RTD287O_BGA_22x22_PIN_G4 == 0x2) { rtd_maskl(0xb80008e4, ~((0x3)<<24), ((0x1&0x3)<<24)); }; // 2: SPI_DO_src1,<I/O>,<HS>
	// PAD_NAME: pad_gpio_31_io 42
	rtd_maskl(0xB800081C, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_H4 << 4) | (RTD287O_BGA_22x22_PIN_H4_UP << 3) | (RTD287O_BGA_22x22_PIN_H4_PD << 2) |(RTD287O_BGA_22x22_PIN_H4_DS << 1) | (RTD287O_BGA_22x22_PIN_H4_SR)) << 0));
	// PAD_NAME: bb_ai2l_apad 72
	rtd_maskl(0xB8000828, 0x0FFFFFFF, (RTD287O_BGA_22x22_PIN_H6) << 28);
	if (RTD287O_BGA_22x22_PIN_H6 == 0xF) { rtd_maskl(0xb8000828, ~((0x1)<<5), ((0x1&0x1)<<5)); }; // F: MIS_GPIO_bit32,<I/O>
	// PAD_NAME: bb_ai2r_apad 73
	rtd_maskl(0xB8000828, 0xF0FFFFFF, (RTD287O_BGA_22x22_PIN_J4) << 24);
	if (RTD287O_BGA_22x22_PIN_J4 == 0xF) { rtd_maskl(0xb8000828, ~((0x1)<<4), ((0x1&0x1)<<4)); }; // F: MIS_GPIO_bit33,<I/O>
	// PAD_NAME: bb_ai3l_apad 74
	rtd_maskl(0xB8000828, 0xFF0FFFFF, (RTD287O_BGA_22x22_PIN_K5) << 20);
	if (RTD287O_BGA_22x22_PIN_K5 == 0x2) { rtd_maskl(0xb80008e0, ~((0x3)<<0), ((0x1&0x3)<<0)); }; // 2: SD_CD_src1,<I>,<HS>
	if (RTD287O_BGA_22x22_PIN_K5 == 0xB) { rtd_maskl(0xb80008d8, ~((0x3)<<16), ((0x0&0x3)<<16)); }; // B: I2C4_SDA_src0,<I/O>
	if ((RTD287O_BGA_22x22_PIN_K5 == 0xF) || (RTD287O_BGA_22x22_PIN_K5 == 0xB)) { rtd_maskl(0xb8000828, ~((0x1)<<3), ((0x1&0x1)<<3)); }; //F: GPI_EN
	// PAD_NAME: bb_ai3r_apad 75
	rtd_maskl(0xB8000828, 0xFFF0FFFF, (RTD287O_BGA_22x22_PIN_K4) << 16);
	if (RTD287O_BGA_22x22_PIN_K4 == 0x2) { rtd_maskl(0xb80008e0, ~((0x3)<<0), ((0x1&0x3)<<0)); }; // 2: SD_WP_src1,<I>,<HS>
	if (RTD287O_BGA_22x22_PIN_K4 == 0xB) { rtd_maskl(0xb80008d8, ~((0x3)<<20), ((0x0&0x3)<<20)); }; // B: I2C4_SCL_src0,<I/O>
	if ((RTD287O_BGA_22x22_PIN_K4 == 0xF) || (RTD287O_BGA_22x22_PIN_K4)) { rtd_maskl(0xb8000828, ~((0x1)<<2), ((0x1&0x1)<<2)); }; //F: GPI_EN
	// PAD_NAME: bb_aiol_apad 76
	rtd_maskl(0xB8000828, 0xFFFF0FFF, (RTD287O_BGA_22x22_PIN_M5) << 12);
	if (RTD287O_BGA_22x22_PIN_M5 == 0xF) { rtd_maskl(0xb8000828, ~((0x1)<<1), ((0x1&0x1)<<1)); }; // F: MIS_GPIO_bit36,<I/O>
	// PAD_NAME: bb_aior_apad 77
	rtd_maskl(0xB8000828, 0xFFFFF0FF, (RTD287O_BGA_22x22_PIN_M4) << 8);
	if (RTD287O_BGA_22x22_PIN_M4 == 0xA) { rtd_maskl(0xb80008d4, ~((0x3)<<24), ((0x1f&0x3)<<24)); }; // A: DEMOD_DSC_22_src1,<I/O>
	if (RTD287O_BGA_22x22_PIN_M4 == 0xF) { rtd_maskl(0xb8000828, ~((0x1)<<0), ((0x1&0x1)<<0)); }; //F: GPI_EN
	// PAD_NAME: bb_hpol_apad:BB_HPOL_APAD:2 83
	rtd_maskl(0xB800082C, 0x0FFFFFFF, (RTD287O_BGA_22x22_PIN_L5) << 28);
	if (RTD287O_BGA_22x22_PIN_L5 == 0xF) { rtd_maskl(0xb800082c, ~((0x1)<<1), ((0x1&0x1)<<1)); }; // F: MIS_GPIO_bit38,<I/O>
	// PAD_NAME: bb_hpor_apad:BB_HPOR_APAD:2 86
	rtd_maskl(0xB800082C, 0xF0FFFFFF, (RTD287O_BGA_22x22_PIN_L4) << 24);
	if (RTD287O_BGA_22x22_PIN_L4 == 0xF) { rtd_maskl(0xb800082c, ~((0x1)<<0), ((0x1&0x1)<<0)); }; // F: MIS_GPIO_bit39,<I/O>
	// PAD_NAME: vsync_apad 89
	rtd_maskl(0xB8000830, 0x0FFFFFFF, (RTD287O_BGA_22x22_PIN_F3) << 28);
	if (RTD287O_BGA_22x22_PIN_F3 == 0xA) { rtd_maskl(0xb80008d8, ~((0x3)<<12), ((0x0&0x3)<<12)); }; // A: I2S_IN_Data0_src0,<I>
	if (RTD287O_BGA_22x22_PIN_F3 == 0xF) { rtd_maskl(0xb8000830, ~((0x1)<<5), ((0x1&0x1)<<5)); }; //F: GPI_EN
	// PAD_NAME: hsync_apad 90
	rtd_maskl(0xB8000830, 0xF0FFFFFF, (RTD287O_BGA_22x22_PIN_F2) << 24);
	if (RTD287O_BGA_22x22_PIN_F2 == 0xA) { rtd_maskl(0xb80008d8, ~((0x3)<<8), ((0x0&0x3)<<8)); }; // A: I2S_IN_Data1_src0,<I>
	if (RTD287O_BGA_22x22_PIN_F2 == 0xF) { rtd_maskl(0xb8000830, ~((0x1)<<4), ((0x1&0x1)<<4)); }; //F: GPI_EN
	// PAD_NAME: vin_0p_apad 91
	rtd_maskl(0xB8000830, 0xFF0FFFFF, (RTD287O_BGA_22x22_PIN_G3) << 20);
	if (RTD287O_BGA_22x22_PIN_G3 == 0xF) { rtd_maskl(0xb8000830, ~((0x1)<<3), ((0x1&0x1)<<3)); }; // F: MIS_GPIO_bit42,<I/O>
	// PAD_NAME: vin_bn_apad 92
	rtd_maskl(0xB8000830, 0xFFF0FFFF, (RTD287O_BGA_22x22_PIN_G1) << 16);
	if (RTD287O_BGA_22x22_PIN_G1 == 0xB) { rtd_maskl(0xb80008d8, ~((0x3)<<24), ((0x1&0x3)<<24)); }; // B: I2C3_SDA_src1,<I/O>
	if (RTD287O_BGA_22x22_PIN_G1 == 0xF) { rtd_maskl(0xb8000830, ~((0x1)<<2), ((0x1&0x1)<<2)); }; //F: GPI_EN
	// PAD_NAME: vin_1p_apad 93
	rtd_maskl(0xB8000830, 0xFFFF0FFF, (RTD287O_BGA_22x22_PIN_G2) << 12);
	if (RTD287O_BGA_22x22_PIN_G2 == 0xF) { rtd_maskl(0xb8000830, ~((0x1)<<1), ((0x1&0x1)<<1)); }; // F: MIS_GPIO_bit44,<I/O>
	// PAD_NAME: vin_gn_apad 94
	rtd_maskl(0xB8000830, 0xFFFFF0FF, (RTD287O_BGA_22x22_PIN_H3) << 8);
	if (RTD287O_BGA_22x22_PIN_H3 == 0xA) { rtd_maskl(0xb80008d8, ~((0x3)<<4), ((0x0&0x3)<<4)); }; // A: I2S_IN_Data2_src0,<I>
	if (RTD287O_BGA_22x22_PIN_H3 == 0xF) { rtd_maskl(0xb8000830, ~((0x1)<<0), ((0x1&0x1)<<0)); }; //F: GPI_EN
	// PAD_NAME: vin_2p_apad 95
	rtd_maskl(0xB8000834, 0x0FFFFFFF, (RTD287O_BGA_22x22_PIN_H2) << 28);
	if (RTD287O_BGA_22x22_PIN_H2 == 0xF) { rtd_maskl(0xb8000834, ~((0x1)<<5), ((0x1&0x1)<<5)); }; // F: MIS_GPIO_bit46,<I/O>
	// PAD_NAME: vin_rn_apad 96
	rtd_maskl(0xB8000834, 0xF0FFFFFF, (RTD287O_BGA_22x22_PIN_J3) << 24);
	if (RTD287O_BGA_22x22_PIN_J3 == 0xA) { rtd_maskl(0xb80008d8, ~((0x3)<<0), ((0x0&0x3)<<0)); }; // A: I2S_IN_Data3_src0,<I>
	if (RTD287O_BGA_22x22_PIN_J3 == 0xB) { rtd_maskl(0xb80008d8, ~((0x3)<<28), ((0x1f&0x3)<<28)); }; // B: I2C3_SCL_src1,<I/O>
	if (RTD287O_BGA_22x22_PIN_J3 == 0xF) { rtd_maskl(0xb8000834, ~((0x1)<<4), ((0x1&0x1)<<4)); }; //F: GPI_EN
	// PAD_NAME: vin_3p_apad 97
	rtd_maskl(0xB8000834, 0xFF0FFFFF, (RTD287O_BGA_22x22_PIN_J2) << 20);
	if (RTD287O_BGA_22x22_PIN_J2 == 0xF) { rtd_maskl(0xb8000834, ~((0x1)<<3), ((0x1&0x1)<<3)); }; // F: MIS_GPIO_bit48,<I/O>
	// PAD_NAME: vin_y0n_apad 98
	rtd_maskl(0xB8000834, 0xFFF0FFFF, (RTD287O_BGA_22x22_PIN_J1) << 16);
	if (RTD287O_BGA_22x22_PIN_J1 == 0xF) { rtd_maskl(0xb8000834, ~((0x1)<<2), ((0x1&0x1)<<2)); }; // F: MIS_GPIO_bit49,<I/O>
	// PAD_NAME: vin_4p_apad 99
	rtd_maskl(0xB8000834, 0xFFFF0FFF, (RTD287O_BGA_22x22_PIN_K3) << 12);
	if (RTD287O_BGA_22x22_PIN_K3 == 0xF) { rtd_maskl(0xb8000834, ~((0x1)<<1), ((0x1&0x1)<<1)); }; // F: MIS_GPIO_bit50,<I/O>
	// PAD_NAME: vin_5p_apad 100
	rtd_maskl(0xB8000834, 0xFFFFF0FF, (RTD287O_BGA_22x22_PIN_K1) << 8);
	if (RTD287O_BGA_22x22_PIN_K1 == 0xF) { rtd_maskl(0xb8000834, ~((0x1)<<0), ((0x1&0x1)<<0)); }; // F: MIS_GPIO_bit51,<I/O>
	// PAD_NAME: scart_fsw_0_apad 109
	rtd_maskl(0xB8000838, 0x0FFFFFFF, (RTD287O_BGA_22x22_PIN_K2) << 28);
	if (RTD287O_BGA_22x22_PIN_K2 == 0x6) { rtd_maskl(0xb80008d4, ~((0x3)<<20), ((0x1f&0x3)<<20)); }; // 6: DEMOD_DSC_IN_src1,<I>
	if (RTD287O_BGA_22x22_PIN_K2 == 0xF) { rtd_maskl(0xb8000838, ~((0x1)<<2), ((0x1&0x1)<<2)); }; //F: GPI_EN
	// PAD_NAME: vin_10p_apad 111
	rtd_maskl(0xB8000838, 0xF0FFFFFF, (RTD287O_BGA_22x22_PIN_L2) << 24);
	if (RTD287O_BGA_22x22_PIN_L2 == 0xF) { rtd_maskl(0xb8000838, ~((0x1)<<1), ((0x1&0x1)<<1)); }; // F: MIS_GPIO_bit53,<I/O>
	// PAD_NAME: vin_a0n_apad 112
	rtd_maskl(0xB8000838, 0xFF0FFFFF, (RTD287O_BGA_22x22_PIN_L3) << 20);
	if (RTD287O_BGA_22x22_PIN_L3 == 0xF) { rtd_maskl(0xb8000838, ~((0x1)<<0), ((0x1&0x1)<<0)); }; // F: MIS_GPIO_bit54,<I/O>
	// PAD_NAME: vid_vdbs_apad 113
	rtd_maskl(0xB800083C, 0xF0FFFFFF, (RTD287O_BGA_22x22_PIN_M1) << 24);
	if (RTD287O_BGA_22x22_PIN_M1 == 0xF) { rtd_maskl(0xb800083c, ~((0x1)<<0), ((0x1&0x1)<<0)); }; // F: MIS_GPIO_bit56,<I/O>
	// PAD_NAME: vid_vdac_apad 114
	rtd_maskl(0xB800083C, 0x0FFFFFFF, (RTD287O_BGA_22x22_PIN_M3) << 28);
	if (RTD287O_BGA_22x22_PIN_M3 == 0xF) { rtd_maskl(0xb800083c, ~((0x1)<<1), ((0x1&0x1)<<1)); }; // F: MIS_GPIO_bit55,<I/O>
	// PAD_NAME: pad_gpio_57_io 156
	rtd_maskl(0xB8000840, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_P6 << 4) | (RTD287O_BGA_22x22_PIN_P6_UP << 3) | (RTD287O_BGA_22x22_PIN_P6_PD << 2) |(RTD287O_BGA_22x22_PIN_P6_DS << 1) | (RTD287O_BGA_22x22_PIN_P6_SR)) << 24));
	if (RTD287O_BGA_22x22_PIN_P6 == 0xB) { rtd_maskl(0xb80008d4, ~((0x3)<<0), ((0x0&0x3)<<0)); }; // B: I2C2_SDA_src0,<I/O>
	// PAD_NAME: pad_gpio_58_io 157
	rtd_maskl(0xB8000840, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_P5 << 4) | (RTD287O_BGA_22x22_PIN_P5_UP << 3) | (RTD287O_BGA_22x22_PIN_P5_PD << 2) |(RTD287O_BGA_22x22_PIN_P5_DS << 1) | (RTD287O_BGA_22x22_PIN_P5_SR)) << 16));
	if (RTD287O_BGA_22x22_PIN_P5 == 0xB) { rtd_maskl(0xb80008d4, ~((0x3)<<4), ((0x0&0x3)<<4)); }; // B: I2C2_SCL_src0,<I/O>
	// PAD_NAME: pad_gpio_59_io 158
	rtd_maskl(0xB8000840, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_AC5 << 4) | (RTD287O_BGA_22x22_PIN_AC5_UP << 3) | (RTD287O_BGA_22x22_PIN_AC5_PD << 2) |(RTD287O_BGA_22x22_PIN_AC5_DS << 1) | (RTD287O_BGA_22x22_PIN_AC5_SR)) << 8));
	if (RTD287O_BGA_22x22_PIN_AC5 == 0xB) { rtd_maskl(0xb80008d4, ~((0x3)<<8), ((0x0&0x3)<<8)); }; // B: I2C1_SDA_src0,<I/O>
	// PAD_NAME: pad_gpio_60_io 159
	rtd_maskl(0xB8000840, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_AC6 << 4) | (RTD287O_BGA_22x22_PIN_AC6_UP << 3) | (RTD287O_BGA_22x22_PIN_AC6_PD << 2) |(RTD287O_BGA_22x22_PIN_AC6_DS << 1) | (RTD287O_BGA_22x22_PIN_AC6_SR)) << 0));
	if (RTD287O_BGA_22x22_PIN_AC6 == 0xB) { rtd_maskl(0xb80008d4, ~((0x3)<<12), ((0x0&0x3)<<12)); }; // B: I2C1_SCL_src0,<I/O>
	// PAD_NAME: pad_gpio_61_io 160
	rtd_maskl(0xB8000844, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_W2 << 4) | (RTD287O_BGA_22x22_PIN_W2_UP << 3) | (RTD287O_BGA_22x22_PIN_W2_PD << 2) |(RTD287O_BGA_22x22_PIN_W2_DS << 1) | (RTD287O_BGA_22x22_PIN_W2_SR)) << 24));
	// PAD_NAME: pad_gpio_62_io 161
	rtd_maskl(0xB8000844, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_AB6 << 4) | (RTD287O_BGA_22x22_PIN_AB6_UP << 3) | (RTD287O_BGA_22x22_PIN_AB6_PD << 2) |(RTD287O_BGA_22x22_PIN_AB6_DS << 1) | (RTD287O_BGA_22x22_PIN_AB6_SR)) << 16));
	if (RTD287O_BGA_22x22_PIN_AB6 == 0x1) { rtd_maskl(0xb80008e8, ~((0x3)<<16), ((0x0&0x3)<<16)); }; // 1: TP0_SYNC_src0,<I>,<HS>
	if (RTD287O_BGA_22x22_PIN_AB6 == 0x2) { rtd_maskl(0xb80008e0, ~((0x3)<<0), ((0x0&0x3)<<0)); }; // 2: SD_CD_src0,<I>,<HS>
	// PAD_NAME: pad_gpio_63_io 165
	rtd_maskl(0xB8000844, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_AA6 << 4) | (RTD287O_BGA_22x22_PIN_AA6_UP << 3) | (RTD287O_BGA_22x22_PIN_AA6_PD << 2) |(RTD287O_BGA_22x22_PIN_AA6_DS << 1) | (RTD287O_BGA_22x22_PIN_AA6_SR)) << 8));
	if (RTD287O_BGA_22x22_PIN_AA6 == 0x1) { rtd_maskl(0xb80008e4, ~((0x3)<<20), ((0x0&0x3)<<20)); }; // 1: TP0_CLK_src0,<I>,<HS>,<AND>
	if (RTD287O_BGA_22x22_PIN_AA6 == 0x2) { rtd_maskl(0xb80008e0, ~((0x3)<<0), ((0x0&0x3)<<0)); }; // 2: SD_WP_src0,<I>,<HS>
	// PAD_NAME: pad_gpio_64_io 166
	rtd_maskl(0xB8000844, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_AC7 << 4) | (RTD287O_BGA_22x22_PIN_AC7_UP << 3) | (RTD287O_BGA_22x22_PIN_AC7_PD << 2) |(RTD287O_BGA_22x22_PIN_AC7_DS << 1) | (RTD287O_BGA_22x22_PIN_AC7_SR)) << 0));
	if (RTD287O_BGA_22x22_PIN_AC7 == 0x1) { rtd_maskl(0xb80008e8, ~((0x3)<<12), ((0x0&0x3)<<12)); }; // 1: TP0_VAL_src0,<I>,<HS>
	// PAD_NAME: pad_gpio_65_io 167
	rtd_maskl(0xB8000848, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_AB7 << 4) | (RTD287O_BGA_22x22_PIN_AB7_UP << 3) | (RTD287O_BGA_22x22_PIN_AB7_PD << 2) |(RTD287O_BGA_22x22_PIN_AB7_DS << 1) | (RTD287O_BGA_22x22_PIN_AB7_SR)) << 24));
	if (RTD287O_BGA_22x22_PIN_AB7 == 0x1) { rtd_maskl(0xb80008e4, ~((0x3)<<16), ((0x0&0x3)<<16)); }; // 1: TP0_Data_bit0_src0,<I>,<HS>
	if (RTD287O_BGA_22x22_PIN_AB7 == 0x4) { rtd_maskl(0xb80008dc, ~((0x7)<<12), ((0x1&0x7)<<12)); }; // 4: ld_spi1_p2_sck_src1,<I/O>
	// PAD_NAME: pad_gpio_66_io 168
	rtd_maskl(0xB8000848, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_AA7 << 4) | (RTD287O_BGA_22x22_PIN_AA7_UP << 3) | (RTD287O_BGA_22x22_PIN_AA7_PD << 2) |(RTD287O_BGA_22x22_PIN_AA7_DS << 1) | (RTD287O_BGA_22x22_PIN_AA7_SR)) << 16));
	if (RTD287O_BGA_22x22_PIN_AA7 == 0x0) { rtd_maskl(0xb80008e8, ~((0x3)<<0), ((0x1&0x3)<<0)); }; // 0: TP1_SYNC_src1,<I>,<HS>
	if (RTD287O_BGA_22x22_PIN_AA7 == 0x1) { rtd_maskl(0xb80008e4, ~((0x3)<<12), ((0x0&0x3)<<12)); }; // 1: TP0_Data_bit1_src0,<I>,<HS>
	if (RTD287O_BGA_22x22_PIN_AA7 == 0x3) { rtd_maskl(0xb80008ec, ~((0x3)<<16), ((0x1&0x3)<<16)); }; // 3: TP2_SYNC_src1,<I>,<HS>
	if (RTD287O_BGA_22x22_PIN_AA7 == 0x4) { rtd_maskl(0xb80008dc, ~((0x7)<<8), ((0x1&0x7)<<8)); }; // 4: ld_spi1_p3_sdo_src1,<I/O>
	// PAD_NAME: pad_gpio_67_io 169
	rtd_maskl(0xB8000848, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_AC8 << 4) | (RTD287O_BGA_22x22_PIN_AC8_UP << 3) | (RTD287O_BGA_22x22_PIN_AC8_PD << 2) |(RTD287O_BGA_22x22_PIN_AC8_DS << 1) | (RTD287O_BGA_22x22_PIN_AC8_SR)) << 8));
	if (RTD287O_BGA_22x22_PIN_AC8 == 0x0) { rtd_maskl(0xb80008e8, ~((0x3)<<8), ((0x1&0x3)<<8)); }; // 0: TP1_CLK_src1,<I>,<HS>,<AND>
	if (RTD287O_BGA_22x22_PIN_AC8 == 0x1) { rtd_maskl(0xb80008e4, ~((0x3)<<8), ((0x0&0x3)<<8)); }; // 1: TP0_Data_bit2_src0,<I>,<HS>
	if (RTD287O_BGA_22x22_PIN_AC8 == 0x3) { rtd_maskl(0xb80008ec, ~((0x3)<<24), ((0x1&0x3)<<24)); }; // 3: TP2_CLK_src1,<I>,<HS>,<AND>
	if (RTD287O_BGA_22x22_PIN_AC8 == 0x4) { rtd_maskl(0xb80008dc, ~((0x7)<<4), ((0x1&0x7)<<4)); }; // 4: ld_spi1_p4_sdi_src1,<I>
	// PAD_NAME: pad_gpio_68_io 170
	rtd_maskl(0xB8000848, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_AB8 << 4) | (RTD287O_BGA_22x22_PIN_AB8_UP << 3) | (RTD287O_BGA_22x22_PIN_AB8_PD << 2) |(RTD287O_BGA_22x22_PIN_AB8_DS << 1) | (RTD287O_BGA_22x22_PIN_AB8_SR)) << 0));
	if (RTD287O_BGA_22x22_PIN_AB8 == 0x0) { rtd_maskl(0xb80008ec, ~((0x3)<<28), ((0x1&0x3)<<28)); }; // 0: TP1_VAL_src1,<I>,<HS>
	if (RTD287O_BGA_22x22_PIN_AB8 == 0x1) { rtd_maskl(0xb80008e4, ~((0x3)<<4), ((0x0&0x3)<<4)); }; // 1: TP0_Data_bit3_src0,<I>,<HS>
	if (RTD287O_BGA_22x22_PIN_AB8 == 0x3) { rtd_maskl(0xb80008ec, ~((0x3)<<12), ((0x1&0x3)<<12)); }; // 3: TP2_VAL_src1,<I>,<HS>
	// PAD_NAME: pad_gpio_69_io 171
	rtd_maskl(0xB800084C, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_AA8 << 4) | (RTD287O_BGA_22x22_PIN_AA8_UP << 3) | (RTD287O_BGA_22x22_PIN_AA8_PD << 2) |(RTD287O_BGA_22x22_PIN_AA8_DS << 1) | (RTD287O_BGA_22x22_PIN_AA8_SR)) << 24));
	if (RTD287O_BGA_22x22_PIN_AA8 == 0x0) { rtd_maskl(0xb80008e8, ~((0x3)<<4), ((0x1&0x3)<<4)); }; // 0: TP1_Data_bit0_src1,<I>,<HS>
	if (RTD287O_BGA_22x22_PIN_AA8 == 0x1) { rtd_maskl(0xb80008e4, ~((0x3)<<0), ((0x0&0x3)<<0)); }; // 1: TP0_Data_bit4_src0,<I>,<HS>
	if (RTD287O_BGA_22x22_PIN_AA8 == 0x3) { rtd_maskl(0xb80008ec, ~((0x3)<<20), ((0x1&0x3)<<20)); }; // 3: TP2_Data_bit0_src1,<I>,<HS>
	if (RTD287O_BGA_22x22_PIN_AA8 == 0x8) { rtd_maskl(0xb80008dc, ~((0x7)<<12), ((0x2&0x7)<<12)); }; // 8: ld_spi1_p2_sck_src2,<I/O>
	// PAD_NAME: pad_gpio_70_io 172
	rtd_maskl(0xB800084C, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_AC9 << 4) | (RTD287O_BGA_22x22_PIN_AC9_UP << 3) | (RTD287O_BGA_22x22_PIN_AC9_PD << 2) |(RTD287O_BGA_22x22_PIN_AC9_DS << 1) | (RTD287O_BGA_22x22_PIN_AC9_SR)) << 16));
	if (RTD287O_BGA_22x22_PIN_AC9 == 0x1) { rtd_maskl(0xb80008e8, ~((0x3)<<28), ((0x0&0x3)<<28)); }; // 1: TP0_Data_bit5_src0,<I>,<HS>
	// PAD_NAME: pad_gpio_71_io 173
	rtd_maskl(0xB800084C, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_AB9 << 4) | (RTD287O_BGA_22x22_PIN_AB9_UP << 3) | (RTD287O_BGA_22x22_PIN_AB9_PD << 2) |(RTD287O_BGA_22x22_PIN_AB9_DS << 1) | (RTD287O_BGA_22x22_PIN_AB9_SR)) << 8));
	if (RTD287O_BGA_22x22_PIN_AB9 == 0x1) { rtd_maskl(0xb80008e8, ~((0x3)<<24), ((0x0&0x3)<<24)); }; // 1: TP0_Data_bit6_src0,<I>,<HS>
	// PAD_NAME: pad_gpio_72_io 174
	rtd_maskl(0xB800084C, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_AA9 << 4) | (RTD287O_BGA_22x22_PIN_AA9_UP << 3) | (RTD287O_BGA_22x22_PIN_AA9_PD << 2) |(RTD287O_BGA_22x22_PIN_AA9_DS << 1) | (RTD287O_BGA_22x22_PIN_AA9_SR)) << 0));
	if (RTD287O_BGA_22x22_PIN_AA9 == 0x1) { rtd_maskl(0xb80008e8, ~((0x3)<<20), ((0x0&0x3)<<20)); }; // 1: TP0_Data_bit7_src0,<I>,<HS>
	// PAD_NAME: pad_gpio_73_io 175
	rtd_maskl(0xB8000850, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_M6 << 4) | (RTD287O_BGA_22x22_PIN_M6_UP << 3) | (RTD287O_BGA_22x22_PIN_M6_PD << 2) |(RTD287O_BGA_22x22_PIN_M6_DS << 1) | (RTD287O_BGA_22x22_PIN_M6_SR)) << 24));
	if (RTD287O_BGA_22x22_PIN_M6 == 0x2) { rtd_maskl(0xb80008e4, ~((0x3)<<24), ((0x0&0x3)<<24)); }; // 2: SPI_DO_src0,<I/O>,<HS>
	if (RTD287O_BGA_22x22_PIN_M6 == 0x8) { rtd_maskl(0xb80008dc, ~((0x7)<<4), ((0x2&0x7)<<4)); }; // 8: ld_spi1_p4_sdi_src2,<I>
	// PAD_NAME: pad_gpio_74_io 176
	rtd_maskl(0xB8000850, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_AA4 << 4) | (RTD287O_BGA_22x22_PIN_AA4_UP << 3) | (RTD287O_BGA_22x22_PIN_AA4_PD << 2) |(RTD287O_BGA_22x22_PIN_AA4_DS << 1) | (RTD287O_BGA_22x22_PIN_AA4_SR)) << 16));
	if (RTD287O_BGA_22x22_PIN_AA4 == 0x0) { rtd_maskl(0xb80008e8, ~((0x3)<<28), ((0x2&0x3)<<28)); }; // 0: TP0_Data_bit5_src2,<I>,<HS>
	if (RTD287O_BGA_22x22_PIN_AA4 == 0x1) { rtd_maskl(0xb80008ec, ~((0x3)<<16), ((0x0&0x3)<<16)); }; // 1: TP2_SYNC_src0,<I>,<HS>
	if (RTD287O_BGA_22x22_PIN_AA4 == 0x2) { rtd_maskl(0xb80008e4, ~((0x3)<<24), ((0x0&0x3)<<24)); }; // 2: SPI_WP_src0,<I/O>,<HS>
	if (RTD287O_BGA_22x22_PIN_AA4 == 0x3) { rtd_maskl(0xb80008dc, ~((0x3)<<24), ((0x1&0x3)<<24)); }; // 3: ld_spi0_p2_sck_src1,<I/O>
	// PAD_NAME: pad_gpio_75_io 177
	rtd_maskl(0xB8000850, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_AB5 << 4) | (RTD287O_BGA_22x22_PIN_AB5_UP << 3) | (RTD287O_BGA_22x22_PIN_AB5_PD << 2) |(RTD287O_BGA_22x22_PIN_AB5_DS << 1) | (RTD287O_BGA_22x22_PIN_AB5_SR)) << 8));
	if (RTD287O_BGA_22x22_PIN_AB5 == 0x0) { rtd_maskl(0xb80008e8, ~((0x3)<<24), ((0x2&0x3)<<24)); }; // 0: TP0_Data_bit6_src2,<I>,<HS>
	if (RTD287O_BGA_22x22_PIN_AB5 == 0x1) { rtd_maskl(0xb80008ec, ~((0x3)<<24), ((0x0&0x3)<<24)); }; // 1: TP2_CLK_src0,<I>,<HS>,<AND>
	if (RTD287O_BGA_22x22_PIN_AB5 == 0x2) { rtd_maskl(0xb80008e4, ~((0x3)<<24), ((0x0&0x3)<<24)); }; // 2: SPI_DI_src0,<I/O>,<HS>
	if (RTD287O_BGA_22x22_PIN_AB5 == 0x3) { rtd_maskl(0xb80008dc, ~((0x3)<<20), ((0x1&0x3)<<20)); }; // 3: ld_spi0_p3_sdo_src1,<I/O>
	// PAD_NAME: pad_gpio_76_io 178
	rtd_maskl(0xB8000850, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_AB4 << 4) | (RTD287O_BGA_22x22_PIN_AB4_UP << 3) | (RTD287O_BGA_22x22_PIN_AB4_PD << 2) |(RTD287O_BGA_22x22_PIN_AB4_DS << 1) | (RTD287O_BGA_22x22_PIN_AB4_SR)) << 0));
	if (RTD287O_BGA_22x22_PIN_AB4 == 0x0) { rtd_maskl(0xb80008e8, ~((0x3)<<20), ((0x2&0x3)<<20)); }; // 0: TP0_Data_bit7_src2,<I>,<HS>
	if (RTD287O_BGA_22x22_PIN_AB4 == 0x1) { rtd_maskl(0xb80008ec, ~((0x3)<<12), ((0x0&0x3)<<12)); }; // 1: TP2_VAL_src0,<I>,<HS>
	if (RTD287O_BGA_22x22_PIN_AB4 == 0x3) { rtd_maskl(0xb80008dc, ~((0x3)<<16), ((0x1&0x3)<<16)); }; // 3: ld_spi0_p4_sdi_src1,<I>
	// PAD_NAME: pad_gpio_77_io 181
	rtd_maskl(0xB8000854, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_AC4 << 4) | (RTD287O_BGA_22x22_PIN_AC4_UP << 3) | (RTD287O_BGA_22x22_PIN_AC4_PD << 2) |(RTD287O_BGA_22x22_PIN_AC4_DS << 1) | (RTD287O_BGA_22x22_PIN_AC4_SR)) << 24));
	if (RTD287O_BGA_22x22_PIN_AC4 == 0x1) { rtd_maskl(0xb80008ec, ~((0x3)<<20), ((0x0&0x3)<<20)); }; // 1: TP2_Data_bit0_src0,<I>,<HS>
	if (RTD287O_BGA_22x22_PIN_AC4 == 0x2) { rtd_maskl(0xb80008e4, ~((0x3)<<24), ((0x0&0x3)<<24)); }; // 2: SPI_HOLD_src0,<I/O>,<HS>
	// PAD_NAME: pad_gpio_78_io 182
	rtd_maskl(0xB8000854, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_N4 << 4) | (RTD287O_BGA_22x22_PIN_N4_UP << 3) | (RTD287O_BGA_22x22_PIN_N4_PD << 2) |(RTD287O_BGA_22x22_PIN_N4_DS << 1) | (RTD287O_BGA_22x22_PIN_N4_SR)) << 16));
	if (RTD287O_BGA_22x22_PIN_N4 == 0x8) { rtd_maskl(0xb80008dc, ~((0x7)<<8), ((0x2&0x7)<<8)); }; // 8: ld_spi1_p3_sdo_src2,<I/O>
	// PAD_NAME: pad_gpio_79_io 183
	rtd_maskl(0xB8000854, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_N5 << 4) | (RTD287O_BGA_22x22_PIN_N5_UP << 3) | (RTD287O_BGA_22x22_PIN_N5_PD << 2) |(RTD287O_BGA_22x22_PIN_N5_DS << 1) | (RTD287O_BGA_22x22_PIN_N5_SR)) << 8));
	// PAD_NAME: pad_gpio_80_io 184
	rtd_maskl(0xB8000854, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_N6 << 4) | (RTD287O_BGA_22x22_PIN_N6_UP << 3) | (RTD287O_BGA_22x22_PIN_N6_PD << 2) |(RTD287O_BGA_22x22_PIN_N6_DS << 1) | (RTD287O_BGA_22x22_PIN_N6_SR)) << 0));
	if (RTD287O_BGA_22x22_PIN_N6 == 0x4) { rtd_maskl(0xb80008d4, ~((0x3)<<20), ((0x0&0x3)<<20)); }; // 4: DEMOD_DSC_IN_src0,<I>
	// PAD_NAME: pad_gpio_81_io 185
	rtd_maskl(0xB8000858, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_P4 << 4) | (RTD287O_BGA_22x22_PIN_P4_UP << 3) | (RTD287O_BGA_22x22_PIN_P4_PD << 2) |(RTD287O_BGA_22x22_PIN_P4_DS << 1) | (RTD287O_BGA_22x22_PIN_P4_SR)) << 24));
	if (RTD287O_BGA_22x22_PIN_P4 == 0x4) { rtd_maskl(0xb80008d4, ~((0x3)<<24), ((0x0&0x3)<<24)); }; // 4: DEMOD_DSC_22_src0,<I/O>
#ifdef RTD287O_BGA_22x22_PIN_R4
	// PAD_NAME: pad_st_gpio_00_io 208
	rtd_maskl(0xB8060200, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_R4 << 4) | (RTD287O_BGA_22x22_PIN_R4_UP << 3) | (RTD287O_BGA_22x22_PIN_R4_PD << 2) |(RTD287O_BGA_22x22_PIN_R4_DS << 1) | (RTD287O_BGA_22x22_PIN_R4_SR)) << 24));
	if (RTD287O_BGA_22x22_PIN_R4 == 0x6) { rtd_maskl(0xb8060244, ~((0x7)<<8), ((0x5&0x7)<<8)); }; // 6: uart0_rxdi_src5,<I>
	if (RTD287O_BGA_22x22_PIN_R4 == 0x7) { rtd_maskl(0xb8060244, ~((0x7)<<4), ((0x5&0x7)<<4)); }; // 7: uart1_rxdi_src5,<I>
	if (RTD287O_BGA_22x22_PIN_R4 == 0x8) { rtd_maskl(0xb8060244, ~((0x7)<<0), ((0x5&0x7)<<0)); }; // 8: UARTRbus_RX_src5,<I>
#endif
#ifdef RTD287O_BGA_22x22_PIN_R5
	// PAD_NAME: pad_st_gpio_01_io 209
	rtd_maskl(0xB8060200, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_R5 << 4) | (RTD287O_BGA_22x22_PIN_R5_UP << 3) | (RTD287O_BGA_22x22_PIN_R5_PD << 2) |(RTD287O_BGA_22x22_PIN_R5_DS << 1) | (RTD287O_BGA_22x22_PIN_R5_SR)) << 16));
#endif
#ifdef RTD287O_BGA_22x22_PIN_Y2
	// PAD_NAME: pad_st_gpio_02_io 210
	rtd_maskl(0xB8060200, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_Y2 << 4) | (RTD287O_BGA_22x22_PIN_Y2_UP << 3) | (RTD287O_BGA_22x22_PIN_Y2_PD << 2) |(RTD287O_BGA_22x22_PIN_Y2_DS << 1) | (RTD287O_BGA_22x22_PIN_Y2_SR)) << 8));
	if (RTD287O_BGA_22x22_PIN_Y2 == 0x6) { rtd_maskl(0xb8060244, ~((0x7)<<8), ((0x0&0x7)<<8)); }; // 6: uart0_rxdi_src0,<I>
	if (RTD287O_BGA_22x22_PIN_Y2 == 0x7) { rtd_maskl(0xb8060244, ~((0x7)<<4), ((0x0&0x7)<<4)); }; // 7: uart1_rxdi_src0,<I>
	if (RTD287O_BGA_22x22_PIN_Y2 == 0x8) { rtd_maskl(0xb8060244, ~((0x7)<<0), ((0x0&0x7)<<0)); }; // 8: UARTRbus_RX_src0,<I>
#endif
#ifdef RTD287O_BGA_22x22_PIN_Y3
	// PAD_NAME: pad_st_gpio_03_io 211
	rtd_maskl(0xB8060200, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_Y3 << 4) | (RTD287O_BGA_22x22_PIN_Y3_UP << 3) | (RTD287O_BGA_22x22_PIN_Y3_PD << 2) |(RTD287O_BGA_22x22_PIN_Y3_DS << 1) | (RTD287O_BGA_22x22_PIN_Y3_SR)) << 0));
#endif
	// PAD_NAME: pad_st_gpio_04_io 212
	rtd_maskl(0xB8060204, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_R6 << 4) | (RTD287O_BGA_22x22_PIN_R6_UP << 3) | (RTD287O_BGA_22x22_PIN_R6_PD << 2) |(RTD287O_BGA_22x22_PIN_R6_DS << 1) | (RTD287O_BGA_22x22_PIN_R6_SR)) << 24));
	if (RTD287O_BGA_22x22_PIN_R6 == 0xA) { rtd_maskl(0xb80008d8, ~((0x3)<<12), ((0x2&0x3)<<12)); }; // A: I2S_IN_Data0_src2,<I>
	if (RTD287O_BGA_22x22_PIN_R6 == 0xB) { rtd_maskl(0xb80008d4, ~((0x3)<<4), ((0x1&0x3)<<4)); }; // B: I2C2_SCL_src1,<I/O>
	// PAD_NAME: pad_st_gpio_05_io 213
	rtd_maskl(0xB8060204, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_T6 << 4) | (RTD287O_BGA_22x22_PIN_T6_UP << 3) | (RTD287O_BGA_22x22_PIN_T6_PD << 2) |(RTD287O_BGA_22x22_PIN_T6_DS << 1) | (RTD287O_BGA_22x22_PIN_T6_SR)) << 16));
	if (RTD287O_BGA_22x22_PIN_T6 == 0xB) { rtd_maskl(0xb80008d4, ~((0x3)<<0), ((0x1&0x3)<<0)); }; // B: I2C2_SDA_src1,<I/O>
	// PAD_NAME: pad_st_gpio_06_io 216
	rtd_maskl(0xB8060204, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_T4 << 4) | (RTD287O_BGA_22x22_PIN_T4_UP << 3) | (RTD287O_BGA_22x22_PIN_T4_PD << 2) |(RTD287O_BGA_22x22_PIN_T4_DS << 1) | (RTD287O_BGA_22x22_PIN_T4_SR)) << 8));
	if (RTD287O_BGA_22x22_PIN_T4 == 0xB) { rtd_maskl(0xb8060244, ~((0x3)<<20), ((0x0&0x3)<<20)); }; // B: I2C5_SCL_src0,<I/O>
	// PAD_NAME: pad_st_gpio_07_io 217
	rtd_maskl(0xB8060204, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_T5 << 4) | (RTD287O_BGA_22x22_PIN_T5_UP << 3) | (RTD287O_BGA_22x22_PIN_T5_PD << 2) |(RTD287O_BGA_22x22_PIN_T5_DS << 1) | (RTD287O_BGA_22x22_PIN_T5_SR)) << 0));
	if (RTD287O_BGA_22x22_PIN_T5 == 0xB) { rtd_maskl(0xb8060244, ~((0x3)<<16), ((0x0&0x3)<<16)); }; // B: I2C5_SDA_src0,<I/O>
	// PAD_NAME: pad_st_gpio_08_io 218
	rtd_maskl(0xB8060208, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_U5 << 4) | (RTD287O_BGA_22x22_PIN_U5_UP << 3) | (RTD287O_BGA_22x22_PIN_U5_PD << 2) |(RTD287O_BGA_22x22_PIN_U5_DS << 1) | (RTD287O_BGA_22x22_PIN_U5_SR)) << 24));
	if (RTD287O_BGA_22x22_PIN_U5 == 0xB) { rtd_maskl(0xb8060244, ~((0x3)<<24), ((0x0&0x3)<<24)); }; // B: I2C0_SDA_src0,<I/O>
	// PAD_NAME: pad_st_gpio_09_io 219
	rtd_maskl(0xB8060208, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_U4 << 4) | (RTD287O_BGA_22x22_PIN_U4_UP << 3) | (RTD287O_BGA_22x22_PIN_U4_PD << 2) |(RTD287O_BGA_22x22_PIN_U4_DS << 1) | (RTD287O_BGA_22x22_PIN_U4_SR)) << 16));
	if (RTD287O_BGA_22x22_PIN_U4 == 0xB) { rtd_maskl(0xb8060244, ~((0x3)<<28), ((0x0&0x3)<<28)); }; // B: I2C0_SCL_src0,<I/O>
	// PAD_NAME: pad_st_gpio_10_io 220
	rtd_maskl(0xB8060208, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_U6 << 4) | (RTD287O_BGA_22x22_PIN_U6_UP << 3) | (RTD287O_BGA_22x22_PIN_U6_PD << 2) |(RTD287O_BGA_22x22_PIN_U6_DS << 1) | (RTD287O_BGA_22x22_PIN_U6_SR)) << 8));
	// PAD_NAME: pad_st_gpio_11_io 221
	rtd_maskl(0xB8060208, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_V4 << 4) | (RTD287O_BGA_22x22_PIN_V4_UP << 3) | (RTD287O_BGA_22x22_PIN_V4_PD << 2) |(RTD287O_BGA_22x22_PIN_V4_DS << 1) | (RTD287O_BGA_22x22_PIN_V4_SR)) << 0));
	// PAD_NAME: lsadc11_apad 222
	rtd_maskl(0xB806023C, 0x0FFFFFFF, (RTD287O_BGA_22x22_PIN_V6) << 28);
	if (RTD287O_BGA_22x22_PIN_V6 == 0xF) { rtd_maskl(0xb806023c, ~((0x1)<<5), ((0x1&0x1)<<5)); }; // F: ISO_MIS_GPIO_bit12,<I/O>
	// PAD_NAME: lsadc10_apad 223
	rtd_maskl(0xB806023C, 0xF0FFFFFF, (RTD287O_BGA_22x22_PIN_Y6) << 24);
	if (RTD287O_BGA_22x22_PIN_Y6 == 0xF) { rtd_maskl(0xb806023c, ~((0x1)<<4), ((0x1&0x1)<<4)); }; // F: ISO_MIS_GPIO_bit13,<I/O>
	// PAD_NAME: lsadc9_apad 224
	rtd_maskl(0xB806023C, 0xFF0FFFFF, (RTD287O_BGA_22x22_PIN_V5) << 20);
	if (RTD287O_BGA_22x22_PIN_V5 == 0xF) { rtd_maskl(0xb806023c, ~((0x1)<<3), ((0x1&0x1)<<3)); }; // F: ISO_MIS_GPIO_bit14,<I/O>
	// PAD_NAME: lsadc8_apad 225
	rtd_maskl(0xB806023C, 0xFFF0FFFF, (RTD287O_BGA_22x22_PIN_Y5) << 16);
	if (RTD287O_BGA_22x22_PIN_Y5 == 0xF) { rtd_maskl(0xb806023c, ~((0x1)<<2), ((0x1&0x1)<<2)); }; // F: ISO_MIS_GPIO_bit15,<I/O>
	// PAD_NAME: lsadc5_apad 226
	rtd_maskl(0xB806023C, 0xFFFF0FFF, (RTD287O_BGA_22x22_PIN_W6) << 12);
	if (RTD287O_BGA_22x22_PIN_W6 == 0xF) { rtd_maskl(0xb806023c, ~((0x1)<<1), ((0x1&0x1)<<1)); }; // F: ISO_MIS_GPIO_bit16,<I/O>
	// PAD_NAME: lsadc0_apad 227
	rtd_maskl(0xB806023C, 0xFFFFF0FF, (RTD287O_BGA_22x22_PIN_W5) << 8);
	if (RTD287O_BGA_22x22_PIN_W5 == 0xF) { rtd_maskl(0xb806023c, ~((0x1)<<0), ((0x1&0x1)<<0)); }; // F: ISO_MIS_GPIO_bit17,<I/O>
	// PAD_NAME: lsadc1_apad 228
	rtd_maskl(0xB8060240, 0x0FFFFFFF, (RTD287O_BGA_22x22_PIN_W4) << 28);
	if (RTD287O_BGA_22x22_PIN_W4 == 0xF) { rtd_maskl(0xb8060240, ~((0x1)<<4), ((0x1&0x1)<<4)); }; // F: ISO_MIS_GPIO_bit18,<I/O>
	// PAD_NAME: lsadc2_apad 229
	rtd_maskl(0xB8060240, 0xF0FFFFFF, (RTD287O_BGA_22x22_PIN_Y4) << 24);
	if (RTD287O_BGA_22x22_PIN_Y4 == 0xF) { rtd_maskl(0xb8060240, ~((0x1)<<3), ((0x1&0x1)<<3)); }; // F: ISO_MIS_GPIO_bit19,<I/O>
	// PAD_NAME: lsadc4_apad 230
	rtd_maskl(0xB8060240, 0xFF0FFFFF, (RTD287O_BGA_22x22_PIN_AA5) << 20);
	if (RTD287O_BGA_22x22_PIN_AA5 == 0xF) { rtd_maskl(0xb8060240, ~((0x1)<<2), ((0x1&0x1)<<2)); }; // F: ISO_MIS_GPIO_bit20,<I/O>
	// PAD_NAME: lsadc6_apad 231
	rtd_maskl(0xB8060240, 0xFFF0FFFF, (RTD287O_BGA_22x22_PIN_V1) << 16);
	if (RTD287O_BGA_22x22_PIN_V1 == 0xF) { rtd_maskl(0xb8060240, ~((0x1)<<1), ((0x1&0x1)<<1)); }; // F: ISO_MIS_GPIO_bit21,<I/O>
	// PAD_NAME: lsadc7_apad 232
	rtd_maskl(0xB8060240, 0xFFFF0FFF, (RTD287O_BGA_22x22_PIN_W3) << 12);
	if (RTD287O_BGA_22x22_PIN_W3 == 0xF) { rtd_maskl(0xb8060240, ~((0x1)<<0), ((0x1&0x1)<<0)); }; // F: ISO_MIS_GPIO_bit22,<I/O>
	// PAD_NAME: pad_st_gpio_26_io 251
	rtd_maskl(0xB806020C, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_AB10 << 4) | (RTD287O_BGA_22x22_PIN_AB10_UP << 3) | (RTD287O_BGA_22x22_PIN_AB10_PD << 2) |(RTD287O_BGA_22x22_PIN_AB10_DS << 1) | (RTD287O_BGA_22x22_PIN_AB10_SR)) << 0));
	// PAD_NAME: pad_st_gpio_27_io 252
	rtd_maskl(0xB8060210, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_AC2 << 4) | (RTD287O_BGA_22x22_PIN_AC2_UP << 3) | (RTD287O_BGA_22x22_PIN_AC2_PD << 2) |(RTD287O_BGA_22x22_PIN_AC2_DS << 1) | (RTD287O_BGA_22x22_PIN_AC2_SR)) << 24));
	// PAD_NAME: pad_st_gpio_28_io 253
	rtd_maskl(0xB8060210, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_AC1 << 4) | (RTD287O_BGA_22x22_PIN_AC1_UP << 3) | (RTD287O_BGA_22x22_PIN_AC1_PD << 2) |(RTD287O_BGA_22x22_PIN_AC1_DS << 1) | (RTD287O_BGA_22x22_PIN_AC1_SR)) << 16));
	if (RTD287O_BGA_22x22_PIN_AC1 == 0x6) { rtd_maskl(0xb8060244, ~((0x7)<<8), ((0x4&0x7)<<8)); }; // 6: uart0_rxdi_src4,<I>
	if (RTD287O_BGA_22x22_PIN_AC1 == 0x7) { rtd_maskl(0xb8060244, ~((0x7)<<4), ((0x4&0x7)<<4)); }; // 7: uart1_rxdi_src4,<I>
	if (RTD287O_BGA_22x22_PIN_AC1 == 0x8) { rtd_maskl(0xb8060244, ~((0x7)<<0), ((0x4&0x7)<<0)); }; // 8: UARTRbus_RX_src4,<I>
	// PAD_NAME: pad_st_gpio_29_io 254
	rtd_maskl(0xB8060210, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_AA2 << 4) | (RTD287O_BGA_22x22_PIN_AA2_UP << 3) | (RTD287O_BGA_22x22_PIN_AA2_PD << 2) |(RTD287O_BGA_22x22_PIN_AA2_DS << 1) | (RTD287O_BGA_22x22_PIN_AA2_SR)) << 8));
	// PAD_NAME: pad_st_gpio_30_io 255
	rtd_maskl(0xB8060210, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_AB3 << 4) | (RTD287O_BGA_22x22_PIN_AB3_UP << 3) | (RTD287O_BGA_22x22_PIN_AB3_PD << 2) |(RTD287O_BGA_22x22_PIN_AB3_DS << 1) | (RTD287O_BGA_22x22_PIN_AB3_SR)) << 0));
	if (RTD287O_BGA_22x22_PIN_AB3 == 0x6) { rtd_maskl(0xb8060244, ~((0x7)<<8), ((0x3&0x7)<<8)); }; // 6: uart0_rxdi_src3,<I>
	if (RTD287O_BGA_22x22_PIN_AB3 == 0x7) { rtd_maskl(0xb8060244, ~((0x7)<<4), ((0x3&0x7)<<4)); }; // 7: uart1_rxdi_src3,<I>
	if (RTD287O_BGA_22x22_PIN_AB3 == 0x8) { rtd_maskl(0xb8060244, ~((0x7)<<0), ((0x3&0x7)<<0)); }; // 8: UARTRbus_RX_src3,<I>
	// PAD_NAME: pad_st_gpio_33_io 256
	rtd_maskl(0xB8060214, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_AB13 << 4) | (RTD287O_BGA_22x22_PIN_AB13_UP << 3) | (RTD287O_BGA_22x22_PIN_AB13_PD << 2) |(RTD287O_BGA_22x22_PIN_AB13_DS << 1) | (RTD287O_BGA_22x22_PIN_AB13_SR)) << 8));
	// PAD_NAME: pad_st_gpio_31_io 259
	rtd_maskl(0xB8060214, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_AB12 << 4) | (RTD287O_BGA_22x22_PIN_AB12_UP << 3) | (RTD287O_BGA_22x22_PIN_AB12_PD << 2) |(RTD287O_BGA_22x22_PIN_AB12_DS << 1) | (RTD287O_BGA_22x22_PIN_AB12_SR)) << 24));
	// PAD_NAME: pad_st_gpio_32_io 260
	rtd_maskl(0xB8060214, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_AC12 << 4) | (RTD287O_BGA_22x22_PIN_AC12_UP << 3) | (RTD287O_BGA_22x22_PIN_AC12_PD << 2) |(RTD287O_BGA_22x22_PIN_AC12_DS << 1) | (RTD287O_BGA_22x22_PIN_AC12_SR)) << 16));
	if (RTD287O_BGA_22x22_PIN_AC12 == 0x6) { rtd_maskl(0xb8060244, ~((0x7)<<8), ((0x2&0x7)<<8)); }; // 6: uart0_rxdi_src2,<I>
	if (RTD287O_BGA_22x22_PIN_AC12 == 0x7) { rtd_maskl(0xb8060244, ~((0x7)<<4), ((0x2&0x7)<<4)); }; // 7: uart1_rxdi_src2,<I>
	if (RTD287O_BGA_22x22_PIN_AC12 == 0x8) { rtd_maskl(0xb8060244, ~((0x7)<<0), ((0x2&0x7)<<0)); }; // 8: UARTRbus_RX_src2,<I>
	// PAD_NAME: pad_st_gpio_34_io 261
	rtd_maskl(0xB8060214, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_AC13 << 4) | (RTD287O_BGA_22x22_PIN_AC13_UP << 3) | (RTD287O_BGA_22x22_PIN_AC13_PD << 2) |(RTD287O_BGA_22x22_PIN_AC13_DS << 1) | (RTD287O_BGA_22x22_PIN_AC13_SR)) << 0));
	// PAD_NAME: pad_st_gpio_36_io 262
	rtd_maskl(0xB8060218, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_AC14 << 4) | (RTD287O_BGA_22x22_PIN_AC14_UP << 3) | (RTD287O_BGA_22x22_PIN_AC14_PD << 2) |(RTD287O_BGA_22x22_PIN_AC14_DS << 1) | (RTD287O_BGA_22x22_PIN_AC14_SR)) << 16));
	if (RTD287O_BGA_22x22_PIN_AC14 == 0x6) { rtd_maskl(0xb8060244, ~((0x7)<<8), ((0x1&0x7)<<8)); }; // 6: uart0_rxdi_src1,<I>
	if (RTD287O_BGA_22x22_PIN_AC14 == 0x7) { rtd_maskl(0xb8060244, ~((0x7)<<4), ((0x1&0x7)<<4)); }; // 7: uart1_rxdi_src1,<I>
	if (RTD287O_BGA_22x22_PIN_AC14 == 0x8) { rtd_maskl(0xb8060244, ~((0x7)<<0), ((0x1&0x7)<<0)); }; // 8: UARTRbus_RX_src1,<I>
	// PAD_NAME: pad_st_gpio_35_io 263
	rtd_maskl(0xB8060218, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_AB14 << 4) | (RTD287O_BGA_22x22_PIN_AB14_UP << 3) | (RTD287O_BGA_22x22_PIN_AB14_PD << 2) |(RTD287O_BGA_22x22_PIN_AB14_DS << 1) | (RTD287O_BGA_22x22_PIN_AB14_SR)) << 24));
	// PAD_NAME: pad_st_gpio_37_io 264
	rtd_maskl(0xB8060218, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_AB15 << 4) | (RTD287O_BGA_22x22_PIN_AB15_UP << 3) | (RTD287O_BGA_22x22_PIN_AB15_PD << 2) |(RTD287O_BGA_22x22_PIN_AB15_DS << 1) | (RTD287O_BGA_22x22_PIN_AB15_SR)) << 8));
	if (RTD287O_BGA_22x22_PIN_AB15 == 0x1) { rtd_maskl(0xb80008e8, ~((0x3)<<16), ((0x1&0x3)<<16)); }; // 1: TP0_SYNC_src1,<I>,<HS>
	// PAD_NAME: pad_st_gpio_39_io 265
	rtd_maskl(0xB806021C, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_AC15 << 4) | (RTD287O_BGA_22x22_PIN_AC15_UP << 3) | (RTD287O_BGA_22x22_PIN_AC15_PD << 2) |(RTD287O_BGA_22x22_PIN_AC15_DS << 1) | (RTD287O_BGA_22x22_PIN_AC15_SR)) << 24));
	if (RTD287O_BGA_22x22_PIN_AC15 == 0x0) { rtd_maskl(0xb80008e4, ~((0x3)<<28), ((0x1&0x3)<<28)); }; // 0: SPI_FCIC_DO_src1,<I/O>
	if (RTD287O_BGA_22x22_PIN_AC15 == 0x1) { rtd_maskl(0xb80008e8, ~((0x3)<<12), ((0x1&0x3)<<12)); }; // 1: TP0_VAL_src1,<I>,<HS>
	// PAD_NAME: pad_st_gpio_38_io 266
	rtd_maskl(0xB8060218, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_AC16 << 4) | (RTD287O_BGA_22x22_PIN_AC16_UP << 3) | (RTD287O_BGA_22x22_PIN_AC16_PD << 2) |(RTD287O_BGA_22x22_PIN_AC16_DS << 1) | (RTD287O_BGA_22x22_PIN_AC16_SR)) << 0));
	if (RTD287O_BGA_22x22_PIN_AC16 == 0x1) { rtd_maskl(0xb80008e4, ~((0x3)<<20), ((0x1&0x3)<<20)); }; // 1: TP0_CLK_src1,<I>,<HS>,<AND>
	// PAD_NAME: pad_st_gpio_40_io 267
	rtd_maskl(0xB806021C, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_AB16 << 4) | (RTD287O_BGA_22x22_PIN_AB16_UP << 3) | (RTD287O_BGA_22x22_PIN_AB16_PD << 2) |(RTD287O_BGA_22x22_PIN_AB16_DS << 1) | (RTD287O_BGA_22x22_PIN_AB16_SR)) << 16));
	if (RTD287O_BGA_22x22_PIN_AB16 == 0x0) { rtd_maskl(0xb80008e4, ~((0x3)<<28), ((0x1&0x3)<<28)); }; // 0: SPI_FCIC_DI_src1,<I/O>
	if (RTD287O_BGA_22x22_PIN_AB16 == 0x1) { rtd_maskl(0xb80008e4, ~((0x3)<<16), ((0x1&0x3)<<16)); }; // 1: TP0_Data_bit0_src1,<I>,<HS>
	// PAD_NAME: pad_st_gpio_42_io 268
	rtd_maskl(0xB806021C, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_AC17 << 4) | (RTD287O_BGA_22x22_PIN_AC17_UP << 3) | (RTD287O_BGA_22x22_PIN_AC17_PD << 2) |(RTD287O_BGA_22x22_PIN_AC17_DS << 1) | (RTD287O_BGA_22x22_PIN_AC17_SR)) << 0));
	if (RTD287O_BGA_22x22_PIN_AC17 == 0x1) { rtd_maskl(0xb80008e4, ~((0x3)<<8), ((0x1&0x3)<<8)); }; // 1: TP0_Data_bit2_src1,<I>,<HS>
	// PAD_NAME: pad_st_gpio_41_io 269
	rtd_maskl(0xB806021C, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_AB21 << 4) | (RTD287O_BGA_22x22_PIN_AB21_UP << 3) | (RTD287O_BGA_22x22_PIN_AB21_PD << 2) |(RTD287O_BGA_22x22_PIN_AB21_DS << 1) | (RTD287O_BGA_22x22_PIN_AB21_SR)) << 8));
	if (RTD287O_BGA_22x22_PIN_AB21 == 0x1) { rtd_maskl(0xb80008e4, ~((0x3)<<12), ((0x1&0x3)<<12)); }; // 1: TP0_Data_bit1_src1,<I>,<HS>
	// PAD_NAME: pad_st_gpio_43_io 270
	rtd_maskl(0xB8060220, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_AB17 << 4) | (RTD287O_BGA_22x22_PIN_AB17_UP << 3) | (RTD287O_BGA_22x22_PIN_AB17_PD << 2) |(RTD287O_BGA_22x22_PIN_AB17_DS << 1) | (RTD287O_BGA_22x22_PIN_AB17_SR)) << 24));
	if (RTD287O_BGA_22x22_PIN_AB17 == 0x1) { rtd_maskl(0xb80008e4, ~((0x3)<<4), ((0x1&0x3)<<4)); }; // 1: TP0_Data_bit3_src1,<I>,<HS>
	if (RTD287O_BGA_22x22_PIN_AB17 == 0xA) { rtd_maskl(0xb80008d8, ~((0x3)<<0), ((0x1&0x3)<<0)); }; // A: I2S_IN_Data3_src1,<I>
	if (RTD287O_BGA_22x22_PIN_AB17 == 0xB) { rtd_maskl(0xb8060244, ~((0x3)<<20), ((0x1&0x3)<<20)); }; // B: I2C5_SCL_src1,<I/O>
	// PAD_NAME: pad_st_gpio_45_io 271
	rtd_maskl(0xB8060220, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_AA22 << 4) | (RTD287O_BGA_22x22_PIN_AA22_UP << 3) | (RTD287O_BGA_22x22_PIN_AA22_PD << 2) |(RTD287O_BGA_22x22_PIN_AA22_DS << 1) | (RTD287O_BGA_22x22_PIN_AA22_SR)) << 8));
	if (RTD287O_BGA_22x22_PIN_AA22 == 0x1) { rtd_maskl(0xb80008e8, ~((0x3)<<28), ((0x1&0x3)<<28)); }; // 1: TP0_Data_bit5_src1,<I>,<HS>
	if (RTD287O_BGA_22x22_PIN_AA22 == 0xA) { rtd_maskl(0xb80008d8, ~((0x3)<<8), ((0x1&0x3)<<8)); }; // A: I2S_IN_Data1_src1,<I>
	// PAD_NAME: pad_st_gpio_44_io 272
	rtd_maskl(0xB8060220, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_AB22 << 4) | (RTD287O_BGA_22x22_PIN_AB22_UP << 3) | (RTD287O_BGA_22x22_PIN_AB22_PD << 2) |(RTD287O_BGA_22x22_PIN_AB22_DS << 1) | (RTD287O_BGA_22x22_PIN_AB22_SR)) << 16));
	if (RTD287O_BGA_22x22_PIN_AB22 == 0x1) { rtd_maskl(0xb80008e4, ~((0x3)<<0), ((0x1&0x3)<<0)); }; // 1: TP0_Data_bit4_src1,<I>,<HS>
	if (RTD287O_BGA_22x22_PIN_AB22 == 0xA) { rtd_maskl(0xb80008d8, ~((0x3)<<12), ((0x1&0x3)<<12)); }; // A: I2S_IN_Data0_src1,<I>
	// PAD_NAME: pad_st_gpio_46_io 273
	rtd_maskl(0xB8060220, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_AA21 << 4) | (RTD287O_BGA_22x22_PIN_AA21_UP << 3) | (RTD287O_BGA_22x22_PIN_AA21_PD << 2) |(RTD287O_BGA_22x22_PIN_AA21_DS << 1) | (RTD287O_BGA_22x22_PIN_AA21_SR)) << 0));
	if (RTD287O_BGA_22x22_PIN_AA21 == 0x1) { rtd_maskl(0xb80008e8, ~((0x3)<<24), ((0x1&0x3)<<24)); }; // 1: TP0_Data_bit6_src1,<I>,<HS>
	if (RTD287O_BGA_22x22_PIN_AA21 == 0xB) { rtd_maskl(0xb8060244, ~((0x3)<<16), ((0x1&0x3)<<16)); }; // B: I2C5_SDA_src1,<I/O>
	// PAD_NAME: pad_st_gpio_48_io 274
	rtd_maskl(0xB8060224, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_AC21 << 4) | (RTD287O_BGA_22x22_PIN_AC21_UP << 3) | (RTD287O_BGA_22x22_PIN_AC21_PD << 2) |(RTD287O_BGA_22x22_PIN_AC21_DS << 1) | (RTD287O_BGA_22x22_PIN_AC21_SR)) << 16));
	// PAD_NAME: pad_st_gpio_47_io 275
	rtd_maskl(0xB8060224, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_AC22 << 4) | (RTD287O_BGA_22x22_PIN_AC22_UP << 3) | (RTD287O_BGA_22x22_PIN_AC22_PD << 2) |(RTD287O_BGA_22x22_PIN_AC22_DS << 1) | (RTD287O_BGA_22x22_PIN_AC22_SR)) << 24));
	if (RTD287O_BGA_22x22_PIN_AC22 == 0x1) { rtd_maskl(0xb80008e8, ~((0x3)<<20), ((0x1&0x3)<<20)); }; // 1: TP0_Data_bit7_src1,<I>,<HS>
	if (RTD287O_BGA_22x22_PIN_AC22 == 0xA) { rtd_maskl(0xb80008d8, ~((0x3)<<4), ((0x1&0x3)<<4)); }; // A: I2S_IN_Data2_src1,<I>
	// PAD_NAME: pad_st_gpio_50_io 280
	rtd_maskl(0xB8060224, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_AC23 << 4) | (RTD287O_BGA_22x22_PIN_AC23_UP << 3) | (RTD287O_BGA_22x22_PIN_AC23_PD << 2) |(RTD287O_BGA_22x22_PIN_AC23_DS << 1) | (RTD287O_BGA_22x22_PIN_AC23_SR)) << 0));
	// PAD_NAME: pad_st_gpio_49_io 281
	rtd_maskl(0xB8060224, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_AC24 << 4) | (RTD287O_BGA_22x22_PIN_AC24_UP << 3) | (RTD287O_BGA_22x22_PIN_AC24_PD << 2) |(RTD287O_BGA_22x22_PIN_AC24_DS << 1) | (RTD287O_BGA_22x22_PIN_AC24_SR)) << 8));
	// PAD_NAME: pad_st_gpio_53_io 282
	rtd_maskl(0xB8060228, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_AB24 << 4) | (RTD287O_BGA_22x22_PIN_AB24_UP << 3) | (RTD287O_BGA_22x22_PIN_AB24_PD << 2) |(RTD287O_BGA_22x22_PIN_AB24_DS << 1) | (RTD287O_BGA_22x22_PIN_AB24_SR)) << 8));
	// PAD_NAME: pad_st_gpio_51_io 283
	rtd_maskl(0xB8060228, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_AB23 << 4) | (RTD287O_BGA_22x22_PIN_AB23_UP << 3) | (RTD287O_BGA_22x22_PIN_AB23_PD << 2) |(RTD287O_BGA_22x22_PIN_AB23_DS << 1) | (RTD287O_BGA_22x22_PIN_AB23_SR)) << 24));
	if (RTD287O_BGA_22x22_PIN_AB23 == 0xB) { rtd_maskl(0xb8060244, ~((0x3)<<28), ((0x1&0x3)<<28)); }; // B: I2C0_SCL_src1,<I/O>
	// PAD_NAME: pad_st_gpio_56_io 284
	rtd_maskl(0xB806022C, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_AA23 << 4) | (RTD287O_BGA_22x22_PIN_AA23_UP << 3) | (RTD287O_BGA_22x22_PIN_AA23_PD << 2) |(RTD287O_BGA_22x22_PIN_AA23_DS << 1) | (RTD287O_BGA_22x22_PIN_AA23_SR)) << 16));
	if (RTD287O_BGA_22x22_PIN_AA23 == 0x3) { rtd_maskl(0xb80008dc, ~((0x7)<<12), ((0x0&0x7)<<12)); }; // 3: ld_spi1_p2_sck_src0,<I/O>
	// PAD_NAME: pad_st_gpio_52_io 285
	rtd_maskl(0xB8060228, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_AA24 << 4) | (RTD287O_BGA_22x22_PIN_AA24_UP << 3) | (RTD287O_BGA_22x22_PIN_AA24_PD << 2) |(RTD287O_BGA_22x22_PIN_AA24_DS << 1) | (RTD287O_BGA_22x22_PIN_AA24_SR)) << 16));
	if (RTD287O_BGA_22x22_PIN_AA24 == 0xB) { rtd_maskl(0xb8060244, ~((0x3)<<24), ((0x1&0x3)<<24)); }; // B: I2C0_SDA_src1,<I/O>
	// PAD_NAME: pad_st_gpio_54_io 286
	rtd_maskl(0xB8060228, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_Y23 << 4) | (RTD287O_BGA_22x22_PIN_Y23_UP << 3) | (RTD287O_BGA_22x22_PIN_Y23_PD << 2) |(RTD287O_BGA_22x22_PIN_Y23_DS << 1) | (RTD287O_BGA_22x22_PIN_Y23_SR)) << 0));
	if (RTD287O_BGA_22x22_PIN_Y23 == 0x3) { rtd_maskl(0xb80008dc, ~((0x7)<<4), ((0x0&0x7)<<4)); }; // 3: ld_spi1_p4_sdi_src0,<I>
	// PAD_NAME: pad_st_gpio_59_io 287
	rtd_maskl(0xB8060230, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_Y24 << 4) | (RTD287O_BGA_22x22_PIN_Y24_UP << 3) | (RTD287O_BGA_22x22_PIN_Y24_PD << 2) |(RTD287O_BGA_22x22_PIN_Y24_DS << 1) | (RTD287O_BGA_22x22_PIN_Y24_SR)) << 24));
	// PAD_NAME: pad_st_gpio_55_io 288
	rtd_maskl(0xB806022C, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_W24 << 4) | (RTD287O_BGA_22x22_PIN_W24_UP << 3) | (RTD287O_BGA_22x22_PIN_W24_PD << 2) |(RTD287O_BGA_22x22_PIN_W24_DS << 1) | (RTD287O_BGA_22x22_PIN_W24_SR)) << 24));
	if (RTD287O_BGA_22x22_PIN_W24 == 0x3) { rtd_maskl(0xb80008dc, ~((0x7)<<8), ((0x0&0x7)<<8)); }; // 3: ld_spi1_p3_sdo_src0,<I/O>
	// PAD_NAME: pad_st_gpio_57_io 290
	rtd_maskl(0xB806022C, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_W23 << 4) | (RTD287O_BGA_22x22_PIN_W23_UP << 3) | (RTD287O_BGA_22x22_PIN_W23_PD << 2) |(RTD287O_BGA_22x22_PIN_W23_DS << 1) | (RTD287O_BGA_22x22_PIN_W23_SR)) << 8));
	// PAD_NAME: pad_st_gpio_58_io 292
	rtd_maskl(0xB806022C, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_V24 << 4) | (RTD287O_BGA_22x22_PIN_V24_UP << 3) | (RTD287O_BGA_22x22_PIN_V24_PD << 2) |(RTD287O_BGA_22x22_PIN_V24_DS << 1) | (RTD287O_BGA_22x22_PIN_V24_SR)) << 0));
	// PAD_NAME: pad_st_gpio_60_io 293
	rtd_maskl(0xB8060230, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_V23 << 4) | (RTD287O_BGA_22x22_PIN_V23_UP << 3) | (RTD287O_BGA_22x22_PIN_V23_PD << 2) |(RTD287O_BGA_22x22_PIN_V23_DS << 1) | (RTD287O_BGA_22x22_PIN_V23_SR)) << 16));
	// PAD_NAME: pad_emmc_rst_n_io:IO 458
	rtd_maskl(0xB8000860, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_AD26 << 4) | (RTD287O_BGA_22x22_PIN_AD26_UP << 3) | (RTD287O_BGA_22x22_PIN_AD26_PD << 2) |(RTD287O_BGA_22x22_PIN_AD26_DS << 1) | (RTD287O_BGA_22x22_PIN_AD26_SR)) << 24));
	// PAD_NAME: pad_emmc_clk_io:IO 461
	rtd_maskl(0xB8000860, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_AE27 << 4) | (RTD287O_BGA_22x22_PIN_AE27_UP << 3) | (RTD287O_BGA_22x22_PIN_AE27_PD << 2) |(RTD287O_BGA_22x22_PIN_AE27_DS << 1) | (RTD287O_BGA_22x22_PIN_AE27_SR)) << 16));
	// PAD_NAME: pad_emmc_cmd_io:IO 464
	rtd_maskl(0xB8000860, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_AD27 << 4) | (RTD287O_BGA_22x22_PIN_AD27_UP << 3) | (RTD287O_BGA_22x22_PIN_AD27_PD << 2) |(RTD287O_BGA_22x22_PIN_AD27_DS << 1) | (RTD287O_BGA_22x22_PIN_AD27_SR)) << 8));
	// PAD_NAME: pad_emmc_ds_io 465
	rtd_maskl(0xB8000860, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_AC25 << 4) | (RTD287O_BGA_22x22_PIN_AC25_UP << 3) | (RTD287O_BGA_22x22_PIN_AC25_PD << 2) |(RTD287O_BGA_22x22_PIN_AC25_DS << 1) | (RTD287O_BGA_22x22_PIN_AC25_SR)) << 0));
	// PAD_NAME: pad_emmc_d5_io:IO 467
	rtd_maskl(0xB8000864, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_AC26 << 4) | (RTD287O_BGA_22x22_PIN_AC26_UP << 3) | (RTD287O_BGA_22x22_PIN_AC26_PD << 2) |(RTD287O_BGA_22x22_PIN_AC26_DS << 1) | (RTD287O_BGA_22x22_PIN_AC26_SR)) << 24));
	// PAD_NAME: pad_emmc_d3_io 468
	rtd_maskl(0xB8000864, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_AB25 << 4) | (RTD287O_BGA_22x22_PIN_AB25_UP << 3) | (RTD287O_BGA_22x22_PIN_AB25_PD << 2) |(RTD287O_BGA_22x22_PIN_AB25_DS << 1) | (RTD287O_BGA_22x22_PIN_AB25_SR)) << 16));
	// PAD_NAME: pad_emmc_d4_io:IO 470
	rtd_maskl(0xB8000864, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_AB26 << 4) | (RTD287O_BGA_22x22_PIN_AB26_UP << 3) | (RTD287O_BGA_22x22_PIN_AB26_PD << 2) |(RTD287O_BGA_22x22_PIN_AB26_DS << 1) | (RTD287O_BGA_22x22_PIN_AB26_SR)) << 8));
	// PAD_NAME: pad_emmc_d0_io 471
	rtd_maskl(0xB8000864, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_AB27 << 4) | (RTD287O_BGA_22x22_PIN_AB27_UP << 3) | (RTD287O_BGA_22x22_PIN_AB27_PD << 2) |(RTD287O_BGA_22x22_PIN_AB27_DS << 1) | (RTD287O_BGA_22x22_PIN_AB27_SR)) << 0));
	// PAD_NAME: pad_emmc_d1_io:IO 476
	rtd_maskl(0xB8000868, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_AA25 << 4) | (RTD287O_BGA_22x22_PIN_AA25_UP << 3) | (RTD287O_BGA_22x22_PIN_AA25_PD << 2) |(RTD287O_BGA_22x22_PIN_AA25_DS << 1) | (RTD287O_BGA_22x22_PIN_AA25_SR)) << 24));
	// PAD_NAME: pad_emmc_d2_io 477
	rtd_maskl(0xB8000868, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_AA27 << 4) | (RTD287O_BGA_22x22_PIN_AA27_UP << 3) | (RTD287O_BGA_22x22_PIN_AA27_PD << 2) |(RTD287O_BGA_22x22_PIN_AA27_DS << 1) | (RTD287O_BGA_22x22_PIN_AA27_SR)) << 16));
	// PAD_NAME: pad_emmc_d7_io:IO 479
	rtd_maskl(0xB8000868, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_AA26 << 4) | (RTD287O_BGA_22x22_PIN_AA26_UP << 3) | (RTD287O_BGA_22x22_PIN_AA26_PD << 2) |(RTD287O_BGA_22x22_PIN_AA26_DS << 1) | (RTD287O_BGA_22x22_PIN_AA26_SR)) << 8));
	// PAD_NAME: pad_emmc_d6_io 480
	rtd_maskl(0xB8000868, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_Y25 << 4) | (RTD287O_BGA_22x22_PIN_Y25_UP << 3) | (RTD287O_BGA_22x22_PIN_Y25_PD << 2) |(RTD287O_BGA_22x22_PIN_Y25_DS << 1) | (RTD287O_BGA_22x22_PIN_Y25_SR)) << 0));
	// PAD_NAME: pad_gpio_95_io 495
	rtd_maskl(0xB8000880, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_Y26 << 4) | (RTD287O_BGA_22x22_PIN_Y26_UP << 3) | (RTD287O_BGA_22x22_PIN_Y26_PD << 2) |(RTD287O_BGA_22x22_PIN_Y26_DS << 1) | (RTD287O_BGA_22x22_PIN_Y26_SR)) << 24));
	// PAD_NAME: pad_gpio_96_io 496
	rtd_maskl(0xB8000880, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_W25 << 4) | (RTD287O_BGA_22x22_PIN_W25_UP << 3) | (RTD287O_BGA_22x22_PIN_W25_PD << 2) |(RTD287O_BGA_22x22_PIN_W25_DS << 1) | (RTD287O_BGA_22x22_PIN_W25_SR)) << 16));
	// PAD_NAME: pad_gpio_97_io 500
	rtd_maskl(0xB8000880, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_W26 << 4) | (RTD287O_BGA_22x22_PIN_W26_UP << 3) | (RTD287O_BGA_22x22_PIN_W26_PD << 2) |(RTD287O_BGA_22x22_PIN_W26_DS << 1) | (RTD287O_BGA_22x22_PIN_W26_SR)) << 8));
	// PAD_NAME: pad_gpio_98_io 501
	rtd_maskl(0xB8000880, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_V25 << 4) | (RTD287O_BGA_22x22_PIN_V25_UP << 3) | (RTD287O_BGA_22x22_PIN_V25_PD << 2) |(RTD287O_BGA_22x22_PIN_V25_DS << 1) | (RTD287O_BGA_22x22_PIN_V25_SR)) << 0));
	// PAD_NAME: pad_gpio_99_io 502
	rtd_maskl(0xB8000884, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_V27 << 4) | (RTD287O_BGA_22x22_PIN_V27_UP << 3) | (RTD287O_BGA_22x22_PIN_V27_PD << 2) |(RTD287O_BGA_22x22_PIN_V27_DS << 1) | (RTD287O_BGA_22x22_PIN_V27_SR)) << 24));
	// PAD_NAME: pad_gpio_100_io 503
	rtd_maskl(0xB8000884, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_V26 << 4) | (RTD287O_BGA_22x22_PIN_V26_UP << 3) | (RTD287O_BGA_22x22_PIN_V26_PD << 2) |(RTD287O_BGA_22x22_PIN_V26_DS << 1) | (RTD287O_BGA_22x22_PIN_V26_SR)) << 16));
	// PAD_NAME: pad_gpio_101_io 504
	rtd_maskl(0xB8000884, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_U25 << 4) | (RTD287O_BGA_22x22_PIN_U25_UP << 3) | (RTD287O_BGA_22x22_PIN_U25_PD << 2) |(RTD287O_BGA_22x22_PIN_U25_DS << 1) | (RTD287O_BGA_22x22_PIN_U25_SR)) << 8));
	// PAD_NAME: pad_gpio_102_io 505
	rtd_maskl(0xB8000884, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_U26 << 4) | (RTD287O_BGA_22x22_PIN_U26_UP << 3) | (RTD287O_BGA_22x22_PIN_U26_PD << 2) |(RTD287O_BGA_22x22_PIN_U26_DS << 1) | (RTD287O_BGA_22x22_PIN_U26_SR)) << 0));
	// PAD_NAME: pad_gpio_103_io 508
	rtd_maskl(0xB8000888, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_U24 << 4) | (RTD287O_BGA_22x22_PIN_U24_UP << 3) | (RTD287O_BGA_22x22_PIN_U24_PD << 2) |(RTD287O_BGA_22x22_PIN_U24_DS << 1) | (RTD287O_BGA_22x22_PIN_U24_SR)) << 24));
	// PAD_NAME: pad_gpio_104_io 509
	rtd_maskl(0xB8000888, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_U23 << 4) | (RTD287O_BGA_22x22_PIN_U23_UP << 3) | (RTD287O_BGA_22x22_PIN_U23_PD << 2) |(RTD287O_BGA_22x22_PIN_U23_DS << 1) | (RTD287O_BGA_22x22_PIN_U23_SR)) << 16));
	// PAD_NAME: pad_gpio_105_io 510
	rtd_maskl(0xB8000888, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_T25 << 4) | (RTD287O_BGA_22x22_PIN_T25_UP << 3) | (RTD287O_BGA_22x22_PIN_T25_PD << 2) |(RTD287O_BGA_22x22_PIN_T25_DS << 1) | (RTD287O_BGA_22x22_PIN_T25_SR)) << 8));
	// PAD_NAME: pad_gpio_106_io 511
	rtd_maskl(0xB8000888, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_T26 << 4) | (RTD287O_BGA_22x22_PIN_T26_UP << 3) | (RTD287O_BGA_22x22_PIN_T26_PD << 2) |(RTD287O_BGA_22x22_PIN_T26_DS << 1) | (RTD287O_BGA_22x22_PIN_T26_SR)) << 0));
	// PAD_NAME: pad_gpio_107_io 512
	rtd_maskl(0xB800088C, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_T27 << 4) | (RTD287O_BGA_22x22_PIN_T27_UP << 3) | (RTD287O_BGA_22x22_PIN_T27_PD << 2) |(RTD287O_BGA_22x22_PIN_T27_DS << 1) | (RTD287O_BGA_22x22_PIN_T27_SR)) << 24));
	// PAD_NAME: pad_gpio_108_io 513
	rtd_maskl(0xB800088C, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_T24 << 4) | (RTD287O_BGA_22x22_PIN_T24_UP << 3) | (RTD287O_BGA_22x22_PIN_T24_PD << 2) |(RTD287O_BGA_22x22_PIN_T24_DS << 1) | (RTD287O_BGA_22x22_PIN_T24_SR)) << 16));
	// PAD_NAME: pad_gpio_109_io 514
	rtd_maskl(0xB800088C, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_T23 << 4) | (RTD287O_BGA_22x22_PIN_T23_UP << 3) | (RTD287O_BGA_22x22_PIN_T23_PD << 2) |(RTD287O_BGA_22x22_PIN_T23_DS << 1) | (RTD287O_BGA_22x22_PIN_T23_SR)) << 8));
	// PAD_NAME: pad_gpio_110_io 515
	rtd_maskl(0xB800088C, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_R25 << 4) | (RTD287O_BGA_22x22_PIN_R25_UP << 3) | (RTD287O_BGA_22x22_PIN_R25_PD << 2) |(RTD287O_BGA_22x22_PIN_R25_DS << 1) | (RTD287O_BGA_22x22_PIN_R25_SR)) << 0));
	// PAD_NAME: pad_gpio_111_io 517
	rtd_maskl(0xB8000890, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_R27 << 4) | (RTD287O_BGA_22x22_PIN_R27_UP << 3) | (RTD287O_BGA_22x22_PIN_R27_PD << 2) |(RTD287O_BGA_22x22_PIN_R27_DS << 1) | (RTD287O_BGA_22x22_PIN_R27_SR)) << 24));
	// PAD_NAME: pad_gpio_113_io 518
	rtd_maskl(0xB8000890, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_R24 << 4) | (RTD287O_BGA_22x22_PIN_R24_UP << 3) | (RTD287O_BGA_22x22_PIN_R24_PD << 2) |(RTD287O_BGA_22x22_PIN_R24_DS << 1) | (RTD287O_BGA_22x22_PIN_R24_SR)) << 8));
	// PAD_NAME: pad_gpio_114_io 519
	rtd_maskl(0xB8000890, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_R23 << 4) | (RTD287O_BGA_22x22_PIN_R23_UP << 3) | (RTD287O_BGA_22x22_PIN_R23_PD << 2) |(RTD287O_BGA_22x22_PIN_R23_DS << 1) | (RTD287O_BGA_22x22_PIN_R23_SR)) << 0));
	// PAD_NAME: pad_gpio_112_io 520
	rtd_maskl(0xB8000890, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_R26 << 4) | (RTD287O_BGA_22x22_PIN_R26_UP << 3) | (RTD287O_BGA_22x22_PIN_R26_PD << 2) |(RTD287O_BGA_22x22_PIN_R26_DS << 1) | (RTD287O_BGA_22x22_PIN_R26_SR)) << 16));
	// PAD_NAME: pad_gpio_116_io 521
	rtd_maskl(0xB8000894, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_P26 << 4) | (RTD287O_BGA_22x22_PIN_P26_UP << 3) | (RTD287O_BGA_22x22_PIN_P26_PD << 2) |(RTD287O_BGA_22x22_PIN_P26_DS << 1) | (RTD287O_BGA_22x22_PIN_P26_SR)) << 16));
	// PAD_NAME: pad_gpio_117_io 522
	rtd_maskl(0xB8000894, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_P24 << 4) | (RTD287O_BGA_22x22_PIN_P24_UP << 3) | (RTD287O_BGA_22x22_PIN_P24_PD << 2) |(RTD287O_BGA_22x22_PIN_P24_DS << 1) | (RTD287O_BGA_22x22_PIN_P24_SR)) << 8));
	// PAD_NAME: pad_gpio_115_io 523
	rtd_maskl(0xB8000894, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_P25 << 4) | (RTD287O_BGA_22x22_PIN_P25_UP << 3) | (RTD287O_BGA_22x22_PIN_P25_PD << 2) |(RTD287O_BGA_22x22_PIN_P25_DS << 1) | (RTD287O_BGA_22x22_PIN_P25_SR)) << 24));
	// PAD_NAME: pad_gpio_119_io 524
	rtd_maskl(0xB8000898, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_N25 << 4) | (RTD287O_BGA_22x22_PIN_N25_UP << 3) | (RTD287O_BGA_22x22_PIN_N25_PD << 2) |(RTD287O_BGA_22x22_PIN_N25_DS << 1) | (RTD287O_BGA_22x22_PIN_N25_SR)) << 24));
	// PAD_NAME: pad_gpio_120_io 525
	rtd_maskl(0xB8000898, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_N26 << 4) | (RTD287O_BGA_22x22_PIN_N26_UP << 3) | (RTD287O_BGA_22x22_PIN_N26_PD << 2) |(RTD287O_BGA_22x22_PIN_N26_DS << 1) | (RTD287O_BGA_22x22_PIN_N26_SR)) << 16));
	// PAD_NAME: pad_gpio_121_io 526
	rtd_maskl(0xB8000898, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_N27 << 4) | (RTD287O_BGA_22x22_PIN_N27_UP << 3) | (RTD287O_BGA_22x22_PIN_N27_PD << 2) |(RTD287O_BGA_22x22_PIN_N27_DS << 1) | (RTD287O_BGA_22x22_PIN_N27_SR)) << 8));
	// PAD_NAME: pad_gpio_118_io 527
	rtd_maskl(0xB8000894, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_P23 << 4) | (RTD287O_BGA_22x22_PIN_P23_UP << 3) | (RTD287O_BGA_22x22_PIN_P23_PD << 2) |(RTD287O_BGA_22x22_PIN_P23_DS << 1) | (RTD287O_BGA_22x22_PIN_P23_SR)) << 0));
	// PAD_NAME: pad_gpio_123_io 532
	rtd_maskl(0xB800089C, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_N23 << 4) | (RTD287O_BGA_22x22_PIN_N23_UP << 3) | (RTD287O_BGA_22x22_PIN_N23_PD << 2) |(RTD287O_BGA_22x22_PIN_N23_DS << 1) | (RTD287O_BGA_22x22_PIN_N23_SR)) << 24));
	// PAD_NAME: pad_gpio_124_io 533
	rtd_maskl(0xB800089C, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_M25 << 4) | (RTD287O_BGA_22x22_PIN_M25_UP << 3) | (RTD287O_BGA_22x22_PIN_M25_PD << 2) |(RTD287O_BGA_22x22_PIN_M25_DS << 1) | (RTD287O_BGA_22x22_PIN_M25_SR)) << 16));
	// PAD_NAME: pad_gpio_122_io 534
	rtd_maskl(0xB8000898, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_N24 << 4) | (RTD287O_BGA_22x22_PIN_N24_UP << 3) | (RTD287O_BGA_22x22_PIN_N24_PD << 2) |(RTD287O_BGA_22x22_PIN_N24_DS << 1) | (RTD287O_BGA_22x22_PIN_N24_SR)) << 0));
	// PAD_NAME: pad_gpio_126_io 535
	rtd_maskl(0xB800089C, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_M26 << 4) | (RTD287O_BGA_22x22_PIN_M26_UP << 3) | (RTD287O_BGA_22x22_PIN_M26_PD << 2) |(RTD287O_BGA_22x22_PIN_M26_DS << 1) | (RTD287O_BGA_22x22_PIN_M26_SR)) << 0));
	if (RTD287O_BGA_22x22_PIN_M26 == 0x7) { rtd_maskl(0xb80008dc, ~((0x3)<<20), ((0x2&0x3)<<20)); }; // 7: ld_spi0_p3_sdo_src2,<I/O>
	// PAD_NAME: pad_gpio_127_io 536
	rtd_maskl(0xB80008A0, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_M24 << 4) | (RTD287O_BGA_22x22_PIN_M24_UP << 3) | (RTD287O_BGA_22x22_PIN_M24_PD << 2) |(RTD287O_BGA_22x22_PIN_M24_DS << 1) | (RTD287O_BGA_22x22_PIN_M24_SR)) << 24));
	if (RTD287O_BGA_22x22_PIN_M24 == 0x7) { rtd_maskl(0xb80008dc, ~((0x3)<<16), ((0x2&0x3)<<16)); }; // 7: ld_spi0_p4_sdi_src2,<I>
	// PAD_NAME: pad_gpio_125_io 537
	rtd_maskl(0xB800089C, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_M27 << 4) | (RTD287O_BGA_22x22_PIN_M27_UP << 3) | (RTD287O_BGA_22x22_PIN_M27_PD << 2) |(RTD287O_BGA_22x22_PIN_M27_DS << 1) | (RTD287O_BGA_22x22_PIN_M27_SR)) << 8));
	if (RTD287O_BGA_22x22_PIN_M27 == 0x7) { rtd_maskl(0xb80008dc, ~((0x3)<<24), ((0x2&0x3)<<24)); }; // 7: ld_spi0_p2_sck_src2,<I/O>
	// PAD_NAME: pad_gpio_129_io 538
	rtd_maskl(0xB80008A0, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_L25 << 4) | (RTD287O_BGA_22x22_PIN_L25_UP << 3) | (RTD287O_BGA_22x22_PIN_L25_PD << 2) |(RTD287O_BGA_22x22_PIN_L25_DS << 1) | (RTD287O_BGA_22x22_PIN_L25_SR)) << 8));
	// PAD_NAME: pad_gpio_130_io 539
	rtd_maskl(0xB80008A0, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_L26 << 4) | (RTD287O_BGA_22x22_PIN_L26_UP << 3) | (RTD287O_BGA_22x22_PIN_L26_PD << 2) |(RTD287O_BGA_22x22_PIN_L26_DS << 1) | (RTD287O_BGA_22x22_PIN_L26_SR)) << 0));
	// PAD_NAME: pad_gpio_128_io 540
	rtd_maskl(0xB80008A0, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_M23 << 4) | (RTD287O_BGA_22x22_PIN_M23_UP << 3) | (RTD287O_BGA_22x22_PIN_M23_PD << 2) |(RTD287O_BGA_22x22_PIN_M23_DS << 1) | (RTD287O_BGA_22x22_PIN_M23_SR)) << 16));
	// PAD_NAME: pad_gpio_132_io 541
	rtd_maskl(0xB80008A4, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_L23 << 4) | (RTD287O_BGA_22x22_PIN_L23_UP << 3) | (RTD287O_BGA_22x22_PIN_L23_PD << 2) |(RTD287O_BGA_22x22_PIN_L23_DS << 1) | (RTD287O_BGA_22x22_PIN_L23_SR)) << 16));
	// PAD_NAME: pad_gpio_133_io 542
	rtd_maskl(0xB80008A4, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_K25 << 4) | (RTD287O_BGA_22x22_PIN_K25_UP << 3) | (RTD287O_BGA_22x22_PIN_K25_PD << 2) |(RTD287O_BGA_22x22_PIN_K25_DS << 1) | (RTD287O_BGA_22x22_PIN_K25_SR)) << 8));
	if (RTD287O_BGA_22x22_PIN_K25 == 0x7) { rtd_maskl(0xb80008dc, ~((0x7)<<12), ((0x3&0x7)<<12)); }; // 7: ld_spi1_p2_sck_src3,<I/O>
	// PAD_NAME: pad_gpio_131_io 543
	rtd_maskl(0xB80008A4, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_L24 << 4) | (RTD287O_BGA_22x22_PIN_L24_UP << 3) | (RTD287O_BGA_22x22_PIN_L24_PD << 2) |(RTD287O_BGA_22x22_PIN_L24_DS << 1) | (RTD287O_BGA_22x22_PIN_L24_SR)) << 24));
	// PAD_NAME: pad_gpio_135_io 544
	rtd_maskl(0xB80008A8, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_K27 << 4) | (RTD287O_BGA_22x22_PIN_K27_UP << 3) | (RTD287O_BGA_22x22_PIN_K27_PD << 2) |(RTD287O_BGA_22x22_PIN_K27_DS << 1) | (RTD287O_BGA_22x22_PIN_K27_SR)) << 24));
	if (RTD287O_BGA_22x22_PIN_K27 == 0x7) { rtd_maskl(0xb80008dc, ~((0x7)<<4), ((0x3&0x7)<<4)); }; // 7: ld_spi1_p4_sdi_src3,<I>
	// PAD_NAME: pad_gpio_136_io 545
	rtd_maskl(0xB80008A8, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_K24 << 4) | (RTD287O_BGA_22x22_PIN_K24_UP << 3) | (RTD287O_BGA_22x22_PIN_K24_PD << 2) |(RTD287O_BGA_22x22_PIN_K24_DS << 1) | (RTD287O_BGA_22x22_PIN_K24_SR)) << 16));
	// PAD_NAME: pad_gpio_134_io 546
	rtd_maskl(0xB80008A4, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_K26 << 4) | (RTD287O_BGA_22x22_PIN_K26_UP << 3) | (RTD287O_BGA_22x22_PIN_K26_PD << 2) |(RTD287O_BGA_22x22_PIN_K26_DS << 1) | (RTD287O_BGA_22x22_PIN_K26_SR)) << 0));
	if (RTD287O_BGA_22x22_PIN_K26 == 0x1) { rtd_maskl(0xb80008e8, ~((0x3)<<8), ((0x0&0x3)<<8)); }; // 1: TP1_CLK_src0,<I>,<HS>,<AND>
	if (RTD287O_BGA_22x22_PIN_K26 == 0x7) { rtd_maskl(0xb80008dc, ~((0x7)<<8), ((0x3&0x7)<<8)); }; // 7: ld_spi1_p3_sdo_src3,<I/O>
	// PAD_NAME: pad_gpio_138_io 547
	rtd_maskl(0xB80008A8, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_J25 << 4) | (RTD287O_BGA_22x22_PIN_J25_UP << 3) | (RTD287O_BGA_22x22_PIN_J25_PD << 2) |(RTD287O_BGA_22x22_PIN_J25_DS << 1) | (RTD287O_BGA_22x22_PIN_J25_SR)) << 0));
	// PAD_NAME: pad_gpio_139_io 548
	rtd_maskl(0xB80008AC, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_J27 << 4) | (RTD287O_BGA_22x22_PIN_J27_UP << 3) | (RTD287O_BGA_22x22_PIN_J27_PD << 2) |(RTD287O_BGA_22x22_PIN_J27_DS << 1) | (RTD287O_BGA_22x22_PIN_J27_SR)) << 24));
	// PAD_NAME: pad_gpio_137_io 549
	rtd_maskl(0xB80008A8, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_K23 << 4) | (RTD287O_BGA_22x22_PIN_K23_UP << 3) | (RTD287O_BGA_22x22_PIN_K23_PD << 2) |(RTD287O_BGA_22x22_PIN_K23_DS << 1) | (RTD287O_BGA_22x22_PIN_K23_SR)) << 8));
	// PAD_NAME: pad_gpio_141_io 550
	rtd_maskl(0xB80008AC, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_J24 << 4) | (RTD287O_BGA_22x22_PIN_J24_UP << 3) | (RTD287O_BGA_22x22_PIN_J24_PD << 2) |(RTD287O_BGA_22x22_PIN_J24_DS << 1) | (RTD287O_BGA_22x22_PIN_J24_SR)) << 8));
	if (RTD287O_BGA_22x22_PIN_J24 == 0x7) { rtd_maskl(0xb80008dc, ~((0x3)<<24), ((0x3&0x3)<<24)); }; // 7: ld_spi0_p2_sck_src3,<I/O>
	// PAD_NAME: pad_gpio_142_io 551
	rtd_maskl(0xB80008AC, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_J23 << 4) | (RTD287O_BGA_22x22_PIN_J23_UP << 3) | (RTD287O_BGA_22x22_PIN_J23_PD << 2) |(RTD287O_BGA_22x22_PIN_J23_DS << 1) | (RTD287O_BGA_22x22_PIN_J23_SR)) << 0));
	// PAD_NAME: pad_gpio_140_io 552
	rtd_maskl(0xB80008AC, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_J26 << 4) | (RTD287O_BGA_22x22_PIN_J26_UP << 3) | (RTD287O_BGA_22x22_PIN_J26_PD << 2) |(RTD287O_BGA_22x22_PIN_J26_DS << 1) | (RTD287O_BGA_22x22_PIN_J26_SR)) << 16));
	// PAD_NAME: pad_gpio_144_io 553
	rtd_maskl(0xB80008B0, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_G25 << 4) | (RTD287O_BGA_22x22_PIN_G25_UP << 3) | (RTD287O_BGA_22x22_PIN_G25_PD << 2) |(RTD287O_BGA_22x22_PIN_G25_DS << 1) | (RTD287O_BGA_22x22_PIN_G25_SR)) << 16));
	if (RTD287O_BGA_22x22_PIN_G25 == 0x1) { rtd_maskl(0xb80008ec, ~((0x3)<<28), ((0x0&0x3)<<28)); }; // 1: TP1_VAL_src0,<I>,<HS>
	if (RTD287O_BGA_22x22_PIN_G25 == 0x2) { rtd_maskl(0xb80008e0, ~((0x3)<<0), ((0x2&0x3)<<0)); }; // 2: SD_WP_src2,<I>,<HS>
	if (RTD287O_BGA_22x22_PIN_G25 == 0x7) { rtd_maskl(0xb80008dc, ~((0x3)<<16), ((0x3&0x3)<<16)); }; // 7: ld_spi0_p4_sdi_src3,<I>
	if (RTD287O_BGA_22x22_PIN_G25 == 0x8) { rtd_maskl(0xb80008e0, ~((0x3)<<28), ((0x0&0x3)<<28)); }; // 8: SC_DATA_src0,<I/O>
	// PAD_NAME: pad_gpio_145_io 554
	rtd_maskl(0xB80008B0, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_H25 << 4) | (RTD287O_BGA_22x22_PIN_H25_UP << 3) | (RTD287O_BGA_22x22_PIN_H25_PD << 2) |(RTD287O_BGA_22x22_PIN_H25_DS << 1) | (RTD287O_BGA_22x22_PIN_H25_SR)) << 8));
	if (RTD287O_BGA_22x22_PIN_H25 == 0x2) { rtd_maskl(0xb80008e0, ~((0x3)<<0), ((0x2&0x3)<<0)); }; // 2: SD_CD_src2,<I>,<HS>
	// PAD_NAME: pad_gpio_143_io 555
	rtd_maskl(0xB80008B0, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_H26 << 4) | (RTD287O_BGA_22x22_PIN_H26_UP << 3) | (RTD287O_BGA_22x22_PIN_H26_PD << 2) |(RTD287O_BGA_22x22_PIN_H26_DS << 1) | (RTD287O_BGA_22x22_PIN_H26_SR)) << 24));
	if (RTD287O_BGA_22x22_PIN_H26 == 0x7) { rtd_maskl(0xb80008dc, ~((0x3)<<20), ((0x3&0x3)<<20)); }; // 7: ld_spi0_p3_sdo_src3,<I/O>
	// PAD_NAME: pad_gpio_146_io 577
	rtd_maskl(0xB80008B0, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_H24 << 4) | (RTD287O_BGA_22x22_PIN_H24_UP << 3) | (RTD287O_BGA_22x22_PIN_H24_PD << 2) |(RTD287O_BGA_22x22_PIN_H24_DS << 1) | (RTD287O_BGA_22x22_PIN_H24_SR)) << 0));
	if (RTD287O_BGA_22x22_PIN_H24 == 0x1) { rtd_maskl(0xb80008e8, ~((0x3)<<0), ((0x0&0x3)<<0)); }; // 1: TP1_SYNC_src0,<I>,<HS>
	// PAD_NAME: pad_gpio_147_io 578
	rtd_maskl(0xB80008B4, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_G26 << 4) | (RTD287O_BGA_22x22_PIN_G26_UP << 3) | (RTD287O_BGA_22x22_PIN_G26_PD << 2) |(RTD287O_BGA_22x22_PIN_G26_DS << 1) | (RTD287O_BGA_22x22_PIN_G26_SR)) << 24));
	if (RTD287O_BGA_22x22_PIN_G26 == 0x8) { rtd_maskl(0xb80008dc, ~((0x3)<<0), ((0x0&0x3)<<0)); }; // 8: SC_CD_src0,<I>
	// PAD_NAME: pad_gpio_148_io 579
	rtd_maskl(0xB80008B4, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_G27 << 4) | (RTD287O_BGA_22x22_PIN_G27_UP << 3) | (RTD287O_BGA_22x22_PIN_G27_PD << 2) |(RTD287O_BGA_22x22_PIN_G27_DS << 1) | (RTD287O_BGA_22x22_PIN_G27_SR)) << 16));
	if (RTD287O_BGA_22x22_PIN_G27 == 0x1) { rtd_maskl(0xb80008e8, ~((0x3)<<4), ((0x0&0x3)<<4)); }; // 1: TP1_Data_bit0_src0,<I>,<HS>
	if (RTD287O_BGA_22x22_PIN_G27 == 0x8) { rtd_maskl(0xb80008e0, ~((0x3)<<28), ((0x1&0x3)<<28)); }; // 8: SC_DATA_src1,<I/O>
	// PAD_NAME: pad_gpio_149_io 580
	rtd_maskl(0xB80008B4, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_F25 << 4) | (RTD287O_BGA_22x22_PIN_F25_UP << 3) | (RTD287O_BGA_22x22_PIN_F25_PD << 2) |(RTD287O_BGA_22x22_PIN_F25_DS << 1) | (RTD287O_BGA_22x22_PIN_F25_SR)) << 8));
	// PAD_NAME: pad_gpio_150_io 581
	rtd_maskl(0xB80008B4, 0xFFFFFF00, (((RTD287O_BGA_22x22_PIN_F27 << 4) | (RTD287O_BGA_22x22_PIN_F27_UP << 3) | (RTD287O_BGA_22x22_PIN_F27_PD << 2) |(RTD287O_BGA_22x22_PIN_F27_DS << 1) | (RTD287O_BGA_22x22_PIN_F27_SR)) << 0));
	// PAD_NAME: pad_gpio_151_io 582
	rtd_maskl(0xB80008B8, 0x00FFFFFF, (((RTD287O_BGA_22x22_PIN_F26 << 4) | (RTD287O_BGA_22x22_PIN_F26_UP << 3) | (RTD287O_BGA_22x22_PIN_F26_PD << 2) |(RTD287O_BGA_22x22_PIN_F26_DS << 1) | (RTD287O_BGA_22x22_PIN_F26_SR)) << 24));
	if (RTD287O_BGA_22x22_PIN_F26 == 0x8) { rtd_maskl(0xb80008dc, ~((0x3)<<0), ((0x1&0x3)<<0)); }; // 8: SC_CD_src1,<I>
	// PAD_NAME: pad_gpio_152_io 583
	rtd_maskl(0xB80008B8, 0xFF00FFFF, (((RTD287O_BGA_22x22_PIN_E25 << 4) | (RTD287O_BGA_22x22_PIN_E25_UP << 3) | (RTD287O_BGA_22x22_PIN_E25_PD << 2) |(RTD287O_BGA_22x22_PIN_E25_DS << 1) | (RTD287O_BGA_22x22_PIN_E25_SR)) << 16));
	// PAD_NAME: pad_gpio_153_io 584
	rtd_maskl(0xB80008B8, 0xFFFF00FF, (((RTD287O_BGA_22x22_PIN_E26 << 4) | (RTD287O_BGA_22x22_PIN_E26_UP << 3) | (RTD287O_BGA_22x22_PIN_E26_PD << 2) |(RTD287O_BGA_22x22_PIN_E26_DS << 1) | (RTD287O_BGA_22x22_PIN_E26_SR)) << 8));
	// PAD_NAME: pif_tx11p_apad 980
	rtd_maskl(0xB8000CB0, 0x0FFFFFFF, (RTD287O_BGA_22x22_PIN_A17) << 28);
	// PAD_NAME: pif_tx11n_apad 981
	rtd_maskl(0xB8000CB0, 0xF0FFFFFF, (RTD287O_BGA_22x22_PIN_B16) << 24);
	// PAD_NAME: pif_tx10p_apad 982
	rtd_maskl(0xB8000CB0, 0xFF0FFFFF, (RTD287O_BGA_22x22_PIN_B15) << 20);
	// PAD_NAME: pif_tx10n_apad 983
	rtd_maskl(0xB8000CB0, 0xFFF0FFFF, (RTD287O_BGA_22x22_PIN_C15) << 16);
	// PAD_NAME: pif_tx9p_apad 984
	rtd_maskl(0xB8000CB0, 0xFFFF0FFF, (RTD287O_BGA_22x22_PIN_A14) << 12);
	// PAD_NAME: pif_tx9n_apad 985
	rtd_maskl(0xB8000CB0, 0xFFFFF0FF, (RTD287O_BGA_22x22_PIN_C14) << 8);
	// PAD_NAME: pif_tx8p_apad 990
	rtd_maskl(0xB8000CB0, 0xFFFFFF0F, (RTD287O_BGA_22x22_PIN_B13) << 4);
	// PAD_NAME: pif_tx8n_apad 991
	rtd_maskl(0xB8000CB0, 0xFFFFFFF0, (RTD287O_BGA_22x22_PIN_C13) << 0);
	// PAD_NAME: pif_tx7p_apad 992
	rtd_maskl(0xB8000CB4, 0x0FFFFFFF, (RTD287O_BGA_22x22_PIN_C12) << 28);
	// PAD_NAME: pif_tx7n_apad 993
	rtd_maskl(0xB8000CB4, 0xF0FFFFFF, (RTD287O_BGA_22x22_PIN_B11) << 24);
	// PAD_NAME: pif_tx6p_apad 994
	rtd_maskl(0xB8000CB4, 0xFF0FFFFF, (RTD287O_BGA_22x22_PIN_C11) << 20);
	// PAD_NAME: pif_tx6n_apad 995
	rtd_maskl(0xB8000CB4, 0xFFF0FFFF, (RTD287O_BGA_22x22_PIN_A10) << 16);
	// PAD_NAME: pif_tx5p_apad 1006
	rtd_maskl(0xB8000CB4, 0xFFFF0FFF, (RTD287O_BGA_22x22_PIN_C10) << 12);
	// PAD_NAME: pif_tx5n_apad 1007
	rtd_maskl(0xB8000CB4, 0xFFFFF0FF, (RTD287O_BGA_22x22_PIN_B9) << 8);
	// PAD_NAME: pif_tx4p_apad 1008
	rtd_maskl(0xB8000CB4, 0xFFFFFF0F, (RTD287O_BGA_22x22_PIN_B8) << 4);
	// PAD_NAME: pif_tx4n_apad 1009
	rtd_maskl(0xB8000CB4, 0xFFFFFFF0, (RTD287O_BGA_22x22_PIN_A8) << 0);
	// PAD_NAME: pif_tx3p_apad 1010
	rtd_maskl(0xB8000CB8, 0x0FFFFFFF, (RTD287O_BGA_22x22_PIN_A7) << 28);
	// PAD_NAME: pif_tx3n_apad 1011
	rtd_maskl(0xB8000CB8, 0xF0FFFFFF, (RTD287O_BGA_22x22_PIN_B7) << 24);
	// PAD_NAME: pif_tx2p_apad 1016
	rtd_maskl(0xB8000CB8, 0xFF0FFFFF, (RTD287O_BGA_22x22_PIN_B6) << 20);
	// PAD_NAME: pif_tx2n_apad 1017
	rtd_maskl(0xB8000CB8, 0xFFF0FFFF, (RTD287O_BGA_22x22_PIN_C6) << 16);
	// PAD_NAME: pif_tx1p_apad 1018
	rtd_maskl(0xB8000CB8, 0xFFFF0FFF, (RTD287O_BGA_22x22_PIN_A5) << 12);
	// PAD_NAME: pif_tx1n_apad 1019
	rtd_maskl(0xB8000CB8, 0xFFFFF0FF, (RTD287O_BGA_22x22_PIN_C5) << 8);
	// PAD_NAME: pif_tx0p_apad 1020
	rtd_maskl(0xB8000CB8, 0xFFFFFF0F, (RTD287O_BGA_22x22_PIN_B4) << 4);
	// PAD_NAME: pif_tx0n_apad 1021
	rtd_maskl(0xB8000CB8, 0xFFFFFFF0, (RTD287O_BGA_22x22_PIN_C4) << 0);
} 
