#ifndef __RTK_OTP_UTIL_H__
#define __RTK_OTP_UTIL_H__

extern int otp_read(unsigned long ofst, unsigned long* pval);
extern int otp_write(unsigned long ofst, unsigned long val);
extern int otp_read_bits(unsigned long ofst, unsigned char msb, unsigned char lsb, unsigned long* pval);
extern int otp_write_bits(unsigned long ofst, unsigned char msb, unsigned char lsb, unsigned long val);
extern int otp_program_region(unsigned long ofst, unsigned int *data, int len);
extern int otp_program_region_byte(unsigned long ofst, unsigned char *data, int len);
extern int otp_read_region(unsigned long ofst, unsigned int *data, int len);
extern int otp_read_region_byte(unsigned long ofst, unsigned char *data, int len);
extern int otp_crc_auto_region(unsigned long *pval);
extern int otp_crc_partial_region(unsigned long start_ofst, unsigned long end_ofst, unsigned long *pval);
#endif
